commit c0df2200a881b9c8fa4987cb3f7d281865536bfc
Author: Simon McVittie <smcv@debian.org>
Date:   2016-03-06 17:50:19 +0000

    1.2.4

M	NEWS
M	configure.ac

commit 007ea1d228b849e192e3a471bb3c14292b897b0e
Author: Simon McVittie <smcv@debian.org>
Date:	2016-03-06 17:34:55 +0000

    ci-build: test the setup.py glue as well as the Autotools build

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	tools/ci-build.sh

commit 602064459995b89d169d7e138691a96d4190b614
Author: Simon McVittie <smcv@debian.org>
Date:	2016-03-06 17:37:46 +0000

    Clean up test-service.log

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	Makefile.am

commit aba80c07c07cf8dd669dbfbe2aa51786425aa53f
Author: Simon McVittie <smcv@debian.org>
Date:	2016-03-06 17:20:23 +0000

    NEWS so far

M	NEWS

commit 9740e695a8e2276704f940a38c4067edbe8491f7
Author: Simon McVittie <smcv@debian.org>
Date:	2016-03-06 17:08:03 +0000

    Add Travis-CI metadata

    Signed-off-by: Simon McVittie <smcv@debian.org>

A	.travis.yml
M	Makefile.am
A	tools/ci-build.sh

commit 7881666743df953227ccc403af4edfac7dd7ab8e
Author: Simon McVittie <smcv@debian.org>
Date:	2016-03-06 15:38:16 +0000

    decorators: use a more modern idiom for signatures in Python >= 3.4

    getargspec() isn't in Python 3.6 development versions.

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	dbus/decorators.py

commit 991c1f8de2f6396801736153173eb83dce0e9c15
Author: Simon McVittie <smcv@debian.org>
Date:	2016-03-06 12:56:56 +0000

    unicode test: cope with Python 2.6 as provided on travis-ci

    Python 2.6 didn't allow struct.pack(u'...', ...).

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	test/test-standalone.py

commit cf52ac6e8c92fe0a5577da8f9328b908967763bf
Author: Simon McVittie <smcv@debian.org>
Date:	2016-03-06 15:39:50 +0000

    .gitignore: ignore autoconf-archive and pkg-config

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	.gitignore

commit 988c290f4a1bafdac6dabc499efb8b7ffa94a251
Author: Simon McVittie <smcv@debian.org>
Date:	2016-03-05 23:57:46 +0000

    run-test: avoid "test: =: unary operator expected"

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	test/run-test.sh

commit 506945f13c098f2b9abcccf681e64d6b924da3eb
Author: Simon McVittie <smcv@debian.org>
Date:	2016-03-05 23:49:51 +0000

    Stop breaking a pre-existing PYTHONPATH in installed-tests'
    environment

    ${PYTHONPATH} in Exec= isn't substituted by gnome-desktop-testing.

    If we rely on the fact that Python prepends the scripts' directory to
    sys.path, then we don't need to alter PYTHONPATH at all.

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	Makefile.am

commit b6e1a0ce33969dc56fade2a5839848f4a926b8bb
Author: Simon McVittie <smcv@debian.org>
Date:	2016-03-05 23:20:49 +0000

    Fix Unicode tests on narrow Python builds

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=57140
    Signed-off-by: Simon McVittie <smcv@debian.org>

M	test/test-standalone.py

commit f1f4f1cd110a0a6bdd41ab8b3ae126c5ea455801
Author: Simon McVittie <smcv@debian.org>
Date:	2016-03-05 21:16:31 +0000

    Use the template GNOME autogen.sh

    Taken from: https://wiki.gnome.org/Projects/GnomeCommon/Migration

    This removes the non-standard --no-configure option, and replaces it
    with NOCONFIGURE=1 as recommended in
    <https://github.com/cgwalters/build-api>.

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	autogen.sh

commit ed350ae4f4e43d0f5146c5891069829e89018322
Author: Simon McVittie <smcv@debian.org>
Date:	2016-03-05 16:32:44 +0000

    Add a regression test for the version numbering

    Now that dbus.__version__ and dbus.version exist even in uninstalled
    builds, we can do this.

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	test/test-standalone.py

commit e119bf86c5a4a10ea4ed048df3a5d4a78fa15d5c
Author: Simon McVittie <smcv@debian.org>
Date:	2016-03-05 16:36:08 +0000

    Get the version from the C code, not by generating a Python file

    This means we never try to import dbus/_version.py from the
    ${builddir},
    which won't work.

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	.gitignore
M	Makefile.am
M	configure.ac
M	dbus/__init__.py
D	dbus/_version.py.in

commit 13f590af2ee74b2b01c5c1a3414a92764648c89e
Author: Simon McVittie <smcv@debian.org>
Date:	2016-03-05 16:32:25 +0000

    Make dbus.version a tuple again

    Otherwise it won't sort correctly.

    Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=816729
    Signed-off-by: Simon McVittie <smcv@debian.org>

M	dbus/_version.py.in

commit 135eeb0c0ddc871c5b5dfbaf09aace94f7126cc7
Author: Simon McVittie <smcv@debian.org>
Date:	2016-03-05 16:08:03 +0000

    Always include dbus_bindings-internal.h first

    This file includes <Python.h>, with some #defines that affect the
    interpretation of the Python headers (PY_SSIZE_T_CLEAN,
    PY_SIZE_T_CLEAN).

    In particular, <Python.h> transitively includes pyconfig.h, which
    defines _GNU_SOURCE, altering the version of struct stat used;
    this is potentially a problem if a struct stat is shared between
    files, although in practice we don't do that.

    Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=749133

M	_dbus_bindings/abstract.c
M	_dbus_bindings/bus.c
M	_dbus_bindings/bytes.c
M	_dbus_bindings/conn-methods.c
M	_dbus_bindings/conn.c
M	_dbus_bindings/containers.c
M	_dbus_bindings/dbus_bindings-internal.h
M	_dbus_bindings/debug.c
M	_dbus_bindings/float.c
M	_dbus_bindings/int.c
M	_dbus_bindings/message-append.c
M	_dbus_bindings/message-get-args.c
M	_dbus_bindings/message-internal.h
M	_dbus_bindings/module.c
M	_dbus_bindings/signature.c
M	_dbus_bindings/string.c
M	_dbus_bindings/types-internal.h
M	_dbus_bindings/unixfd.c

commit 3f7aa13c82444457675763cdf0d3bb5c5a45d137
Author: Simon McVittie <smcv@debian.org>
Date:	2016-03-05 16:02:53 +0000

    Include config.h every time we compile C code

    This is Autoconf best-practice: on some platforms it might contain
    things like "#define inline __inline" which should affect all C code.

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	Makefile.am
M	_dbus_bindings/compat-internal.h
M	_dbus_bindings/mainloop.c
M	_dbus_bindings/message-append.c
M	_dbus_bindings/module.c

commit c729593c36c745f99daa02abb955a19737bf37cb
Author: Simon McVittie <smcv@debian.org>
Date:	2016-03-05 15:50:33 +0000

    Move dbus-python.h to a dbus subdirectory

    This means we can consistently #include <dbus/dbus-python.h>,
    either in-tree or out-of-tree.

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	Makefile.am
M	_dbus_bindings/dbus_bindings-internal.h
M	_dbus_glib_bindings/module.c
R100	include/dbus-python.h	include/dbus/dbus-python.h
M	test/dbus_py_test.c

commit 01ecf02c749f7bddb15f57aae26e9e064db0240f
Author: Simon McVittie <smcv@debian.org>
Date:	2016-02-22 17:26:54 +0000

    fix NEWS syntax

M	NEWS

commit 568aa2c958d33ddb8b798add8f01b881dee8f432
Author: Simon McVittie <smcv@debian.org>
Date:	2016-02-22 17:05:03 +0000

    apply development version

M	NEWS
M	configure.ac

commit 261f510ec0196f3f3c55c4ac7c4bedc879bdd8f3
Author: Simon McVittie <smcv@debian.org>
Date:	2016-02-22 16:35:13 +0000

    1.2.2

M	NEWS
M	configure.ac

commit 7fd4c59f906cec2d6b87fde795a72499314273ee
Author: Simon McVittie <smcv@debian.org>
Date:	2016-02-22 16:04:33 +0000

    Disable Automake maintainer mode when building via setup.py

    pip doesn't preserve timestamps in tarballs, so half the build system
    is going to look as though it has been changed.

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	configure.ac
M	setup.py

commit afcf3e432efa8bed73c714d03062fbf53cc76bdf
Author: Simon McVittie <smcv@debian.org>
Date:	2016-02-22 13:18:35 +0000

    Make all test scripts properly executable

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	test/cross-test-client.py
M	test/cross-test-server.py
M	test/test-exception-py2.py
M	test/test-exception-py3.py
M	test/test-p2p.py
M	test/test-signals.py
M	test/test-unusable-main-loop.py

commit 84b7bdafc1deecd9451ba52c30e5dc63a7ebb056
Author: Simon McVittie <smcv@debian.org>
Date:	2016-02-22 13:18:18 +0000

    Don't install crosstest.py executable

    It's meant to be imported, not executed.

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	Makefile.am

commit a7c0dc02695addec1a2ed4c2277878c514883c9d
Author: Simon McVittie <smcv@debian.org>
Date:	2016-02-22 12:27:22 +0000

    Fix setup.py in tarballs on Python 2

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	setup.py

commit e443d3b5c60cf2f5fda17bcba47be3c8279b3140
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2016-02-19 12:47:33 +0000

    Use AX_IS_RELEASE with the micro-version policy

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	NEWS
M	configure.ac
M	dbus/_version.py.in

commit 3df99bcbe3e80467f050484d83eca9ffae03e947
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2016-02-19 12:37:59 +0000

    Use AX_GENERATE_CHANGELOG to generate ChangeLog

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	Makefile.am
M	configure.ac

commit 55d8f3fc9cdfe5b8f00c546a7264b195fb655148
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2016-02-19 12:18:27 +0000

    .gitignore: update and sort

M	.gitignore

commit bfa02dd9f85f90200de796ad2d9e65596e8add6b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2016-02-19 12:17:26 +0000

    check-coding-style: work in out-of-tree builds

M	tools/check-coding-style.mk

commit 67759dbc248f4eb05855a796eea6d464e051b2e8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2016-02-19 12:05:02 +0000

    configure.ac: avoid misleading syntax highlighting

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	configure.ac

commit af14eca77a3f2c037b1aca4d3f6945ffa2b985db
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2016-02-19 12:04:44 +0000

    configure.ac: use AS_CASE, AS_IF

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	configure.ac
M	m4/dbus-py-add-rst2htmlflag.m4

commit 00e36366aa437f592a8e7d9dad5a7764890f40b2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2016-02-19 11:57:11 +0000

    Make autoconf fail with an explanatory message if an AX_ macro
    is missing

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	configure.ac

commit 19879fa7aebea51677550ad2d7cdb07f16ac134f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2016-02-17 13:02:16 +0000

    Remove a leftover reference to m4/am-check-pymod.m4

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	Makefile.am

commit d14e14ad8e4b64203c87b64f176f72803dfccf4e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2016-01-21 20:17:16 +0000

    Use AX_PYTHON_MODULE from autoconf-archive instead of AM_CHECK_PYMOD

M	configure.ac
D	m4/am-check-pymod.m4

commit 14a609ac5e4706bc9ebbe83de8168eb3399bf50c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2016-01-21 20:09:27 +0000

    Ignore .dirstamp files

M	.gitignore

commit 88e9da1ddec51a99246d5128a6202dd9205af34c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2016-01-21 20:06:09 +0000

    Add a setup.py which wraps Autotools in something virtualenv-friendly

M	.gitignore
M	Makefile.am
A	setup.py

commit d7677ab1bcabe60e84215eb17b51b644737bfcb0
Author: Simon McVittie <smcv@debian.org>
Date:	2016-01-20 12:39:07 +0000

    Use gi instead of gobject, everywhere except dbus.gobject_service

M	doc/tutorial.txt
M	examples/example-async-client.py
M	examples/example-service.py
M	examples/example-signal-emitter.py
M	examples/example-signal-recipient.py
M	examples/gconf-proxy-service2.py
M	examples/unix-fd-service.py
M	test/test-server.py

commit ea0e8705750e8b4448e5e51c86d07132cf1ac1c8
Author: Simon McVittie <smcv@debian.org>
Date:	2016-01-20 12:38:48 +0000

    Replace hard-coded sleep with a wait for the D-Bus name to appear

M	Makefile.am
M	test/run-test.sh
A	test/wait-for-name.py

commit c145c7c6b6c62ef097ed33e1abeaa2987b01007d
Author: Simon McVittie <smcv@debian.org>
Date:	2016-01-20 12:19:26 +0000

    Use non-recursive make for tests, and make them into installed-tests

M	Makefile.am
M	configure.ac
D	test/Makefile.am
M	test/TestSuitePythonService.service.in
D	test/dbus_python_check.py
M	test/run-test.sh
M	test/test-client.py
M	test/test-p2p.py
M	test/test-service.py
M	test/test-signals.py
M	test/test-standalone.py
M	test/tmp-session-bus.conf.in

commit 9567e3eab6672705f7259970e8606f4e7adaf991
Author: Simon McVittie <smcv@debian.org>
Date:	2016-01-20 10:48:19 +0000

    Use non-recursive make for everything except tests

M	Makefile.am
D	_dbus_bindings/Makefile.am
D	_dbus_glib_bindings/Makefile.am
M	configure.ac
D	examples/Makefile.am
D	m4/Makefile.am
M	test/Makefile.am
D	tools/Makefile.am

commit b95a7f0f596e3e3d000c3756bb520d28b127d5e1
Author: Simon McVittie <smcv@debian.org>
Date:	2015-12-06 17:46:21 +0000

    Simplify testing by using dbus-run-session and Automake "log compiler"

    Fall back to Telepathy's old with-session-bus.sh script if dbus
    doesn't
    have dbus-run-session (versions < 1.8).

    Also run most of the tests individually, instead of under run-test.sh.

M	configure.ac
M	test/Makefile.am
M	test/run-test.sh
D	test/run-with-tmp-session-bus.sh
A	test/with-session-bus.sh

commit f8379493b1c413d7b583025d47a38f042b710d89
Author: Simon McVittie <smcv@debian.org>
Date:	2015-12-06 10:35:59 +0000

    .gitignore: anchor most patterns at $(top_srcdir), and sort

M	.gitignore

commit 192b5d4ed0021f1e15e42e52763bd4cd32a3b502
Author: Simon McVittie <smcv@debian.org>
Date:	2015-12-05 21:27:10 +0000

    Don't try to build epydoc documentation if we can't "import epydoc"

M	configure.ac

commit 407ad2d298188b83763f7003ae224b505f07e162
Author: Simon McVittie <smcv@debian.org>
Date:	2015-12-06 10:33:28 +0000

    Put Autoconf droppings in build-aux/

M	.gitignore
M	configure.ac

commit 8cbfa02ca5c9847bffabc88320fa4c612d517f86
Author: Simon McVittie <smcv@debian.org>
Date:	2015-12-06 10:33:13 +0000

    Use AX_COMPILER_FLAGS from autoconf-archive

M	NEWS
M	m4/Makefile.am
D	m4/jh-add-cflag.m4
D	m4/tp-compiler-flag.m4
D	m4/tp-compiler-warnings.m4

commit 9eae0f2693acee05887125a46190e682fa119e78
Author: Simon McVittie <smcv@debian.org>
Date:	2015-12-05 15:41:11 +0000

    Use AX_COMPILER_FLAGS

M	_dbus_bindings/Makefile.am
M	_dbus_glib_bindings/Makefile.am
M	configure.ac
M	test/Makefile.am

commit f8479140d228d7d5043069a0e966e9d3bf94e341
Author: Simon McVittie <smcv@debian.org>
Date:	2015-12-05 15:40:52 +0000

    Update build system for Automake 1.13 (parallel test driver)

M	configure.ac
M	test/Makefile.am

commit 6e4ebe32f0f14aceb91011e422eb232e8dd21d4f
Author: Simon McVittie <smcv@debian.org>
Date:	2015-12-05 15:39:30 +0000

    _dbus_py_assertion_failed: flag as NORETURN

M	_dbus_bindings/dbus_bindings-internal.h

commit 2ad803c5326af0569fdb36ce90166292b9fe9a79
Author: Simon McVittie <smcv@debian.org>
Date:	2015-12-04 17:32:03 +0000

    configure.ac: use AS_IF for PYTHON_LIBS

M	configure.ac

commit 8d794193c8ac611f27d32333d50873d4d97aace0
Author: Simon McVittie <smcv@debian.org>
Date:	2015-12-04 17:31:44 +0000

    Try ${PYTHON}-config before searching PATH

    This is helpful for Debian's special debug-build interpreters
    such as python3.4-dbg, each with an accompanying python3.4-dbg-config.

M	m4/am-check-python-headers.m4

commit 6ebbb5bc7abaf3caaa88cc11f6d3969e3f665544
Author: Yamashita, Yuu <peek824545201@gmail.com>
Date:	2015-09-22 23:42:38 +0900

    Find `python-config` from PATH properly

    Expecting `python-config` at the same directory as `python` executable
    would not be suitable if user is using virtualenv.

M	configure.ac
M	m4/am-check-python-headers.m4

commit 998c10b8ec9058f213752818fa20d8362c15c02d
Author: Simon McVittie <smcv@debian.org>
Date:	2015-12-04 15:13:34 +0000

    gconf examples: add brief documentation

M	examples/gconf-proxy-client.py
M	examples/gconf-proxy-service2.py

commit 77075d82f4ec39c35d14536cf13e4266839ae81f
Author: Simon McVittie <smcv@debian.org>
Date:	2015-12-04 15:13:22 +0000

    Use a name in example.com for our example GConf proxy

    dbus-python is not a GNOME project, so we should not use their
    namespace.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=85720

M	examples/gconf-proxy-client.py
M	examples/gconf-proxy-service2.py

commit 1dbda697112becc44e0aa8e303159e0fae5852a3
Author: Ben Longbons <b.r.longbons@gmail.com>
Date:	2014-10-31 14:35:53 -0700

    Install all examples

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=85720
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    [smcv: separated out from a previous commit]

M	examples/Makefile.am

commit f8ffd3ab796ae622912b243c1e6f1d3e12c90ad7
Author: Ben Longbons <b.r.longbons@gmail.com>
Date:	2014-10-31 14:35:53 -0700

    Consistently make examples executable

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=85720
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    [smcv: separated out from a previous commit]

M	examples/example-async-client.py
M	examples/example-client.py
M	examples/example-service.py
M	examples/example-signal-emitter.py
M	examples/example-signal-recipient.py
M	examples/list-system-services.py

commit 246e5b03a137e64611c6f1e368250804d66f73f6
Author: Ben Longbons <b.r.longbons@gmail.com>
Date:	2014-10-31 14:35:53 -0700

    Fix GConf examples

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=85720
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    [smcv: separate out some changes into separate commits]

M	examples/gconf-proxy-client.py
M	examples/gconf-proxy-service2.py

commit 6185aeb81969b82da804c66958d64bc628cb5aa4
Author: Ben Longbons <b.r.longbons@gmail.com>
Date:	2014-10-31 14:35:53 -0700

    Include FallbackObject in "from dbus.service import *"

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=85720
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    [smcv: separate out some changes into separate commits]

M	dbus/service.py

commit 425993a3107812734b1138a5a011fed4fc041fef
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2013-05-08 14:09:46 +0100

    development version

M	NEWS
M	configure.ac

commit d0d5b5be685dc4c16b21c54335becc87ca4d6f58
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2013-05-08 08:49:58 +0100

    distribute new tests

M	test/Makefile.am

commit bd6aac594c72d32057a5821fcedb2d36644526aa
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2013-05-08 08:48:28 +0100

    1.2.0

M	NEWS
M	configure.ac

commit 9b26cf8238a7d432fe96a50a75008aa6bce110da
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2013-05-08 08:38:22 +0100

    Add support for skipping tests, and use it

    Now that Python 2.6 isn't a supported version in Debian, it doesn't
    get a gi module, but we can still get some minimal test coverage.

M	test/cross-test-client.py
M	test/cross-test-server.py
M	test/run-test.sh
M	test/run-with-tmp-session-bus.sh
M	test/test-client.py
M	test/test-p2p.py
M	test/test-signals.py

commit 0872782255fdbaeda64311a298664597e59ba94f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2013-05-08 08:37:13 +0100

    utf8 test: pass when used with dbus 1.6.10, 1.7.2

    We used to reject noncharacters, but now we accept them.

M	test/test-standalone.py

commit f909f596705f62a5218cf16d61433364fe2f8168
Author: Marko Lindqvist <cazfi74 gmail com>
Date:	2013-05-07 20:16:20 +0100

    Replace AM_CONFIG_HEADER with AC_CONFIG_HEADERS

    This has been (silently!) deprecated since 2002 and was removed from
    Automake 1.13.

    [added commit message -smcv]
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	configure.ac

commit 423ee853dfbb4ee9ed89a21e1cf2b6a928e2fc4d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2013-04-22 17:40:51 +0100

    Use GObject.__class__ instead of GObjectMeta

    In pygobject 3.8, GObjectMeta is no longer available via
    gi.repository.GObject. What we actually want is "the metaclass of
    GObject", so, say so.

M	NEWS
M	dbus/gi_service.py
M	dbus/gobject_service.py

commit c9ad0a3909c80c09d33b21db6cb46cfee4489010
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2013-04-22 15:47:06 +0100

    Unset DBUS_STARTER_ADDRESS, DBUS_STARTER_BUS_TYPE

    See <https://bugs.freedesktop.org/show_bug.cgi?id=63119>.

M	test/run-with-tmp-session-bus.sh

commit 121c294b1853a280b01e0504eb1828c6d0e07bbc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2013-04-22 15:44:57 +0100

    Require D-Bus 1.6, drop fallback paths

M	NEWS
M	_dbus_bindings/compat-internal.h
M	_dbus_bindings/message-append.c
M	configure.ac

commit c57c4d281369589b636aee928238b7cf6e42e00f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-10-23 19:34:35 +0100

    NEWS

M	NEWS

commit f52465232234ae71fa16741abcd57aab155949ad
Author: Thiago Macieira <thiago.macieira@intel.com>
Date:	2012-10-23 11:12:21 -0700

    Update the confusing notice of what license dbus-python is under

    We tried to change the license for the D-Bus core too but were unable
    to reach all copyright holders. The MIT license was the suggested new
    license and all reached parties had agreed to.

    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	COPYING

commit d262628e89115bbcc33c439c77d33733c4a23491
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-10-16 18:33:08 +0100

    DBusException: override both __str__ and __unicode__

    Avoid chaining up to the superclass, because that behaves particularly
    oddly. This fixes regression test failures: str(some_dbus_exception)
    was no
    longer prefixed with the D-Bus error name under Python 2.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55899

M	dbus/exceptions.py

commit 544e05a16e55dad7e666baabfb665997a79d6580
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-10-16 18:31:43 +0100

    Slightly better test coverage

M	test/test-client.py

commit efdd1823239b02fe5a39e766cbd7597e6c3fcb96
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-10-16 17:52:36 +0100

    Use a form of assertRaises() that works in Python 2.6

M	test/test-exception-py2.py

commit 83615efbed565a689008b00a4ac82fc0fc4e5603
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-10-16 17:52:22 +0100

    Skip test_dbus_exception_convert_str_fail under unusual default
    encodings

    This would actually work fine if the default encoding was UTF-8 or
    Latin-1 or something.

M	test/test-exception-py2.py

commit 09b540bd55fb2fca14d4df7e0c520b8ba0ce4646
Author: Michael Vogt <mvo@ubuntu.com>
Date:	2012-10-12 13:37:51 +0200

    Support unicode messages for DBusException in Python 2

    [commit message amended -smcv]
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=55899
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	dbus/exceptions.py
M	test/run-test.sh
A	test/test-exception-py2.py
A	test/test-exception-py3.py

commit 5558ee11313fd929ed6aeb22228e89de2263e520
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-07-04 12:17:10 +0100

    Link Python extensions differently on Windows

M	_dbus_bindings/Makefile.am
M	_dbus_glib_bindings/Makefile.am
M	configure.ac

commit ec2671485a23090c470180eb297e67b86638d9b5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-07-04 12:15:16 +0100

    Replace incorrect AM_LDFLAGS usage with a proper AM_LDFLAGS/LIBADD
    split

M	_dbus_bindings/Makefile.am
M	_dbus_glib_bindings/Makefile.am

commit 9c02d05642c8f99e3fe61804bcc33df380ebd5b1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-07-04 20:27:12 +0100

    run-test.sh: don't go via make to run the cross-test

    Based on a patch from Christoph Höger.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=51725

M	test/run-test.sh

commit e8a507570e12778a0f325786fcf9f5f768019118
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-07-04 19:49:13 +0100

    NEWS

M	NEWS

commit f3199102a68c72460fd0a025ab966557a0996223
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-07-04 19:49:07 +0100

    Don't include stdint.h

    Every use here turns out to be unnecessary, some compilers *still*
    don't have it after more than a decade in ISO C, and if we need
    fixed-length integer types we can use the ones from D-Bus.

M	_dbus_bindings/abstract.c
M	_dbus_bindings/bytes.c
M	_dbus_bindings/containers.c
M	_dbus_bindings/float.c
M	_dbus_bindings/signature.c
M	_dbus_bindings/types-internal.h

commit 6f5ec9552ca169b66b338698850a125151e3599c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-07-04 19:36:26 +0100

    Re-indent now that the indentation is unecessary

M	_dbus_bindings/server.c

commit 5b79604a6d1eb11268293342d19da633e5eedaa4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-07-04 19:35:43 +0100

    Avoid variable-length arrays, which MSVC *still* doesn't support

    Based on patches from Christoph Höger.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=51725

M	_dbus_bindings/message-append.c
M	_dbus_bindings/server.c

commit bdc48547078b8ba09856c81b7c4f148fb163c01b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-07-04 19:19:12 +0100

    Use AC_C_INLINE to make sure "inline" works

M	configure.ac

commit 3d23ff9e91151c2fb8e5ccb74067ff7ad6df3067
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-06-25 21:20:12 +0100

    reset to unreleased

M	configure.ac

commit 86b978042fa23d9b262cb0baa40398e21ddb0530
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-06-25 21:19:35 +0100

    prepare release

M	NEWS
M	configure.ac

commit f6066573d25508f5cbbc5c12254086d419bb8828
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-06-25 17:01:51 +0100

    fd.o #40817: validate UTF-8 according to the same rules as libdbus

M	NEWS
M	_dbus_bindings/message-append.c
M	configure.ac
M	test/test-standalone.py

commit 4a0f4379d4a5783d576aec90019a39459eff007d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-06-05 19:39:20 +0100

    NEWS

M	NEWS

commit 6ff89bf0d05a550cf1aff2053579fc1f0192cd97
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-06-05 19:07:51 +0100

    Py3: correctly guess the signature of ObjectPath(...) and
    Signature(...)

    Under Python 2, ObjectPath and Signature are subtypes of str (=
    bytes),
    and the existing type-guessing worked.

    The type-guessing code assumed that all unicode objects were just
    strings, but that assumption became false in the Python 3 port:
    ObjectPath and Signature are still subtypes of str, but str now means
    unicode, not bytes.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=50740

M	_dbus_bindings/message-append.c
M	test/test-standalone.py

commit 2f08b9e644c8530c4d324c4bd9d8a0cdb24edc92
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-05-09 17:50:59 +0100

    Back to unreleased status

M	NEWS
M	configure.ac

commit 4a4bce958b3257b7cb2adc050022879660aface1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-05-09 15:47:48 +0100

    1.1.0

M	NEWS
M	configure.ac
M	dbus/gobject_service.py

commit e2e589889ef5257f62cc3a32561142f625716ef0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-05-02 11:11:11 +0100

    Make AM_CHECK_PYTHON_HEADERS compatible with Python 3 in the absence
    of python3-config

M	m4/am-check-python-headers.m4

commit 2f59718a4bf22cbea28e0c7b2f880f86d4497a7a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-05-02 10:44:13 +0100

    Deprecate dbus.gobject_service and make it vaguely compatible with 1.0

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48904

M	dbus/gobject_service.py

commit 5b9f87676802f04ebc339fd16a4a30dc42e33c91
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-05-02 10:41:27 +0100

    Reinstate the old dbus.gobject_service, but only for Python 2

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48904

M	Makefile.am
M	configure.ac
A	dbus/gobject_service.py

commit ba3f3ff253982c9ad3b5a33df5b120e5692c9d29
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-05-02 10:39:29 +0100

    Rename gobject_service (PyGI version) to gi_service

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=48904

M	Makefile.am
R090	dbus/gobject_service.py dbus/gi_service.py
M	test/test-service.py

commit f264e37f13720898d941f3636f77c489a9a1d845
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-03-12 11:41:00 +0000

    Fix ref leak in dbus_py_variant_level_set

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=47108
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	_dbus_bindings/abstract.c

commit c53788657c0cfbd038325e690e7097e31f5e8430
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-02-29 13:35:24 +0000

    Put sockets for the regression tests in /tmp, not ${builddir}

    Some automated build systems (naming no Portage) have really long
    build
    directories, which can cause dbus-python to hit the length limit
    for Unix
    sockets' names.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=46747
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	test/tmp-session-bus.conf.in

commit 1055343d746accc4048e5806f84a880143444c9f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-11-15 16:07:57 +0000

    Use DBusBasicValue instead of reinventing it, if dbus is new enough

    If we don't find it, continue to reinvent it, but move the reinvention
    to an internal header so it's at least the same in both files that
    want it.

M	_dbus_bindings/Makefile.am
A	_dbus_bindings/compat-internal.h
M	_dbus_bindings/message-append.c
M	_dbus_bindings/message-get-args.c
M	configure.ac

commit 8e4836c318eb64ef720b497bebc247ac6a468b4b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-02-01 10:10:26 +0000

    Fix _maintainer-update-htmldocs for out-of-tree builds

M	Makefile.am

commit de81bf8dd5d70f4184412a5c7c2aacd82348d7ea
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-02-01 10:10:10 +0000

    Remove TODO, which is now empty - use bugzilla instead

M	Makefile.am
D	TODO

commit 996a3f46f0998219eaf0cd68a744ebc90cfc6dd8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-01-24 20:33:38 +0000

    back to unreleased

M	configure.ac

commit c59647b024b3242810fe46e500d557fd56d684d4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-01-24 20:33:26 +0000

    retroactively add release date

M	NEWS

commit 5a8eb939ab4603a931457c5d4e8dfcdc323eaf89
Author: Barry Warsaw <barry@python.org>
Date:	2012-01-24 16:43:05 +0000

    Install _compat.py

M	Makefile.am

commit d1ccc12dd1dee34faae52c7b325048ea801599fd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-01-24 16:41:46 +0000

    Generate ChangeLog correctly when out-of-tree

M	Makefile.am

commit 1ee2b1a8cf729a71ae56e5671564c5fd62504707
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-01-24 16:36:49 +0000

    Let's call this 1.0

M	NEWS
M	configure.ac

commit 5b76f66e79f9bc07241a44c0277d4bbebc08ce20
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-01-24 16:35:45 +0000

    Remove duplicate -Werror machinery

M	configure.ac

commit cd4e91c65624062b5504c10b2af0a05aefbf4878
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-01-24 16:35:38 +0000

    Move PY3PORT into doc, use the same extension as other rst, and
    render it

M	Makefile.am
M	NEWS
M	configure.ac
R100	PY3PORT.rst	doc/PY3PORT.txt

commit 09ca5de0f38d3cc30b8d149b2a8c9f0ad810a09a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-01-24 16:21:15 +0000

    Describe problems, alternatives

M	README

commit b486edf800ecb9d2e23a35f7ac3151657ee39250
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-01-24 16:06:35 +0000

    Deprecate dbus.glib (use dbus.mainloop.glib or dbus.mainloop.qt4)

M	dbus/glib.py

commit 50fa5eb54992c28d63b0532533f755ff39f082e2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-01-11 15:02:40 +0000

    Add INTORLONG_CHECK macro so we don't have to conditionalize
    PyInt_Check

M	_dbus_bindings/bus.c
M	_dbus_bindings/bytes.c
M	_dbus_bindings/dbus_bindings-internal.h
M	_dbus_bindings/message-append.c
M	_dbus_bindings/unixfd.c

commit 4f043cf34a8001c071644eb8c89dc7d43e86b62a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-01-11 15:01:39 +0000

    Use native 'int' (whatever that means) for variant_level etc.

    This reverts the Python 2 API to be in terms of PyInt, leaving the
    Python 3 API in terms of PyLong (which is called 'int' in Python
    code).

M	NEWS
M	PY3PORT.rst
M	_dbus_bindings/abstract.c
M	_dbus_bindings/bytes.c
M	_dbus_bindings/conn-methods.c
M	_dbus_bindings/dbus_bindings-internal.h
M	_dbus_bindings/message-get-args.c
M	_dbus_bindings/message.c

commit cdc0ca5c72686aab38a172f14da3b38fe304baa9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-01-11 14:59:36 +0000

    update NEWS, PY3PORT.rst

M	NEWS
M	PY3PORT.rst

commit ae61078cc90917c20b14298aaec18e87e149d337
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-01-11 14:04:14 +0000

    Test behaviour of various Message methods

M	test/test-standalone.py

commit 69342f86b0d036ca41a19363efaf4e8352837c24
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-01-11 14:03:53 +0000

    Do not allow Byte(unicode(x)) (i.e. Byte(str(x)) in Python 3)

    Unicode strings aren't bytestrings, so there's no obvious meaning for
    the byte value of a Unicode string of length 1.

M	PY3PORT.rst
M	_dbus_bindings/bytes.c
M	test/cross-test-client.py
M	test/test-standalone.py

commit cada4883df6b67f4059eedd2def1f5cffa41c7d8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-01-11 12:58:21 +0000

    Use better names for the superclasses of Byte and ByteArray

    Strictly speaking, DBUS_FOO is libdbus' namespace, not ours. Use
    DBUS_PY_FOO.

    DBUS_BYTES_BASE was misleading: it's the base class for a single byte,
    so call it DBUS_PY_BYTE_BASE.

M	_dbus_bindings/bytes.c

commit beaa479066a0139bbb09f058818cd5476f1a79d2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-01-11 12:57:15 +0000

    Consistently use the str type for identifier-like (ASCII) strings

    Porting to Python 3 left these methods returning unicode, which is
    arguably an API break in Python 2:

    * Message.get_member
    * Message.get_path_decomposed (array of unicode)
    * Message.get_sender
    * Message.get_destination
    * Message.get_interface
    * Message.get_error_name
    * Server.get_address
    * Server.get_id

    Instead, make them return whatever the natural str type is (bytes in
    Python 2, unicode in Python 3).

M	_dbus_bindings/bus.c
M	_dbus_bindings/conn-methods.c
M	_dbus_bindings/exceptions.c
M	_dbus_bindings/message.c
M	_dbus_bindings/server.c

commit a5c77b73651f8f288f7ea2eb9029895eed3cacab
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-01-11 12:54:26 +0000

    DBusPythonString base class: use "native str" as base class instead
    of reinventing it

M	_dbus_bindings/abstract.c
M	_dbus_bindings/dbus_bindings-internal.h

commit 0daad225ff9085c4013da69e5733e8846e9b8de3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2012-01-11 12:50:43 +0000

    SignalMessage.__repr__: include the destination and abbreviate
    "interface" more conventionally

    Yes, signals can have a destination. The default is to broadcast.

M	_dbus_bindings/message.c

commit 9201d65b31305c8bef86ab072b7c33b197ede562
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-17 12:09:57 -0500

    Quash a few more deprecations.

M	test/test-p2p.py
M	test/test-signals.py

commit f8dab5af0bef5d26a51df41a564a5285c16a9cb5
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-16 17:07:07 -0500

    More Python 3 porting, this time primarily to get test-client.py
    working.
    Changes include:

    - DBusException.get_dbus_message(): In Python 3, the str of the
    exception will
      already be a unicode, so don't try to decode it unless it's a
      bytes object
      (a.k.a. 8-bit str in Python 2).
    - gobject_service.py: Switch to pygi and rewrite the metaclass
    instantiation
      code to be portable between Python 2 and Python 3.
    - run-test.sh: echo a few more useful environment variables
    - test-client.py:
      - Globally replace deprecated assertEquals with assertEqual
      - Globally replace deprecated assert_ with assertTrue
      - Use bytes objects for both 'ay' signatured methods on the server
      - AcceptUnicodeString will return a native unicode, i.e. a str in
      Python 3
	and a unicode in Python 2.  Python 3 has no `unicode` built-in.
      - Reformat some long lines for debugging.
    - test-service.py:
      - Open the log file in 'a' mode for easier tailing.
      - AcceptUnicodeString will return a native unicode, i.e. a str in
      Python 3
	and a unicode in Python 2.  Python 3 has no `unicode` built-in.
      - reformat some long lines for debugging.
      - Put module-scope code into a main() function and add a bunch
      of logger
	output for better debugging.  `session_bus` must still be
	global though.
	Wrap main() in a bit try/except to log all top-level exceptions.

M	dbus/exceptions.py
M	dbus/gobject_service.py
M	test/run-test.sh
M	test/test-client.py
M	test/test-service.py

commit 2167b305db78b8345b0f5ea23bfa445fa7cfca4d
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-16 11:15:01 -0500

    Re-enable the other tests, even though these still fail for me
    (b.f.o #43303).
    Fix another except syntax problem.

M	test/run-test.sh
M	test/test-client.py

commit 0c71d7dd6eb843a74931c714d6142921f1971f88
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-15 19:58:06 -0500

    Re-enable previously disabled test.

M	test/cross-test-client.py

commit ef05d294e85978cf96a86535321cf914b605fa48
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-15 19:37:23 -0500

    Fix the match rule semantics so that a match rule of "arg0='/'"
    does not match
    object paths in Python3, as per Simon's review comments.

M	dbus/connection.py
M	test/test-standalone.py

commit 8e87ac365f6b08c0617985488dd5d27148c9281d
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-15 17:55:20 -0500

    Consistency; clean-up.

M	_dbus_bindings/abstract.c
M	_dbus_bindings/bytes.c

commit f2909c23abc4f8fa55d71673785f8e70a843f6ce
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-15 16:50:02 -0500

    - Added back the missing PY3PORT.rst file, with updates.
    - Disallow appending unicode objects with 'y' (bytes) signatures.
    This now
      requires either a bytes object or an integer.  Update the tests
      to reflect
    - this change.
    - Fix broken __all__ in Python 3.

A	PY3PORT.rst
M	_dbus_bindings/message-append.c
M	dbus/types.py
M	test/cross-test-client.py
M	test/run-test.sh
M	test/test-standalone.py

commit 4c1c2eade1c5b383adad94a7a4fd6553873fecf0
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-15 06:57:21 -0500

    This is the big one; it adds Python 3 support.

M	_dbus_bindings/Makefile.am
M	_dbus_bindings/abstract.c
M	_dbus_bindings/bus.c
M	_dbus_bindings/bytes.c
M	_dbus_bindings/conn-methods.c
M	_dbus_bindings/conn.c
M	_dbus_bindings/containers.c
M	_dbus_bindings/dbus_bindings-internal.h
M	_dbus_bindings/exceptions.c
M	_dbus_bindings/int.c
M	_dbus_bindings/message-append.c
M	_dbus_bindings/message-get-args.c
M	_dbus_bindings/message.c
M	_dbus_bindings/module.c
M	_dbus_bindings/server.c
M	_dbus_bindings/signature.c
M	_dbus_bindings/string.c
M	_dbus_bindings/types-internal.h
M	_dbus_bindings/unixfd.c
M	_dbus_glib_bindings/Makefile.am
M	_dbus_glib_bindings/module.c
M	configure.ac
M	dbus/__init__.py
A	dbus/_compat.py
M	dbus/_dbus.py
M	dbus/_expat_introspect_parser.py
M	dbus/bus.py
M	dbus/connection.py
M	dbus/decorators.py
M	dbus/proxies.py
M	dbus/service.py
M	dbus/types.py
M	include/dbus-python.h
M	test/cross-test-client.py
M	test/cross-test-server.py
M	test/dbus_py_test.c
M	test/run-test.sh
M	test/test-client.py
M	test/test-p2p.py
M	test/test-service.py
M	test/test-standalone.py
M	test/test-unusable-main-loop.py

commit 667082d0b4aef9c438a2e7fec89614b5b8ef960a
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-14 15:05:16 -0500

    First round of PyInt -> PyLong changes.  These are only compatible
    with Python
    2, since there are still some unconditional PyInt calls, which are
    not valid
    in Python 3.  However, it lays the framework for conditionalizing
    on Python 3
    and using only PyLong in that case.  Where it doesn't matter, PyLong
    is used
    unconditionally.

M	_dbus_bindings/abstract.c
M	_dbus_bindings/bus.c
M	_dbus_bindings/bytes.c
M	_dbus_bindings/conn-methods.c
M	_dbus_bindings/conn.c
M	_dbus_bindings/containers.c
M	_dbus_bindings/generic.c
M	_dbus_bindings/int.c
M	_dbus_bindings/message-append.c
M	_dbus_bindings/message-get-args.c
M	_dbus_bindings/message.c
M	_dbus_bindings/types-internal.h
M	_dbus_bindings/unixfd.c
M	test/test-standalone.py

commit 11c639e3bd2ca3e6a87f349155dda2acc3cd92ea
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-14 13:54:31 -0500

    Add error checking to dbus_py_variant_level_get() and call sites.

M	_dbus_bindings/abstract.c
M	_dbus_bindings/containers.c
M	_dbus_bindings/message-append.c

commit 71f4481c1876785572170ef68d5624ed23f91333
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-14 13:36:39 -0500

    In preparation for Python 3 support, use the Python 2 PyBytes aliases
    for the
    PyString API.  This makes the code compilable in Python 2.x (x >=
    6) and
    Python 3.

M	_dbus_bindings/abstract.c
M	_dbus_bindings/bus.c
M	_dbus_bindings/bytes.c
M	_dbus_bindings/conn-methods.c
M	_dbus_bindings/conn.c
M	_dbus_bindings/containers.c
M	_dbus_bindings/exceptions.c
M	_dbus_bindings/message-append.c
M	_dbus_bindings/message.c
M	_dbus_bindings/server.c
M	_dbus_bindings/signature.c
M	_dbus_bindings/types-internal.h

commit ca7a705663adbac2e781d10c13fc98a5444ef646
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-14 12:00:04 -0500

    In preparation for Python 3 support, all reprs now return unicodes,
    which is
    legal in Python 2 also.  Use fancy REPR macro and the %V format
    code for
    cross-Python compatibility.

M	_dbus_bindings/abstract.c
M	_dbus_bindings/containers.c
M	_dbus_bindings/dbus_bindings-internal.h
M	_dbus_bindings/int.c
M	_dbus_bindings/string.c

commit 5ff1d938ee230b47dcab8b7703409067df35ed2f
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-13 17:36:49 -0500

    Modernize multiline imports in preparation for Python 3 support.

M	dbus/__init__.py
M	dbus/_dbus.py
M	dbus/bus.py
M	dbus/connection.py
M	dbus/lowlevel.py
M	dbus/proxies.py
M	dbus/service.py
M	dbus/types.py

commit dc7b07bc5921cd6263552bb1f3351416327fd67c
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-13 17:26:15 -0500

    Modernize `raise` syntax in preparation of Python 3 support.

M	dbus/decorators.py

commit e033b0c8f22a67abfe2ba1b61365d0c2570b7429
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-13 17:22:22 -0500

    Import threading instead of thread.  The latter is gone in Python 3.

M	dbus/_dbus.py
M	dbus/connection.py
M	dbus/service.py

commit 061e55e8edbfb457bf56194c52e7d7624855cf41
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-13 17:17:46 -0500

    Fix an inconsequential typo.

M	_dbus_bindings/signature.c

commit 4477b6120240e186db8d86619f6da63faca296ba
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-13 17:15:41 -0500

    For pendantic correctness, and future Python 3 compatibility,
    explicitly
    initialize the weaklist slots.

M	_dbus_bindings/conn.c
M	_dbus_bindings/server.c

commit 48abd4782f336de2d6dd228e58f86729778e26fb
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-13 17:08:50 -0500

    Don't leak the fast_seq object.

M	_dbus_bindings/server.c

commit 033a0f2890495053fd6474d6f52d4a6e9c32cca1
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-13 16:50:38 -0500

    - Add a few missing Py_TYPE() changes for Python 3 compatibility.
    - De-tabbify a few instances that "make check" complains about.

M	_dbus_bindings/bytes.c
M	_dbus_bindings/containers.c
M	_dbus_bindings/message-append.c

commit 4a26dab362e8ddd7a765f1249649408f62eb96e7
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-13 16:21:04 -0500

    Additional PyObject_HEAD_INIT -> PyVarObject_HEAD_INIT changes
    in preparation
    for Python 3 support.

M	_dbus_bindings/abstract.c
M	_dbus_bindings/conn.c
M	_dbus_bindings/int.c
M	_dbus_bindings/libdbusconn.c
M	_dbus_bindings/message.c
M	_dbus_bindings/server.c

commit deccd695a43573d31183fe0e93316d306ce989f2
Author: Alexandre Rostovtsev <tetromino@gentoo.org>
Date:	2011-12-13 12:06:17 +0000

    Fix rst2html build failure in non-unicode locales

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=43735
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	NEWS
M	configure.ac

commit 75f2aaaa06e57bc1fbdbaf0530e48dea02541b03
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-12-13 12:04:25 +0000

    Update NEWS

M	NEWS

commit cabcf23207a67cb9215e3efc25ae6e8d73823fd1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-12-13 12:04:19 +0000

    Remove dbus_bindings, deprecated for nearly 5 years

M	Makefile.am
M	NEWS
M	dbus/__init__.py
M	dbus/_dbus.py
D	dbus/dbus_bindings.py
D	dbus_bindings.py

commit 14225c74b5bd75cf6c4cda3647341dc20214e6b8
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-13 11:55:44 +0000

    Use Python 3 syntax to catch exceptions

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	dbus/_expat_introspect_parser.py
M	dbus/bus.py
M	dbus/connection.py
M	dbus/proxies.py
M	dbus/service.py
M	examples/example-client.py
M	test/cross-test-client.py
M	test/test-client.py
M	test/test-service.py

commit 959ce518a3b5b8794b9813bac82c64540c21fc31
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-13 11:51:17 +0000

    Use PyVarObject_HEAD_INIT to initialize types

    Part of a patch for Python 3 compatibility.

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	_dbus_bindings/bytes.c
M	_dbus_bindings/containers.c
M	_dbus_bindings/float.c
M	_dbus_bindings/int.c
M	_dbus_bindings/mainloop.c
M	_dbus_bindings/pending-call.c
M	_dbus_bindings/signature.c
M	_dbus_bindings/string.c
M	_dbus_bindings/unixfd.c

commit 380d1f383c65e767c49d8416dde041a59ba1343e
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-13 11:46:17 +0000

    Adjust debug messages

    Part of a patch for Python 3 compatibility.

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	_dbus_bindings/message-append.c

commit fc24dbaa43e1aea47945cc608640022fd8f94093
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-12-13 11:39:32 +0000

    Require Python 2.6, to make porting to Python 3 easier

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	NEWS
M	configure.ac

commit ebd44a420264da0031b715f7f08a0b347a81dd30
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-12-13 11:38:48 +0000

    Use Py_TYPE() rather than thing->ob_type, for Python 3 portability

    Based on part of a patch from Barry Warsaw.

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	_dbus_bindings/abstract.c
M	_dbus_bindings/bytes.c
M	_dbus_bindings/conn.c
M	_dbus_bindings/containers.c
M	_dbus_bindings/dbus_bindings-internal.h
M	_dbus_bindings/int.c
M	_dbus_bindings/libdbusconn.c
M	_dbus_bindings/message-append.c
M	_dbus_bindings/message-get-args.c
M	_dbus_bindings/message.c
M	_dbus_bindings/pending-call.c
M	_dbus_bindings/server.c
M	_dbus_bindings/string.c

commit dc1c98f05d29c5b7464d7ac34ee900066f261a86
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-12-13 11:30:54 +0000

    _message_iter_get_pyobject: if UTF-8 from libdbus is invalid,
    don't crash

    Based on part of a patch from Barry Warsaw.

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	_dbus_bindings/message-get-args.c

commit 876c668ecbc7b79aa04218b90e0f8b617d3997ed
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-12-13 11:26:31 +0000

    Don't warn about unused parameters

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	configure.ac

commit d1b628e10626a51c306ac8f59bcfbaae2b6fbf2b
Author: Barry Warsaw <barry@python.org>
Date:	2011-12-13 11:25:01 +0000

    Don't leak UTF-8 string if serializing a unicode object fails with OOM

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	_dbus_bindings/message-append.c

commit fb64313b8d37a7869c5489c8ee1bfad0c2c84c0f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-12-13 11:22:28 +0000

    Remove dbus_py_tp_richcompare_by_pointer, dbus_py_tp_hash_by_pointer

    These turn out not to be used for anything. Spotted by Barry Warsaw.

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	_dbus_bindings/dbus_bindings-internal.h
M	_dbus_bindings/generic.c

commit 3caf4241af3a0fbee5948a217172990bb3c5e0b7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-11-15 16:34:51 +0000

    NEWS

M	NEWS

commit 092f60d1887a907434fb34e3a8841b067c21a01e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-11-15 16:23:50 +0000

    Remove support for Python < 2.5

M	_dbus_bindings/dbus_bindings-internal.h
M	_dbus_bindings/module.c
M	configure.ac

commit dfa62b24adde8666df4d9cf64569d3aa51063ac8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-11-15 13:33:27 +0000

    Bump dbus dependency to 1.4 so we can make decent error handling
    mandatory

M	_dbus_bindings/message-append.c
M	configure.ac

commit 9c26d255d7d94a6a9be961672ca666de601b561d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-25 13:51:24 +0100

    Nano version

M	configure.ac

commit 6bdb27482cace69935584d2d9b33bdfce50ef5ce
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-25 12:50:36 +0100

    prepare 0.84

M	NEWS
M	configure.ac

commit 5ee02bf8785167f042636ab3005105243bff533b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-24 17:49:20 +0100

    Let PYTHON_LIBS be overriden on the command line too

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=21017

M	configure.ac

commit e9feba0f7b3a2b67fd56154185e92eab4b932468
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-24 17:48:36 +0100

    Let the user set PYTHON_INCLUDES on the configure command line

    This might be useful for cross-compilation or other strange setups.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=21017

M	m4/am-check-python-headers.m4

commit d6962024d7686e40cc012905581cb31c6999b856
Merge: 4093246 cbc3f71
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-24 16:39:13 +0100

    Merge branch 'fd-passing'

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30812
    Tested-by: Elvis Pfützenreuter <epx@signove.com>

commit 4093246a1593ccc7bf02b5097254df163ab33b8b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-18 12:30:57 +0100

    NEWS

M	NEWS

commit 86653c55435a05d047cc6bb191e2df64f3aa165c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-17 18:54:55 +0100

    _ProxyMethod: allow an explicit signature to be given to method calls

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=36206
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

M	dbus/proxies.py

commit cbc3f71cebc313b988f8ecc461031c828bfd2302
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-18 11:10:54 +0100

    remove stray declaration of dbus_py_unixfd_range_check

M	_dbus_bindings/types-internal.h

commit 77f745f8a27af7b0ff4692ec02278591cdda2bbf
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-18 11:09:00 +0100

    unix-fd-service example: also exercise returning UnixFd(int)

    Also, cycle through the three possible return types deterministically,
    rather than choosing at random.

M	examples/unix-fd-service.py

commit 917c41bfcad70c2c519c56a8f2a62e1804c08fc1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-18 11:02:58 +0100

    Don't try to export DBUS_TYPE_UNIX_FD constant if not defined

M	_dbus_bindings/module.c

commit 04d9fe485b408bf1139e59c457f665a93f514464
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-18 11:02:44 +0100

    unixfd: improve documentation

M	_dbus_bindings/unixfd.c

commit 9d848d864606866f06d3a61cf74e6b9ae44180c1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-18 10:49:11 +0100

    _message_iter_get_pyobject: fix whitespace

M	_dbus_bindings/message-get-args.c

commit c1f49ac473ac8910aa14f65362088a22e3f60a42
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-18 10:49:00 +0100

    UnixFd: don't close file descriptors passed to the constructor as
    an int

    Elvis agreed that this shouldn't differ from our handling of
    objects with
    a fileno().

    This means that _message_iter_get_pyobject does need to close the fd
    itself, so do that.

M	_dbus_bindings/message-get-args.c
M	_dbus_bindings/unixfd.c

commit 630a7c54d85b36b82b1e180703d712ca2d5c5650
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-18 10:38:49 +0100

    unixfd: coding style

M	_dbus_bindings/unixfd.c

commit 13503a5c05b63f19f2d2f65c872fe70debf11700
Author: Elvis Pfützenreuter <epx@signove.com>
Date:	2010-10-14 14:53:29 -0300

    Added Unix Fd support to dbus-python

M	_dbus_bindings/Makefile.am
M	_dbus_bindings/containers.c
M	_dbus_bindings/dbus_bindings-internal.h
M	_dbus_bindings/message-append.c
M	_dbus_bindings/message-get-args.c
M	_dbus_bindings/module.c
M	_dbus_bindings/types-internal.h
A	_dbus_bindings/unixfd.c
M	dbus/types.py
A	examples/unix-fd-client.py
A	examples/unix-fd-service.py

commit 95dc58760290d190a9f62d13d5b3936a0249cb43
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-17 18:56:45 +0100

    example-async-client: remove duplicate handle_hello_error()

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=22560

M	examples/example-async-client.py

commit 070bddd9a60604ea47f003a0982ee90356092be5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2011-05-17 18:06:40 +0100

    adjust Scott's patch to force boolean to be 0 or 1, and for coding
    style

M	_dbus_bindings/conn-methods.c

commit 4965899a9a6bfa1d9969895720089986b997189e
Author: Scott Tsai <scottt.tw@gmail.com>
Date:	2011-02-16 23:46:39 +0800

    Wrap dbus_connection_set_allow_anonymous()

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=34342
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	_dbus_bindings/conn-methods.c

commit d2fc8a5a4ac2ce8eab519557c40432a6879a7c23
Author: Scott Tsai <scottt.tw@gmail.com>
Date:	2011-03-24 22:13:55 +0800

    ProxyObject: clear _pending_introspect_queue after execution

    Signed-off-by: Simon McVittie <smcv@debian.org>

M	dbus/proxies.py

commit 73fce893626e2e2640a35798266f4ee2bc6c05eb
Author: Simon McVittie <smcv@debian.org>
Date:	2010-12-02 17:47:13 +0000

    Release 0.83.2

M	NEWS
M	configure.ac

commit d51c445c8460507526124c3874f81a205a1ae4b9
Author: Simon McVittie <smcv@debian.org>
Date:	2010-12-02 17:41:12 +0000

    NEWS

M	NEWS

commit 59a0ea47f343da7626ea6f10f661a942f8eb284a
Author: Simon McVittie <smcv@debian.org>
Date:	2010-12-02 17:39:08 +0000

    DBusPyException_ConsumeError: check whether the constructor failed

M	_dbus_bindings/exceptions.c

commit 28880468dddbb0e063d80dd003145a6322238507
Author: Simon McVittie <smcv@debian.org>
Date:	2010-12-02 17:28:33 +0000

    Add a regression test for fd.o #23831

M	.gitignore
M	configure.ac
M	test/Makefile.am
A	test/import-repeatedly.c

commit d3f57baf2a9e5e26e2365313abd2890239b6572a
Author: Simon McVittie <smcv@debian.org>
Date:	2010-12-02 17:27:34 +0000

    fd.o #23831: make sure to ref types passed to PyModule_AddObject

    This avoids these static types wrongly being deallocated. Python
    implements static types as having one initial reference, which
    is never
    meant to be released, but if you get your refcounting wrong they'll be
    "deallocated" (causing a crash) during Py_Finalize.

M	_dbus_bindings/abstract.c
M	_dbus_bindings/bytes.c
M	_dbus_bindings/conn.c
M	_dbus_bindings/containers.c
M	_dbus_bindings/float.c
M	_dbus_bindings/int.c
M	_dbus_bindings/libdbusconn.c
M	_dbus_bindings/mainloop.c
M	_dbus_bindings/message.c
M	_dbus_bindings/pending-call.c
M	_dbus_bindings/server.c
M	_dbus_bindings/signature.c
M	_dbus_bindings/string.c

commit 56ad64cd14e52b479489549f76343f19e3842139
Author: Simon McVittie <smcv@debian.org>
Date:	2010-12-02 16:31:07 +0000

    Use Py_CLEAR for greater robustness

M	_dbus_bindings/abstract.c
M	_dbus_bindings/bus.c
M	_dbus_bindings/bytes.c
M	_dbus_bindings/conn-methods.c
M	_dbus_bindings/conn.c
M	_dbus_bindings/containers.c
M	_dbus_bindings/exceptions.c
M	_dbus_bindings/generic.c
M	_dbus_bindings/int.c
M	_dbus_bindings/message-append.c
M	_dbus_bindings/message-get-args.c
M	_dbus_bindings/message.c
M	_dbus_bindings/module.c
M	_dbus_bindings/pending-call.c
M	_dbus_bindings/server.c
M	_dbus_bindings/signature.c
M	_dbus_bindings/string.c
M	_dbus_glib_bindings/module.c
M	test/dbus_py_test.c

commit cb1bbd2414e892469023653ea7ddd5d39cd76b84
Author: Simon McVittie <smcv@debian.org>
Date:	2010-12-02 15:15:02 +0000

    dbus_py_Message_append: avoid looking beyond the valid part of
    a signature

    Similar reasoning: we don't even want to look where the iterator is
    pointing if the last call to dbus_signature_iter_next indicated
    "no more".

M	_dbus_bindings/message-append.c

commit db66571902a3406fc58ac453d8bfa7f689f46c42
Author: Simon McVittie <smcv@debian.org>
Date:	2010-12-02 15:13:28 +0000

    _message_iter_append_multi: bail out safely if a struct isn't filled

    In newer versions of libdbus, calling
    dbus_signature_iter_get_current_type
    when the iterator is pointing at the ')' of a struct trips an
    assertion
    failure, rather than just returning INVALID.

M	_dbus_bindings/message-append.c

commit 3813781fec33ed3cf33cedbfe7d1ecaf8af34aee
Author: Simon McVittie <smcv@debian.org>
Date:	2010-12-02 15:10:50 +0000

    Use dbus_message_iter_abandon_container to bail out, if supported

    This avoids (potentially fatal) warnings, with newer libdbus;
    it'll only
    work if we were compiled against libdbus >= 1.3.0.

M	_dbus_bindings/message-append.c
M	configure.ac

commit 156463909029aa5f3b56755f488e3ac15ed5a79a
Author: Simon McVittie <smcv@debian.org>
Date:	2010-12-02 15:09:00 +0000

    _message_iter_append_multi: assert that mode is what we expect

M	_dbus_bindings/message-append.c

commit abefbed911ecab8fb5c08d887479f21b449b392b
Author: Simon McVittie <smcv@debian.org>
Date:	2010-12-02 15:08:15 +0000

    Makefile.am: build API docs etc. last, so they pick up any recent
    changes

M	Makefile.am

commit 53e9cde2ca64de906967546750e5c6dd6aa58da6
Author: Simon McVittie <smcv@debian.org>
Date:	2010-11-23 19:17:19 +0000

    fd.o #21831: deserialize empty ByteArray objects correctly

    For some reason libdbus gives us NULL instead of a pointer to a
    zero-length object (i.e. any random place in the message would
    do), which
    Py_BuildValue doesn't interpret the way we'd want it to.

M	_dbus_bindings/message-get-args.c
M	test/test-standalone.py

commit 292a9eab92e908b6dc0e97b5ea07c432f41b8bae
Author: Simon McVittie <smcv@debian.org>
Date:	2010-11-23 19:06:17 +0000

    Move CFLAGS_WARNINGS setup after uses of JH_ADD_CFLAG

    We don't want to enable potentially-fatal errors when checking
    for things
    like -fno-strict-aliasing, because autoconf's test programs provoke
    warnings.

M	configure.ac

commit 83b51706c422662dd0a7d55a40030a1d75c38f88
Author: Elvis Pfützenreuter <epx signove.com>
Date:	2010-10-14 23:19:14 -0300

    Fix compilation in 64-bit architecture

M	_dbus_bindings/message-append.c

commit 0ed654e18e29f8c23add3d69e57f6b3628c8f848
Author: Louis-Francis Ratté-Boulianne
<louis-francis.ratte-boulianne@collabora.co.uk>
Date:	2010-08-18 14:02:11 -0400

    Don't override CFLAGS when adding compiler warnings

    Macro function TP_COMPILER_WARNINGS overrides the value of the given
    variable (first argument of the function)

    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	configure.ac

commit f68a143ac3b19bd40709cbc85b5112fcb0d2e07b
Author: Johan Sandelin <johan@alphafish.com>
Date:	2010-03-23 15:15:33 +0100

    Fixed typo in dbus/bus.py where list_activatable_names
    would call org.freedesktop.DBus.ListNames instead of
    org.freedesktop.DBus.ListActivatableNames

    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	dbus/bus.py

commit e2262071188067360a7798ae30d4b694229f6f0f
Author: Simon McVittie <smcv@debian.org>
Date:	2010-02-18 18:11:34 +0000

    Start 0.83.2

M	NEWS
M	configure.ac

commit 49884241db42ea4d2eadd08cb8b5805a6708c925
Author: Simon McVittie <smcv@debian.org>
Date:	2010-02-18 17:15:57 +0000

    Prepare version 0.83.1

    Second try :-)

M	NEWS
M	configure.ac

commit c91476085faaf7456c5b67e431c11b153b3c8762
Author: Simon McVittie <smcv@debian.org>
Date:	2010-02-18 17:35:32 +0000

    Use telepathy-glib's macros for desirable and undesirable compiler
    warnings

M	configure.ac
M	m4/Makefile.am
A	m4/tp-compiler-flag.m4
A	m4/tp-compiler-warnings.m4

commit 65838e33fc871a8cf4b18541a6b0a59af2951eb2
Author: Simon McVittie <smcv@debian.org>
Date:	2010-02-18 17:35:11 +0000

    Require a halfway modern Automake

M	configure.ac

commit 4bef0dcf7a040d3656b60e480e9e94b663887ab9
Author: Simon McVittie <smcv@debian.org>
Date:	2010-02-18 17:35:01 +0000

    Support silent rules if automake >= 1.11

M	configure.ac

commit ea197112c5601b0b527b933c3e1241a1bdb02f9f
Author: Simon McVittie <smcv@debian.org>
Date:	2010-02-18 17:22:14 +0000

    Fix signature and return value of Connection_tp_init (oops)

M	_dbus_bindings/conn.c

commit 1c9d2019260b38f7ee2eef1f73d07c0620ba51f2
Author: Simon McVittie <smcv@debian.org>
Date:	2010-02-18 17:21:56 +0000

    Revert "Prepare version 0.83.1"

    This reverts commit a63043f262e8938affe515faa145d0f619b9fae6.

M	NEWS
M	configure.ac

commit a63043f262e8938affe515faa145d0f619b9fae6
Author: Simon McVittie <smcv@debian.org>
Date:	2010-02-18 17:15:57 +0000

    Prepare version 0.83.1

M	NEWS
M	configure.ac

commit 2124e4f2a44791c92781276ebe7c4e9a458888d5
Author: Simon McVittie <smcv@debian.org>
Date:	2010-02-18 17:15:48 +0000

    Ignore generated files from newer libtool

M	.gitignore

commit 35f4c2e950539f3c72628eb758b62ed2a0b70492
Author: Simon McVittie <smcv@debian.org>
Date:	2010-02-18 17:02:13 +0000

    Use git log rather than git-log, to support distcheck with modern git

M	Makefile.am

commit 50f0a326c63f35b2cafe8cb9e9082bc2c4a3fa1b
Author: Simon McVittie <smcv@debian.org>
Date:	2010-02-18 15:07:39 +0000

    fd.o#21172: avoid DeprecationWarning with Python 2.6

M	_dbus_bindings/conn.c

commit abdf6021b21883beb51d92862caafc127d3c25ec
Author: Simon McVittie <smcv@debian.org>
Date:	2010-02-18 15:03:30 +0000

    tests/cross-test-*: don't use deprecated sets module

    set() has been a built-in since 2.4, and we don't support older
    versions.

M	test/cross-test-client.py
M	test/cross-test-server.py

commit add31c0964a0a659443aa534b1f114f4e0a2e7b3
Author: Simon McVittie <smcv@debian.org>
Date:	2010-02-18 14:45:24 +0000

    fd.o #15013: expose dbus.lowlevel.MESSAGE_TYPE_SIGNAL and friends

M	_dbus_bindings/module.c
M	dbus/lowlevel.py

commit c1ade22086f9d25cfd1d1096307bbf96cbb1ae29
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-09-30 15:38:16 +0100

    Update NEWS again

M	NEWS

commit a6df6fb20142e7624b78b5c84e9e23cba3d3a3b9
Author: Huang Peng <shawn.p.huang gmail com>
Date:	2008-09-30 15:35:39 +0100

    Message.set_sender: allow org.freedesktop.DBus

    I found Message.set_sender method only accepts unique bus name. But in
    my project, I need implement a simple dbus daemon, it need set
    the sender
    as "org.freedesktop.DBus".

M	_dbus_bindings/message.c

commit 98d85a33c8570dff007ce79d87657b19e67e0f00
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-09-30 15:34:24 +0100

    NEWS: mention mpg's bugfix

M	NEWS

commit 29774bca65ef7f887f9dafda56cb167dc0a2e80e
Merge: 884acb5 6a94507
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-09-16 11:27:24 +0100

    Merge branch 'mpg'

commit 884acb58ef583a7565bfa88f2dc161d10c8adde6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-09-16 11:26:24 +0100

    Start development for 0.83.1

M	NEWS
M	configure.ac

commit 6a945076699cd0a5eebde6bcf22a3cc4a4f9e547
Author: Marco Pesenti Gritti <mpgritti gmail com>
Date:	2008-09-15 18:09:00 +0100

    Cleanup self._signal_recipients_by_object_path (fd.o #17551)

    In Connection, add_signal_receiver adds object paths to
    self._signal_recipients_by_object_path and they are not cleaned by
    remove_signal_receiver.

    As a result self._signal_recipients_by_object_path keeps growing
    indefinitely.

    This seem to work for me. I know very little about dbus-python though,
    so I
    could very well be doing it wrong.

    https://bugs.freedesktop.org/show_bug.cgi?id=17551
    https://bugs.freedesktop.org/attachment.cgi?id=18857

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

M	dbus/connection.py

commit 81d0dcd79e1bc6187faa2f6a2f6d4d821f879a0e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-23 17:45:07 +0100

    Release version 0.83.0

M	NEWS
M	configure.ac

commit d634b018107c5aaeaeca704c14b9e853b9d52bfd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-23 17:36:41 +0100

    Avoid some compiler warnings

M	_dbus_bindings/dbus_bindings-internal.h
M	_dbus_glib_bindings/module.c
M	test/dbus_py_test.c

commit fe5981ca2b90978c75d3308b0f58844fabf8ea4d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-23 17:36:24 +0100

    Make the API docs build correctly when out-of-tree

M	Makefile.am
M	NEWS

commit 7ef26213b5b3b46444f87a603ee3bb5c6381a56a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-23 17:16:43 +0100

    Require dbus 1.0.

    It's been out for ages, and we can finally drop
    DBUS_API_SUBJECT_TO_CHANGE if we do.

M	NEWS
M	configure.ac
M	dbus-python.pc.in
M	include/dbus-python.h

commit 8c2ef87d94525af4b1e7f21e18b0a07b30ab425b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-17 13:06:06 +0100

    Update NEWS again

M	NEWS

commit d1ded84e774c4aaad9bf02842e1898580dd599ea
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-17 13:00:15 +0100

    Omit the remote traceback from certain D-Bus errors

    Specifically, DBusException and its subclasses no longer have
    the remote
    traceback by default (although subclasses can turn it back on again
    by setting include_traceback = True, and the various "programmer
    error"
    subclasses of DBusException do have this set).

    Hopefully this will stop people thinking it's a dbus-python or
    telepathy-python bug when a D-Bus API like Telepathy deliberately
    raises an
    error (and so dbus-python or telepathy-python is visible in the
    traceback).

M	dbus/exceptions.py
M	dbus/service.py
M	test/test-client.py
M	test/test-service.py

commit b962965f8c30d785ade69dd6a60924b42d6a1c8d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-17 12:17:31 +0100

    Update NEWS. Let's call the next release 0.83 since it's a feature
    release

M	NEWS
M	dbus/server.py

commit 90c84c2cbe826e8aa4a4a4d8c4f4926c77590f25
Merge: a7725c9 b5aa7ce
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-15 19:38:08 +0100

    Merge branch 'master' into server

commit b5aa7ce1baa7628c883982f6dde9ca32958db857
Author: Huang Peng <phuang@redhat.com>
Date:	2008-07-15 19:37:00 +0100

    Bugfix for: if using Connection.add_message_filter, only the last
    filter will be called

M	_dbus_bindings/conn-methods.c

commit a7725c9d7589773de7c068f11ca63b95f99ccfcc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-15 19:33:01 +0100

    Alter dbus.server.Server API to have pseudo-signals

    By either appending to a list of callbacks, or subclassing and
    providing a
    method, you can be notified when connections are added or removed.
    Inspired by the DBusServer patch from Huang Peng.

M	dbus/server.py
M	test/test-server.py

commit 810b67cd6d30e4af73067090c7fe1ae14952ce00
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-15 19:30:33 +0100

    Initialize LibDBusConnection correctly

M	_dbus_bindings/module.c

commit 07196538f58c069313eeda2c496278f8289b9437
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-15 19:22:33 +0100

    Add some more compiler warning flags if supported

M	configure.ac

commit 88a08077393d4c6f091109ccc819c6ec4664ba71
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-15 19:22:21 +0100

    Make DBusPyConnection_NewConsumingDBusConnection static now nobody
    else needs to call it

M	_dbus_bindings/conn.c

commit 2f7e3865c5cae60769b98dac163802e224345fb9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-15 19:21:51 +0100

    DbusPyServer: construct connections by calling the type, so the
    object will be fully initialized

M	_dbus_bindings/server.c

commit bdc76e63da5ca9e017cfbea6c1ce1b0e21ebf706
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-15 19:15:42 +0100

    Refactor DBusPyConnection_NewForBus and make it go via
    DbusPyConnection_Type.tp_new

    Now that we have the LibDBusConnection temporary objects, we
    don't have
    to do strange sideways inheritance, we can just chain up to the
    superclass
    constructor.

M	_dbus_bindings/bus.c

commit 0f0193180b7853cfea486d0aef1b60d4fa067ed2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-15 19:13:55 +0100

    _dbus_bindings._Connection: sort out constructor

    Accept a LibDBusConnection for the address (sic) parameter,
    so we can construct a Connection for a DBusConnection that already
    exists.

    The way all this works right now is a bit unfortunate, with hindsight,
    but most of it is fixable like this.

M	_dbus_bindings/conn.c

commit 9d53f6c5179c590089bd6560e266dda538202f93
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-15 18:59:33 +0100

    [trivial] un-extern Struct_tp_getattro

M	_dbus_bindings/containers.c

commit 9d9322f9faf49f7ac8b4c3048f1333a9d7cabb48
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-15 18:54:54 +0100

    Add LibDBusConnection in _dbus_bindings

M	_dbus_bindings/Makefile.am
M	_dbus_bindings/conn-internal.h
M	_dbus_bindings/dbus_bindings-internal.h
A	_dbus_bindings/libdbusconn.c

commit 565d2e88c54d3f2e6dab4ae0ed3202d3a26bfd2c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-14 18:44:15 +0100

    Add Connection.call_on_disconnection

M	dbus/connection.py

commit a7e29e3dbab9651761fc9a7c3ec7fbc27c711286
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-14 17:30:43 +0100

    Actually create objects of class Server->conn_class

M	_dbus_bindings/server.c

commit ee4c9f80cd6a6e839eeebd2e592e4793e9bb61a8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-14 17:24:35 +0100

    dbus.server.Server: implement a stub version of _on_new_connection

M	dbus/server.py

commit 689e366ec0192920bcc961a0c44e89898d9bd8b1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-14 17:19:56 +0100

    Fix *another* thinko in dbus.server

M	dbus/server.py

commit 2a646b1a5ac0ac15923e657058703f146f12a452
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-14 17:18:45 +0100

    Fix thinko in dbus.server: actually instantiate a _Server

M	dbus/server.py

commit b9925dc51a1fe6d07c263f7f956005b44ca95b29
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-14 16:56:02 +0100

    Add some whitespace to make reStructuredText happy

M	dbus/_dbus.py

commit c731758bd9d5dfcfe2a9e3176596bb43777ea334
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-14 16:54:16 +0100

    Hook DBusServer into the build system.

    Based on parts of the patch by Huang Peng <phuang@redhat.com>

M	Makefile.am
M	_dbus_bindings/Makefile.am
M	_dbus_bindings/dbus_bindings-internal.h
M	_dbus_bindings/mainloop.c
M	_dbus_bindings/module.c

commit 6dcd530f0b6aa158330726d7a5cca9d6dd96eafb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-14 16:43:15 +0100

    Rename _dbus_bindings.Server to _dbus_bindings._Server

M	_dbus_bindings/server.c
M	dbus/server.py

commit 87a86d7d6033cbb61271a84f20d5d25c4b4182c0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-14 16:41:28 +0100

    DBusPyServer: construct a user-specified subtype of Connection

M	_dbus_bindings/server.c
M	dbus/server.py

commit 8e213001de0523bd7971fc9251c56635a9e943db
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-14 16:40:32 +0100

    test-server: import Connection from the right place

M	test/test-server.py

commit 54a64a6571a6de18b87177ff1410e5d57f574463
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-14 16:16:22 +0100

    DBusPyServer initialization: remove some debugging printfs

M	_dbus_bindings/server.c

commit 05c19f23c63246322e4c9dfed2af47aaf77f7619
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-14 16:15:43 +0100

    DBusPyServer get_address, get_id: correct docs, these return str
    not String

M	_dbus_bindings/server.c

commit cf64e96607157f4e73c6dacaa34fb54fead26d1f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-14 16:14:48 +0100

    DBusPyServer tp_dealloc: remove a stray debugging printf

M	_dbus_bindings/server.c

commit d9821035d58c4fe161a9ff0a2546198e2c1dbb49
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-14 16:13:34 +0100

    DBusPyServer: correctly unref the partially constructed DBusPyServer
    on errors

M	_dbus_bindings/server.c

commit 6d77f23d062f047437dc8ce428d86a7ad9fa05b2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-14 16:12:27 +0100

    DBusPyServer: correctly unref the weakref object on errors

M	_dbus_bindings/server.c

commit 603d449610275db1e51816104630cce6d74ac9d4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-14 16:11:30 +0100

    DBusPyServer: fix a typo

M	_dbus_bindings/server.c

commit 0a888fb732074426d9b0dd6f487dffe5cee9df39
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-14 16:09:57 +0100

    DBusPyServer: Fix refcounting of the main loop

M	_dbus_bindings/server.c

commit 1144c656fa9d956853fd8c03dc52937f60d3ee2e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-14 16:09:27 +0100

    DBusPyServer: if there's no main loop, throw an exception

    The code starting at the "err" label assumes that an exception
    has been
    set already.

M	_dbus_bindings/server.c

commit 37fd41a721a5417eeb72e90cbe3296f823ccc1b2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-14 16:08:26 +0100

    Document that DBusPyServer_NewDBusServer consumes a reference to
    the server.

    Rename it to DBusPyServer_NewConsumingDBusServer to make this clearer.

M	_dbus_bindings/server.c

commit 1896381006ec54b1dfaf8bbcaaeab14b8a12ed32
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-14 15:45:35 +0100

    DBusPyServer: remove some stray debugging printfs

M	_dbus_bindings/server.c

commit ac83797b39b1d0eacaafcdf42772eab8ca91ce63
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-07-14 15:39:02 +0100

    DBusPyServer: refactor set_auth_mechanisms

    * save a malloc
    * return a boolean
    * don't crash if the sequence isn't a sequence
    * don't coerce items to strings too hard (we only want to accept
    str or
      unicode, accepting FooObject and trying to use it as an
      authentication
      method "<FooObject at 0xdeadbeef>" would be silly)

M	_dbus_bindings/server.c

commit 9774cdade2306b9bb641162a14645510fc822c86
Author: Mathias Hasselmann <mathias@openismus.com>
Date:	2008-01-31 23:26:30 +0100

    Initial support for DBusServer class (#14322).

A	_dbus_bindings/server.c
A	dbus/server.py
A	test/test-server.py

commit dff98456995c37d964eb32a7de7ca718fc3d48d7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2008-01-22 12:01:18 +0000

    Don't assume that libdbus only gives method call messages to
    object-path handlers (fd.o #14199)

M	NEWS
M	dbus/service.py

commit 2295b58e4eef9f41a2f917c51408f83a4d2b7efd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-12-19 18:19:02 +0000

    doc/tutorial.txt: Briefly describe how to use the Qt event loop.
    Based on a patch from Phil Thompson, riverbankcomputing.co.uk

M	doc/tutorial.txt

commit e0883f3518f137399077c13409f7a469924c0fd8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-12-10 17:40:23 +0000

    Unset release flag, and start NEWS for 0.82.5

M	NEWS
M	configure.ac

commit a536c5ed08c21e35937bc8ea52844c2f19bfdc55
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-12-10 17:39:20 +0000

    Add a maintainer-upload target to the Makefile.am, which uploads
    the current .tar.gz and .tar.gz.asc

M	Makefile.am

commit ca0a58e3ef9fe1cc2b1282b52f652c71b736e182
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-12-10 15:14:06 +0000

    Version 0.82.4

M	configure.ac

commit ae97b7432232bc008e20e4696c512bcf69938dd8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-12-10 15:13:48 +0000

    When user sets reply_handler but not error_handler raise
    MissingReplyHandlerException instead of MissingErrorHandlerException,
    and vice versa (fd.o #12304, patch from René Neumann)

M	NEWS
M	dbus/proxies.py

commit 2beb7890280ae3b553e59ab8355b65ec203e4776
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-10-12 11:34:37 +0100

    Update NEWS

M	NEWS

commit 6076d4222af7da5a8aa1de28626423d811ba6be2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-10-12 11:34:28 +0100

    Don't try to make dbus/Makefile from dbus/Makefile.in; the fix for
    #12741 removed it

M	configure.ac

commit 4fdbc65e42d940ba6cc4445a8a83af90dc3d3a34
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-10-09 12:26:21 +0100

    Revert "Make sure extensions are built before docs; get rid of
    strange inter-directory dependency"

    This reverts commit 5321d836844f3bc06a6d5796c9ca902e0bd6f4cc.

M	Makefile.am

commit 09611c45b3301e93a34a03366e058c3edc184e47
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-10-09 12:24:52 +0100

    Don't distribute COPYING.*, which we no longer have or need

M	Makefile.am

commit 81897e3143ff5d4c660e4960cc103b92d54ae14d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-10-09 12:24:15 +0100

    Don't try to distribute COPYING.AFL-2.1 and COPYING.GPL-2, which we
    no longer have or need

M	Makefile.am

commit 0a8b67e2d99ed36f30d6709277a40fdd2812953d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-10-09 12:20:10 +0100

    Use MIT/X11 license as per permission given on the dbus mailing list.
    This affects code with copyright statements from the following
    individuals:
    * Anders Carlsson
    * Colin Walters
    * David Zeuthen
    * Rob Taylor
    and the following companies:
    * Collabora Ltd. (represented by me)
    * Red Hat Inc. (represented by Havoc Pennington)

M	COPYING
D	COPYING.AFL-2.1
D	COPYING.GPL-2
M	dbus/__init__.py
M	dbus/_dbus.py
M	dbus/_expat_introspect_parser.py
M	dbus/decorators.py
M	dbus/glib.py
M	dbus/mainloop/glib.py
M	dbus/proxies.py
M	dbus/service.py
M	test/run-test.sh
M	test/run-with-tmp-session-bus.sh

commit 5321d836844f3bc06a6d5796c9ca902e0bd6f4cc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-10-09 12:07:57 +0100

    Make sure extensions are built before docs; get rid of strange
    inter-directory dependency

M	Makefile.am

commit 07b0486fa32ede65b5c05011d56f2ee0694a5176
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-10-09 11:43:05 +0100

    Use non-recursive make for dbus/ to work around types.py clash with
    top-level types module (fd.o #12741)

M	Makefile.am
D	dbus/Makefile.am

commit 64eeafbf7a167dd116aeabbcf78ebc257f551e1b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-10-09 11:42:00 +0100

    test/: add some missing copyright headers

M	test/dbus_py_test.c
M	test/run-test.sh
M	test/run-with-tmp-session-bus.sh

commit 5295a01631b2a02f948d22417de997a3200a2cee
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-09-28 11:49:28 +0100

    License examples under MIT/X11.
    According to history of dbus-core before the bindings split, the
    examples were
    written by Red Hat employees, so we should be OK to relicense them;
    and it's
    good to have copyright headers.

M	examples/example-async-client.py
M	examples/example-client.py
M	examples/example-service.py
M	examples/example-signal-emitter.py
M	examples/example-signal-recipient.py
M	examples/gconf-proxy-client.py
M	examples/gconf-proxy-service2.py
M	examples/list-system-services.py

commit c658f7804cf892c2c45548dc9283c06ce7249925
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-09-28 11:28:26 +0100

    Use MIT/X11 license for code owned by Collabora and Red Hat only,
    as per Havoc's permission
    (Message-ID:
    <815098350709271800k2505485dlef9414609d392b48@mail.gmail.com>)

M	test/dbus_python_check.py
M	test/test-client.py
M	test/test-p2p.py
M	test/test-service.py
M	test/test-signals.py

commit a6c85a634286fe6ddfb0d15c40a475acf4bd214c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-09-27 19:05:06 +0100

    Unset dbus_python_released following release

M	configure.ac

commit 137f8e8bbfcd1bef30efe8aec4923c407da180eb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-09-27 18:36:07 +0100

    Version 0.82.3

M	NEWS
M	configure.ac

commit a5d922d9605ae3c1540cd232cb754a9dc5dc7812
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-09-27 18:31:20 +0100

    Don't try to distribute COPYING.LGPL-2.1 - no longer exists

M	Makefile.am

commit dfa86e6e601be2ebef25ad99056929ff30e1cac9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-09-27 18:24:58 +0100

    Fix NEWS indentation

M	NEWS

commit 4e39a3c08aef2b502e9d330b372b7ab96fac6881
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-09-27 18:21:16 +0100

    Mention relicensing in NEWS

M	NEWS

commit 2afba7e53cf65fccfd15c87852e791845cff8467
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-09-27 18:19:16 +0100

    Update NEWS, and add regression tests for fd.o #12096 and #12403

M	NEWS
M	test/test-client.py
M	test/test-service.py

commit cb1ffaea799249d6c2dcc9452f758f57392f55e7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-09-27 18:14:11 +0100

    fd.o #12432: fix documentation for remove_from_connection

M	dbus/service.py

commit 05460fdecf77c56640c332d290a5950884f26769
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-09-27 18:13:42 +0100

    dbus.exceptions.DBusException: allow setting _dbus_error_name in
    subclasses

M	dbus/exceptions.py

commit 79b4ea50399db59fa8459badf33918764677248d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-09-27 17:57:15 +0100

    Don't raise KeyError when closing private dbus.Bus. (fd.o #12096)
    Also deprecate private dbus.Bus in favour of dbus.bus.BusConnection -
    the only
    things you gain from using dbus.Bus are the shared-instance behaviour
    and some
    strange more-than-one-way-to-do-it APIs.

M	dbus/_dbus.py

commit d8c154284ca464f493c81a4d3b5a37890d68acec
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-09-27 13:57:49 +0100

    Relicense Collabora code under the MIT/X11 license proposed for dbus
    core, removing all references to the LGPL as a result

M	COPYING
D	COPYING.LGPL-2.1
M	_dbus_bindings/abstract.c
M	_dbus_bindings/bus.c
M	_dbus_bindings/bytes.c
M	_dbus_bindings/conn-internal.h
M	_dbus_bindings/conn-methods.c
M	_dbus_bindings/conn.c
M	_dbus_bindings/containers.c
M	_dbus_bindings/dbus_bindings-internal.h
M	_dbus_bindings/debug.c
M	_dbus_bindings/exceptions.c
M	_dbus_bindings/float.c
M	_dbus_bindings/generic.c
M	_dbus_bindings/int.c
M	_dbus_bindings/mainloop.c
M	_dbus_bindings/message-append.c
M	_dbus_bindings/message-get-args.c
M	_dbus_bindings/message-internal.h
M	_dbus_bindings/message.c
M	_dbus_bindings/module.c
M	_dbus_bindings/pending-call.c
M	_dbus_bindings/signature.c
M	_dbus_bindings/string.c
M	_dbus_bindings/types-internal.h
M	_dbus_bindings/validation.c
M	_dbus_glib_bindings/module.c
M	dbus/bus.py
M	dbus/connection.py
M	dbus/exceptions.py
M	dbus/gobject_service.py
M	dbus/lowlevel.py
M	dbus/mainloop/__init__.py
M	doc/tutorial.txt
M	include/dbus-python.h
M	test/cross-test-client.py
M	test/cross-test-server.py
M	test/crosstest.py
M	test/test-standalone.py
M	test/test-unusable-main-loop.py

commit 003204b6a58faad7bc937ba029a99204cfa417e1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-09-27 13:56:01 +0100

    dbus.service: Don't assume that exceptions passed to asynchronous
    callbacks are the same as the pending exception
    (fd.o #12403, https://dev.laptop.org/ticket/3370)

M	dbus/service.py

commit 7028d177352b18efa3cc567f6753e1dbdab8f025
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-08-06 14:27:01 +0100

    Update NEWS

M	NEWS

commit 050bf4a893e24061c3de35eb24c05d3d1002ed28
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-08-06 14:26:21 +0100

    Makefile.am, test/Makefile.am: Use @abs_top_builddir@,
    @abs_top_srcdir@
    This fixes incorrect Python path for docs and tests if doing an
    out-of-tree
    build using an absolute path for $(srcdir), and is also less ugly.

M	Makefile.am
M	test/Makefile.am

commit 33773b778911c890d76c38b13f0fdb39df237d9e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-08-01 21:37:50 +0100

    Unset dbus_python_released

M	NEWS
M	configure.ac

commit af16daa9ff5d7217f361d68ce2bfe405f2cbd412
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-08-01 21:37:02 +0100

    Release 0.82.2

M	NEWS
M	configure.ac

commit f27c16490c23df1b7700904ea20232ef3e4097ae
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-08-01 20:00:37 +0100

    Mention in NEWS that API docs are generated by default

M	NEWS

commit 44471aab0502cfccef6a4fb63f01feeb6bf8732e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-08-01 19:59:19 +0100

    Reorganise README to reflect that API docs are generated by default

M	README

commit d3208ff19c3b61ae006403a9096c7a7ac09d4f5f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-08-01 19:58:59 +0100

    Mention incompatibility with 0.82.1 more prominently

M	NEWS

commit 8a27b1d1164c6c63467d79c497330fefd7c6de6e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-08-01 19:27:30 +0100

    Check for epydoc version >= 3, and default to building API docs
    if available

M	configure.ac

commit 44f7d60ff7ea038c2e314f05f1ccbc3a76f258d5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-08-01 19:15:45 +0100

    Update NEWS to mention #11623 fix

M	NEWS

commit 5e6fa32bf95a0d17fe5ce6a4ecdcae5dd3f967d5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-08-01 19:10:37 +0100

    Add rel_path_keyword to @method (fd.o #11623)

M	dbus/decorators.py
M	dbus/service.py
M	test/test-client.py
M	test/test-service.py

commit 65680613473b7ca39f68d25010b6b17eda841f6a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-08-01 19:08:48 +0100

    Avoid deprecated API in cross-test

M	test/cross-test-client.py
M	test/cross-test-server.py

commit cea890e5e98e1846c47b220b69ae00e843c695a1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-08-01 18:36:37 +0100

    Update NEWS

M	NEWS

commit 159319390404ed58406dba5a42d931740660af78
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-08-01 18:34:38 +0100

    Fix introspection on objects with more than one connection or more
    than one object path (bugs.fd.o #11794)

M	dbus/service.py
M	test/test-client.py
M	test/test-service.py

commit 5aef31b429ac0c14312265e166aeeeda91b3f8ac
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-07-31 19:01:11 +0100

    NEWS: mention the solved build problems related to python-config

M	NEWS

commit e821e102b2fa3baff4de719411b03385132dd0f4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-07-31 18:49:43 +0100

    Re-fix checking for Python include paths. Use $PYTHON-config like
    in 0.82.1 if we can, use the hard-coded logic from versions prior
    to 0.82.0 if we can't.

M	m4/am-check-python-headers.m4

commit f0291410ce950913593d5ae6c9fd4fabd5eaaa3f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-07-31 18:04:16 +0100

    Complete the .m4 renaming

R100	m4/dbuspy-add-rst2htmlflag.m4	m4/dbus-py-add-rst2htmlflag.m4

commit 4764f07dfeee9a3baa90399f9f2a18d7d5175fd2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-07-31 17:47:12 +0100

    Move dbus-py-add-rst2htmlflag.m4 to jh-add-cflag.m4 - the contents
    of two of the .m4 files were the opposite of what they should be

R100	m4/dbus-py-add-rst2htmlflag.m4	m4/jh-add-cflag.m4

commit 3396bcbacfaaa4c2ad4ad1e9d627be8ce14a6d77
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-07-31 17:46:42 +0100

    Move jh-add-cflag.m4 to dbuspy-add-rst2htmlflag.m4 - the contents
    of two of the .m4 files were the opposite of what they should be

R100	m4/jh-add-cflag.m4	m4/dbuspy-add-rst2htmlflag.m4

commit a7b73b44ca3b86a0ccf0a58e2c1fdee205633657
Author: Simon McVittie <smcv@carbon.pseudorandom.co.uk>
Date:	2007-07-31 17:40:20 +0100

    Revert "Use python-config to get Python cppflags (patch from Ubuntu,
    fd.o #11282)."

    Python < 2.5 didn't have python-config (although some distributions,
    e.g.
    Debian and Ubuntu, shipped it as an add-on). Even for 2.5, some
    distributions
    install it under gratuitously different names (hi, Gentoo). As
    a result,
    this patch needs replacing with one that doesn't rely on having
    python-config.

    This reverts commit 7c9d08d1ba7f5b0a9aa4a37118e56b1725cdaef9.

M	m4/am-check-python-headers.m4

commit 66ebaa801a13be7403e6ec47de1f322ccf310346
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-07-31 13:01:04 +0100

    _dbus_bindings/mainloop.c: Remove Watch and Timeout.

    They were never used, and didn't make a great deal of sense. I now
    believe the
    right direction for pure-Python mainloop support is to define a
    Pythonic main
    loop abstraction and coerce libdbus to fit into it, rather than
    pretending
    the objects in libdbus' abstraction are Python objects.

M	_dbus_bindings/mainloop.c

commit 4856b6c485c430ac15d4a634b6958d5f6af89dfa
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-07-31 12:55:16 +0100

    NEWS: update with timeout fix

M	NEWS

commit 5ab6cdc200267095edd56645df536dac5d4dc986
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-07-31 12:38:02 +0100

    Measure async call timeout in seconds as intended, not in ms (blocking
    calls already used seconds). Add regression tests

M	dbus/connection.py
M	test/test-client.py
M	test/test-service.py

commit 70f802152547898f225a0a675789fb923a5ea410
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-07-26 17:04:44 +0100

    test-client: Avoid deprecated usage - explicitly pass SessionBus()
    to BusName ctor

M	test/test-client.py

commit f5eb61dce982d6c51a78f5bb745ebd632ef1ad70
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-07-18 21:26:10 +0100

    Try to avoid importing things from _dbus_bindings when they could
    be imported from public API

M	dbus/_dbus.py
M	dbus/bus.py
M	dbus/connection.py
M	dbus/decorators.py
M	dbus/glib.py
M	dbus/service.py

commit 4cab9350dda0b36446d7b2a935bd6451a38e67a2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-07-12 16:26:05 +0100

    Bump version to 0.82.1.YYYYMMDD

M	configure.ac

commit 07bb7f1de21c64ea1f19ff107910daa2a14ec4ba
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-07-12 13:13:13 +0100

    Avoid cpp directives inside macro calls, to be nice to old gcc
    versions

M	_dbus_bindings/containers.c
M	_dbus_bindings/int.c

commit a94d9d68d17fd5284aa549187ac6fbb29c188efd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-07-11 17:11:08 +0100

    NEWS, configure.ac: 0.82.1, the "double precision" release

M	NEWS
M	configure.ac

commit e94f1a9a3c4e9a7800e013dd61b06b5538c9b8ac
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-07-11 15:51:23 +0100

    Use PyArg_ParseTuple correctly, fixing the timeout in
    send_message_with_reply and send_message_with_reply_and_block.
    (bugs.fd.o #11489; thanks to Marco Pesenti Gritti for report and
    initial patch)

M	NEWS
M	_dbus_bindings/conn-methods.c

commit 9fc1958471a95249984e9556b7dab8838eb19844
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-07-03 19:54:06 +0100

    Unset dbus_python_released

M	configure.ac

commit a2ee1a4bbdef1613c44be8131b9a89bf8c4543ba
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-29 17:54:02 +0100

    .gitignore: ignore patch(1) cruft, and detached signatures for the
    release tarballs

M	.gitignore

commit 439ceed581837381aa690b6a0b809a06470d167d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-29 17:47:23 +0100

    Update NEWS

M	NEWS

commit 1b91d2d408ea471af1e4641e7fb31b4534026a70
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-29 17:38:46 +0100

    dbus.proxies: If making a call with ignore_reply=True, don't block
    for introspection

M	dbus/proxies.py

commit 06810eb34ed2cdc5f0def02b45680915b0e0b985
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-21 01:22:27 +0100

    dbus.service: use DBUS_INTROSPECT_1_0_XML_DOCTYPE_DECL_NODE

M	dbus/service.py

commit 9556649e48df344f6ec0010c4af00a076a751760
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-21 01:22:04 +0100

    Expose HANDLER_RESULT_HANDLED, HANDLER_RESULT_NOT_YET_HANDLED as
    public API in dbus.lowlevel

M	dbus/lowlevel.py

commit 0d4f60d771305572594fb2cfb502bf565230fa37
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-21 01:21:33 +0100

    Get stacklevel right on deprecation of not specifying bus in
    BusName.__init__

M	dbus/service.py

commit 11925e0a12989793926f82d2286cbb20ef7a179d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-21 01:20:39 +0100

    _dbus_bindings: add DBUS_INTROSPECT_1_0_XML_DOCTYPE_DECL_NODE etc.

M	_dbus_bindings/module.c

commit d45d56a6ba455ee9b12af4d2c8c448392d74d1b4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-21 01:19:39 +0100

    Avoid using deprecated dbus_watch_get_fd()

M	_dbus_bindings/mainloop.c
M	configure.ac

commit a2f7458105791f37be52e1de22b710968904b235
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-20 18:01:19 +0100

    dbus.service: Deprecate the omission of the `bus` argument in the
    BusName constructor.
    Explicit is better than implicit.

M	dbus/service.py

commit 39c996ac7439c5c9a61ddb0efc92bada491fa0e5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-20 18:00:10 +0100

    Stop using interactive-Python syntax in tutorial to reduce user
    confusion.
    Closes bugs.fd.o #11209.

M	doc/tutorial.txt

commit 9f2e2040c33b09196e438c818379290c9e41a4ca
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-19 18:05:00 +0100

    Version 0.82.0

M	NEWS
M	configure.ac

commit 343aaa190f8a1c7475e4565c50483abbc5914a75
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-19 13:59:23 +0100

    Improve API documentation markup, particularly adding :Since:
    annotations

M	dbus/bus.py
M	dbus/connection.py
M	dbus/decorators.py
M	dbus/proxies.py
M	dbus/service.py

commit e631446a0c3113260c380284fe1f71419d5a7edb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-19 13:58:37 +0100

    Mark Bus.get_connection() as deprecated; improve Bus.__repr__

M	dbus/_dbus.py

commit 10c49fa072b4f28713cfc873444b902b0bbe021e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-19 13:37:30 +0100

    Update NEWS with recent changes; next version should be 0.82.0 I think

M	NEWS

commit 7c9d08d1ba7f5b0a9aa4a37118e56b1725cdaef9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-19 13:22:31 +0100

    Use python-config to get Python cppflags (patch from Ubuntu,
    fd.o #11282).
    Thanks to Sebastien Bacher.

M	m4/am-check-python-headers.m4

commit 543ebc088ffbef9a52de333d99361b47301571b3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-18 16:31:20 +0100

    Implement fallback objects.
    In the process, simplify the signal decorator a bit - don't allow
    the signal
    to be emitted from a subset of interfaces (removing
    connection_keyword),
    deprecate path_keyword, disallow path_keyword on objects that
    support multiple
    object paths, and add rel_path_keyword. This is an API removal
    since previous
    patches, but is compatible with the last release.

M	dbus/decorators.py
M	dbus/service.py
M	test/run-test.sh
M	test/test-client.py
M	test/test-service.py
M	test/test-signals.py

commit b62c9694c5f3e39ef00c08fee5754a91515bca54
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-15 19:03:03 +0100

    Unset dbus_python_released

M	configure.ac

commit c5f1a34d6319e768f38f18817b09134849c74794
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-15 18:51:46 +0100

    Update NEWS

M	NEWS

commit b4a34bf6ac17fae4f0cc67f5b5082856f0aa7283
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-14 11:05:39 +0100

    doc/tutorial.txt: @service and @method take dbus_interface=...,
    not interface=...

M	doc/tutorial.txt

commit dbfb6d7b676d22dc98c3ef88071a9deeffa79648
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-12 14:27:39 +0100

    dbus.bus: In watch_name_owner, only watch the desired name!

M	dbus/bus.py

commit 5b408fd8501d79f87bd752f9ce483f5beb6f157b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-11 18:10:16 +0100

    dbus.bus: Ignore any errors while cleaning up signal matches, so we
    can make the call asynchronously

M	dbus/bus.py

commit 7f2e0bfe0c205af512af716f4fcb7b8508269eb7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-11 14:51:59 +0100

    dbus.service: Allow objects to start off unexported, and become
    exported later.
    Also allow them to be exported on more than one object path or
    even connection.
    dbus.decorators: Allow connection_keyword on signals and methods,
    so we can
    tell which connection to use for any follow-up actions.

M	dbus/decorators.py
M	dbus/service.py
M	test/test-service.py

commit cc6ea2758794601e2747ad9deccf7c8e887b0100
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-07 20:11:57 +0100

    dbus.bus: when a unique name goes away, disconnect all signal
    handlers.
    Unique names are not recycled, so no more signals can arrive for
    that name.

M	dbus/bus.py

commit c2773de718d0cbcac27a60d2fc56063499eeef0e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-04 14:47:15 +0100

    Update date in NEWS for 0.81.1 release

M	NEWS

commit 8d5f51a95f04ddc524e8790a00635082c851b4a1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-04 14:19:21 +0100

    Version 0.81.1

M	configure.ac

commit 382b890175ecef7818ce07d8d36cdaab138032df
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-04 12:26:15 +0100

    NEWS: update

M	NEWS

commit f1c2dcd0f7b9d177877aafed95fe64343862c1cf
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-04 12:24:58 +0100

    dbus.service: change unexport() to remove_from_connection() at
    J5's request

M	dbus/service.py
M	test/test-client.py
M	test/test-service.py

commit a370850a68659a771690c2dac7148e371b6c9b51
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-06-04 12:10:53 +0100

    dbus-python.pc.in: Use -I${includedir} to allow libdbus and
    dbus-python to be in different ${prefix}es
    Patch from Phil Thompson at Riverbank Computing Ltd.

M	dbus-python.pc.in

commit cf4afc9ccf1408f0f0fde2a01e2dd68ba59de1f9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-30 15:52:36 +0100

    NEWS: Describe the fix for #10457

M	NEWS

commit c87b55c6ab30542d5d17f2e2041e4c87b3df712d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-30 15:19:46 +0100

    dbus.service: Make it possible to unexport objects (fd.o#10457)

M	dbus/service.py
M	test/test-client.py
M	test/test-service.py

commit 030b68b4e6d64dc25904618852917839892de1be
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-29 15:33:44 +0100

    NEWS: mention list_exported_child_objects() and its use in
    introspection

M	NEWS

commit 5618e6182ded0d1861a9fcb5a26440e4454801f6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-29 15:33:18 +0100

    dbus.service: include child nodes in introspection

M	dbus/service.py

commit 26288ab181eb2452fad7fd94c9bc00c817b4137d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-29 15:32:01 +0100

    _dbus_bindings/conn-methods.c: add list_exported_child_objects().
    This is equivalent to dbus_connection_list_registered() in libdbus.

M	_dbus_bindings/conn-methods.c
M	test/test-client.py
M	test/test-service.py

commit f0947ab721499d5202cdbfcaad6fac7d781b5666
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-28 19:47:25 +0100

    NEWS: mention the fix for Debian#426412

M	NEWS

commit ffb1d3310d97bc4d86a09604649f334e3367816f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-28 19:45:59 +0100

    dbus.connection: Release signals lock before calling
    _clean_up_signal_match().
    This prevents a deadlock when a signal match that's tracking name
    owner
    changes is removed, causing a match on NameOwnerChanged to be
    removed too.
    (Debian bug#426412)

    Also move more of the tree manipulation inside the lock, to be nice to
    anyone attempting a port to implementations without a GIL (mainly
    IronPython),
    and add a regression test for the above bug.

M	dbus/bus.py
M	dbus/connection.py
M	test/test-client.py
M	test/test-signals.py

commit 03bcbff71d4bf112441dfd53300328c70d3a512c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-21 13:18:18 +0100

    dbus.bus: detect NameHasNoOwner correctly, using new get_dbus_name()
    method

M	dbus/bus.py

commit 09e138af65710b11363e0852711171c3a9f8ef00
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-21 13:15:48 +0100

    NEWS: Describe new DBusException 'args' support

M	NEWS

commit c68cc723a95f6a4716d61b4ae455e3f8382347e3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-21 13:10:09 +0100

    Describe DBusException.get_dbus_name() in NEWS

M	NEWS

commit 000536a6b707fe3b28f7afd5360058d48e281688
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-17 12:41:05 +0100

    dbus.proxies: Log more informatively when introspection fails,
    and use logging rather than just stderr

M	dbus/proxies.py

commit b052211a63cf833ac394ca529c344c288e921401
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-16 11:05:29 +0100

    Implement DBusException in pure Python; add get_dbus_name() method
    and name= keyword argument

M	_dbus_bindings/bus.c
M	_dbus_bindings/conn-methods.c
M	_dbus_bindings/dbus_bindings-internal.h
M	_dbus_bindings/exceptions.c
M	_dbus_bindings/message.c
M	_dbus_bindings/module.c
M	dbus/__init__.py
M	dbus/_dbus.py
M	dbus/bus.py
M	dbus/connection.py
M	dbus/dbus_bindings.py
M	dbus/decorators.py
M	dbus/exceptions.py
M	dbus/service.py

commit df88e33eb69ef1528f76d06429d451b8274bd69b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-16 11:03:34 +0100

    configure.ac: Reset released flag to 0

M	configure.ac

commit 523e63fcef2c3391e94ded7959abdba739a52354
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-09 10:13:02 +0100

    Update NEWS for 0.81.0

M	NEWS

commit fac67418d9bc51b75f39b108c3e5f0bd9d7e6a98
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-09 10:03:06 +0100

    Increment version to 0.81.0

M	configure.ac

commit 756d092e3bb346dbf791af32f31c0efe520573d1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-09 10:02:33 +0100

    Don't run the examples during "make check" - timing/startup issues
    cause intermittent failures

M	test/run-test.sh

commit 32c4636888e03025b5f01167cea6530a8fb1ce53
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-09 09:56:51 +0100

    Generate ChangeLog during make dist rather than during make.
    Commit a dummy ChangeLog so the autotools won't fail in git checkouts.

M	.gitignore
A	ChangeLog
M	Makefile.am

commit 46d28550bbe03ccf9853f072743d879ae7d621ff
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-07 15:53:59 +0100

    dbus/gobject_service.py: Make ExportedGObject __init__ accept
    GObject properties

M	dbus/gobject_service.py

commit 863cec2464edd80fcf7fbdf62cf1c89ecab647d0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-04 19:51:50 +0100

    Create doc directory before writing HTML into it

M	Makefile.am

commit 727fa4079d91f8dd1b301e21d3e4279c202a9739
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-04 19:44:18 +0100

    doc/tutorial.txt: Don't claim we have a tutorial for p2p connections
    yet

M	doc/tutorial.txt

commit 3033d92876dc094d5f86404bdf997af9b3bb3a82
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-04 19:43:14 +0100

    Update tutorial to describe add_signal_receiver before
    connect_to_signal.
    Also remove old ./configure substitutions and update to avoid
    deprecated API.

M	doc/tutorial.txt

commit f1d118f3d8c7dee8f5611cba2786a77e3b3cdaf1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-04 19:41:59 +0100

    Stop tutorial.txt being generated by ./configure - not worthwhile
    just for a version number

M	.gitignore
M	configure.ac
R100	doc/tutorial.txt.in	doc/tutorial.txt

commit 0432c5256bad3fbdf10240b7ef76cea181c9f8b7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-04 19:39:54 +0100

    dbus/service.py: Before emitting an error, configure logging to
    write to stderr, unless already configured

M	dbus/service.py

commit 24bee8cea054fa21d3229c97d75b2c08f273d9d9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-04 19:39:16 +0100

    Remove contents of TODO: the peer-to-peer Connection now exists and
    the string change has been rejected

M	TODO

commit ed2ace3161337789924e03f559603dccfa40c56e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-04 17:09:57 +0100

    dbus/service.py: Don't use deprecated get_connection() in Object
    constructor.
    The Connection and BusConnection base classes don't have it, and we
    can now
    export Objects on a plain Connection.

M	dbus/service.py

commit 774e133d2cdc1a0fda2bd14d2354a9da2deece88
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-03 13:20:59 +0100

    Deprecate all arguments called named_service; use bus_name instead

M	dbus/bus.py
M	dbus/connection.py
M	dbus/proxies.py

commit 040adaef5646823dfb9247247104cb678cecacad
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-03 13:19:12 +0100

    examples/list-system-services.py: Make more exemplary

M	examples/list-system-services.py

commit e6d5bb0209c9cba4d42f12a448bd708a2cabaa9f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-03 12:11:31 +0100

    dbus/gobject_service.py: Make ExportedGObject work correctly.
    Also add a simple unit test for it.

M	dbus/Makefile.am
M	dbus/gobject_service.py
M	test/test-client.py
M	test/test-service.py

commit 717837a91498f9f928a0affbfa39d8cd68de5ca1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-01 13:26:51 +0100

    Simplify dbus_bindings backwards compatibility glue

M	dbus/_dbus.py
M	dbus/dbus_bindings.py
M	dbus_bindings.py

commit 77566373b89e721e468f411507821ee8a5273fff
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-05-01 12:18:50 +0100

    dbus/bus.py: Add watch_name_owner().
    Use it to avoid a race in signal name matching.
    Also change SignalMatch API from sender_unique being a public
    attribute to
    having a method set_sender_name_owner(), and make it hashable so
    we can
    use it to look up associated signal-sender matches in a dict.

M	dbus/bus.py
M	dbus/connection.py

commit 77f19ef18864f3468b7373bd75461aad3239fe52
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-30 13:38:50 +0100

    test/test-p2p.py: Added. Test "peer-to-peer" connections.
    (Actually tested by connecting to the bus daemon, because I haven't
    implemented
    a Python binding for DBusServer yet.)

M	test/Makefile.am
M	test/run-test.sh
A	test/test-p2p.py

commit a5905b31f82b898eaa3f80a907ea636e1e3d71eb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-30 13:33:11 +0100

    dbus/connection.py: comments

M	dbus/connection.py

commit c38536726dfced572da01604909888f1f78a0492
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-30 13:32:52 +0100

    dbus/bus.py: correct name of logger

M	dbus/bus.py

commit e96509a88425c0f48c203fbfff100cde901adc7c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-30 13:15:28 +0100

    Move signal matching machinery into superclasses

M	dbus/_dbus.py
M	dbus/bus.py
M	dbus/connection.py

commit 494191632d27aa60c6f7c8fbcb1b595f8ff0253e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-30 12:55:21 +0100

    tools/check-coding-style.mk: Work correctly with out-of-tree builds

M	tools/check-coding-style.mk

commit 060ffcc1d3f3296c679b4e91c1ed070b2e0205f9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-30 12:36:37 +0100

    Move get_object, constants into Connection and BusConnection. Add
    docstrings

M	dbus/_dbus.py
M	dbus/bus.py
M	dbus/connection.py

commit dff13840b106cf08a8227379e9bb82e654442e1d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-30 11:56:42 +0100

    Convert _BusDaemonMixin and _MethodCallMixin into base classes
    BusConnection and Connection.
    Also add method activate_name_owner() for proxies to use (so they
    don't need
    to be aware of whether the connection is a bus daemon or not),
    and stop using
    deprecated get_connection method.

M	dbus/_dbus.py
M	dbus/bus.py
M	dbus/connection.py
M	dbus/proxies.py

commit 338b87fcc4010fe92b3f16ebbbf5955eab825dd7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-30 11:43:26 +0100

    dbus/service.py: Use public API for dbus.SessionBus, since we cause
    an import anyway

M	dbus/service.py

commit 2eb946f58e132706683890a8b961423e16998efe
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-30 11:41:44 +0100

    dbus/_dbus.py: in SignalMatch, use get_name_owner()

M	dbus/_dbus.py

commit 26cccef4d8e049613b4b815bf9b9bd5ac86dc087
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-30 11:39:57 +0100

    dbus/_bus_mixin.py: Add bindings for ListNames, ListActivatableNames,
    GetNameOwner too

M	dbus/bus.py
M	test/test-client.py

commit f75c1a0c7f7f4365f1265c6ede0c9465e50466ff
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-30 11:38:32 +0100

    dbus/_dbus.py: import constants from _dbus_bindings; use
    "from...import"

M	dbus/_dbus.py

commit 1d4594e2463e00def64dd10a71101a4a45e63553
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-30 11:35:54 +0100

    dbus/connection.py: Import constants from _dbus_bindings; check for
    reserved local interface as well as path

M	dbus/connection.py

commit 02d302ce90b136991de60015285ff7a39ff54375
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-30 11:34:33 +0100

    dbus/bus.py: get BUS_DAEMON_NAME etc. from _dbus_bindings

M	dbus/bus.py

commit 84beab96c9b9a1270e82e670aa3dca3f208b728f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-30 11:33:31 +0100

    dbus/proxies.py: get INTROSPECTABLE_IFACE from _dbus_bindings

M	dbus/proxies.py

commit 3c62924718ff00839843cecaae09598e36199f79
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-30 11:31:22 +0100

    Move the client method-call machinery from dbus.proxies to
    dbus.connection._MethodCallMixin.
    This makes proxy methods much simpler, and allows the _BusDaemonMixin
    to bypass
    the proxies module completely (since the signatures are already
    known, so
    we don't need to introspect anything).

M	dbus/Makefile.am
M	dbus/_dbus.py
M	dbus/bus.py
A	dbus/connection.py
M	dbus/proxies.py

commit e40ec8e4f29d104b66d78b183300e6bf134c2714
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-30 11:23:58 +0100

    Remove BusImplementation, removing its remaining functionality
    to Connection.
    * Move get_unique_name to Connection (it can be useful for connections
    which
      aren't to a real bus daemon but partially emulate one, like
      Telepathy's
      Tubes)
    * Add set_unique_name to Connection (same reason)
    * Convert BusImplementation.__new__ into Connection._new_for_bus
    * Have dbus.Bus subclass _dbus_bindings.Connection directly

M	_dbus_bindings/bus.c
M	_dbus_bindings/conn-internal.h
M	_dbus_bindings/conn-methods.c
M	_dbus_bindings/module.c
M	dbus/_dbus.py

commit 6963fa9cfa5be7af19b93c71d8a26c149cf2c88c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-30 11:20:53 +0100

    Implement o.fd.DBus method wrappers in Python instead of C.
    This reduces the need to have _dbus_bindings.BusImplementation
    and makes
    peer-to-peer connections easier to implement.

M	_dbus_bindings/bus.c
M	dbus/Makefile.am
M	dbus/_dbus.py
A	dbus/bus.py

commit 478e03e211990d05725bfec5c44a1a1bf68eaf19
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-27 12:44:45 +0100

    dbus/proxies.py: Give Interface some properties. Vastly simplify
    __getattr__ on Interface and ProxyObject

M	dbus/proxies.py

commit f6fd7b7102ac5cfd961f4e53532eb7904f877a6e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-27 12:22:54 +0100

    Move Interface from dbus._dbus to dbus.proxies (it belongs there
    really).
    Make it a new-style object and document it more clearly.

M	dbus/__init__.py
M	dbus/_dbus.py
M	dbus/proxies.py

commit fe50b35f867caed213d30cf0e046f51aeb275b20
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-27 12:12:54 +0100

    Remove redundant constants

M	dbus/_dbus.py

commit a6a86fbfc299cdc61c6d013a0081c2eec878f99a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-27 12:11:28 +0100

    dbus/_dbus.py: Match NameOwnerChanged correctly

M	dbus/_dbus.py

commit 6457e018adf4bf87a1bb4791ba5a08ad6ac6ba51
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-26 15:53:06 +0100

    test/test-service.py: Use constants for the bus name and object path

M	test/test-service.py

commit db310619c1bd0496259cd251e6df0c83af73f3d1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-25 18:33:55 +0100

    dbus/__init__.py: Add well-known interface, path, bus-name constants

M	dbus/__init__.py

commit 4be15d3a5d949107c7cf51a87a02f8555791868e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-25 18:30:52 +0100

    dbus/__init__.py: Remove pseudo-tutorial from docstring, we have a
    tutorial now

M	dbus/__init__.py

commit 4a027b3240152f7b9d5eabb66c2c1a94bd5ef831
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-25 18:29:48 +0100

    _dbus_bindings/module.c: Add some useful constants

M	_dbus_bindings/module.c

commit b6e2f84963ea0b399d50bbfeab7df046f6f24f5b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-25 17:46:54 +0100

    Make ProxyObject a new-style class, since it now has properties

M	dbus/proxies.py

commit 26965c2bf04ffb3b101623bbe02c34f43bee9232
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-25 14:07:49 +0100

    Add object_path, bus_name and requested_bus_name properties to
    ProxyObject.
    There is also a placeholder for unique_bus_name, although it's
    not currently
    implemented.

M	dbus/proxies.py

commit a81f1e90b293f1279ad4797753649f4264c559f3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-24 14:49:44 +0100

    Revert the part of the previous patch that added dbus_name to signals.
    Making this work correctly will also require changes to the introspect
    code.

M	dbus/decorators.py

commit e4050f2750d2fdb5c05a7d7b9cb4030b99133f13
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-24 14:45:14 +0100

    Preparation for fallback-object support:
    * Let exported methods receive the path, destination and raw
    message via
      kwargs, as well as the sender
    * Let exported signals be emitted from a variable object-path

M	dbus/decorators.py
M	dbus/service.py
M	test/test-client.py
M	test/test-service.py

commit ae8014c72a7d304f20d9422009f42bc48fa8f298
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-24 17:45:03 +0100

    Fix fd.o #10174: make it possible to return multiple values with
    no signature.
    More specifically: when a service method with no signature
    synchronously
    returns a tuple that is not a Struct, interpret it as a multi-valued
    return,
    rather than as a structure.

    This is a common Python idiom, and returning a struct makes little
    sense
    anyway when D-Bus lets you return multiple values.

    Returned lists are still interpreted as arrays - returning an array is
    entirely sensible, and indeed likely to be common.

    Async service methods are unaffected (there is no ambiguity), and
    it's still
    possible to return a structure by returning a dbus.Struct with
    appropriate
    contents.

    https://bugs.freedesktop.org/show_bug.cgi?id=10174

M	dbus/service.py
M	test/test-client.py
M	test/test-service.py

commit 705b343c205b82c93aab0f31535d1dc99a3c0265
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-24 17:39:27 +0100

    test/test-service.py: use a constant for the interface name,
    for clarity

M	test/test-service.py

commit a2fa9563ee9e3bfca549397c0bf58946eaff37b2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-24 17:21:11 +0100

    .gitignore: Ignore INSTALL and dbus-python-*.tar.gz

M	.gitignore

commit 50469e3e0a04d27be1ee227518ca377e16919626
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-24 14:41:45 +0100

    Remember to include tools in dist

M	Makefile.am

commit df42e53ab497dce7f00bd2eb3f2af1c022c0096c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-24 13:51:51 +0100

    Remove trailing whitespace in Python source

M	dbus/_dbus.py
M	dbus/decorators.py
M	dbus/proxies.py
M	dbus/service.py

commit 1fa0c331f5327ef1d622b55a050949845eb89b0f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-24 13:50:02 +0100

    Remove trailing whitespace in C source

M	_dbus_bindings/abstract.c
M	_dbus_bindings/conn-methods.c
M	_dbus_bindings/conn.c
M	_dbus_bindings/containers.c
M	_dbus_bindings/message-append.c
M	_dbus_bindings/message-internal.h
M	_dbus_bindings/message.c
M	_dbus_bindings/pending-call.c

commit cdf20eebae59e0ceb2cf8fc2660609e6c38ccebf
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-24 13:47:09 +0100

    Add optional checks for coding style (mainly whitespace at the
    moment).
    These are on by default for git builds, off by default for releases.

M	_dbus_bindings/Makefile.am
M	configure.ac
M	dbus/Makefile.am
A	tools/Makefile.am
A	tools/check-c-style.sh
A	tools/check-coding-style.mk
A	tools/check-py-style.sh
A	tools/check-whitespace.sh

commit b5552a3ea76b3e229f40a06d32a5860b0e9e2217
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-24 13:05:17 +0100

    Refactor build system:
    * Use autoreconf to simplify autogen.sh considerably
    * Use AC_CONFIG_MACRO_DIR and aclocal -I to pick up macros from m4/
    * Drop acinclude.m4 in favour of putting our macros in m4/

M	Makefile.am
D	acinclude.m4
M	autogen.sh
M	configure.ac
A	m4/Makefile.am
A	m4/am-check-pymod.m4
A	m4/am-check-python-headers.m4
A	m4/dbus-py-add-rst2htmlflag.m4
A	m4/jh-add-cflag.m4

commit 29fae4fdfd02cc2dd4c896a2cb271d9a3597623c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-24 12:27:18 +0100

    test/run-with-tmp-session-bus.sh: untabify, remove trailing whitespace

M	test/run-with-tmp-session-bus.sh

commit d6b644f9317346211c94a2ae75b77ca9369a7088
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-24 12:26:42 +0100

    test/test-client.py: untabify

M	test/test-client.py

commit 35808b1bae43f846fdbcb740c359c66977231518
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-24 12:24:02 +0100

    dbus/service.py: untabify

M	dbus/service.py

commit 7207bc9f616b2401de609b36dc774bbe79fa7166
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-24 12:23:47 +0100

    configure.ac: untabify

M	configure.ac

commit c2aa57fc64f32e0c197320b050b93e71949edd53
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-04-24 12:23:24 +0100

    _dbus_bindings/message.c: untabify

M	_dbus_bindings/message.c

commit a7110d5ee20f04f17346079a6a824a7c017fe124
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-03-02 18:46:12 +0000

    Implement ExportedGObject, a convenience class to export GObjects
    on the bus.
    This is non-trivial because dbus.service.Object and GObject both use
    metaclasses, so we need to implement a metaclass inheriting from
    both their
    metaclasses - it might as well go in dbus-python to avoid everyone
    having to
    reinvent this solution.

A	dbus/gobject_service.py

commit cfb1ea5f32a5ab77078ce184cb13602f2e28fec1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-03-02 18:43:09 +0000

    * dbus.service.Object: don't let the user try to export objects on
    the local
      path reserved by libdbus/dbus-daemon, or on an invalid path.
    * BusName: don't even try to claim an invalid bus name either.

M	dbus/service.py

commit 5ee2e05d5056584d589991f5d5fd0d22df598676
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-03-02 18:41:01 +0000

    * ProxyObject: allow named_service to be None, in preparation for
    peer-to-peer
      connections. If so, never attempt to follow name owner changes
      (doesn't make
      sense when you're talking directly to the peer).
    * _ProxyMethod: allow interface to be None, for when a method call
    is made
      on a ProxyObject without going via a dbus.Interface.

M	dbus/proxies.py

commit f2fda30b23b0176dd314329050127f61b5e92255
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-03-02 18:38:00 +0000

    SignalMatch: check that interface, member and sender are either valid,
    or None

M	dbus/_dbus.py

commit 91d0a865d574325328b67ec8c5dab9b841b9218c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-03-02 18:29:34 +0000

    SignalMatch: remove assorted commented-out debug messages

M	dbus/_dbus.py

commit bfc541fad2dec718abce406caa0285b1e40c4958
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-03-02 18:13:23 +0000

    Remove FIXME comment - I think the current behaviour is correct.

M	dbus/service.py

commit cf48b799ebdcaf7dca0b6f729516b413be21e989
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-03-02 18:12:47 +0000

    * Don't let the user call methods on the reserved local path -
    we'll get
      kicked off the bus if they do.
    * Don't try to introspect the reserved local path - same problem.
    * Do earlier validation of bus names etc. in client proxies.

M	dbus/proxies.py

commit f1e0a64b9f02a77cfd468f146ed3f398b2c1c8bc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-02-21 15:04:20 +0000

    If send_with_reply() returns TRUE but with pending call NULL,
    cope gracefully.
    This is a workaround for the fact that trying to use the object path
    /org/freedesktop/DBus/Local in a message header (e.g. when
    introspecting
    trackerd with dbus-inspector) causes us to be disconnected by the
    bus daemon.

M	_dbus_bindings/conn-methods.c

commit 8dce2df1ceacffb2aa6e2cc8b1d4b58ee95ac5b1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-02-21 12:31:15 +0000

    Don't examine args for functions declared METH_NOARGS.
    It's not guaranteed to be non-NULL, and Python checks there are
    no arguments
    so we don't have to.

M	_dbus_bindings/conn-methods.c

commit 4f88700588d80861c8520e56407d3a40d5bd86e6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-02-19 14:17:08 +0000

    dbus/_dbus.py: When an exception is raised by a signal handler,
    print it to stderr

M	dbus/_dbus.py

commit a79f8dacbf86efce563cc29104bbacecb5ef9739
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-02-13 17:54:55 +0000

    Update NEWS file for 0.80.2 (not actually present in the release,
    but at least it'll be in the next release's NEWS file)

M	NEWS

commit 22f2a483aa45720711b42fa8ce4ddf2d9fdbaec9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-02-13 17:44:38 +0000

    Set released flag back to 0

M	configure.ac

commit 728e8f47d884bdff66106b89cc1d803fa5f30456
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-02-13 16:54:51 +0000

    Release version 0.80.2

M	configure.ac

commit 87dc3d5807ba12c6396dbcb1acdebb8f453e8fcd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-02-07 20:46:17 +0000

    Actually commit the numerous copyright-statement changes.

M	COPYING
M	Makefile.am
M	_dbus_bindings/abstract.c
M	_dbus_bindings/bus.c
M	_dbus_bindings/bytes.c
M	_dbus_bindings/conn-internal.h
M	_dbus_bindings/conn-methods.c
M	_dbus_bindings/conn.c
M	_dbus_bindings/containers.c
M	_dbus_bindings/dbus_bindings-internal.h
M	_dbus_bindings/debug.c
M	_dbus_bindings/exceptions.c
M	_dbus_bindings/float.c
M	_dbus_bindings/generic.c
M	_dbus_bindings/message-get-args.c
M	_dbus_bindings/message-internal.h
M	_dbus_bindings/message.c
M	_dbus_bindings/module.c
M	_dbus_bindings/pending-call.c
M	_dbus_bindings/signature.c
M	_dbus_bindings/string.c
M	_dbus_bindings/types-internal.h
M	_dbus_bindings/validation.c
M	_dbus_glib_bindings/module.c
M	dbus/lowlevel.py
M	dbus/mainloop/__init__.py
M	doc/tutorial.txt.in
M	include/dbus-python.h
M	test/cross-test-client.py
M	test/cross-test-server.py
M	test/crosstest.py
M	test/test-standalone.py

commit 1f9f29452352baf103fd6620eb0cd8315f8b736d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-02-07 17:05:29 +0000

    For files solely owned by Collabora Ltd., additionally allow use
    under LGPL 2.1.
    Also:
     * split out AFL, GPL from COPYING into separate files, and add LGPL.
     * update copyright year in recently touched files

A	COPYING.AFL-2.1
A	COPYING.GPL-2
A	COPYING.LGPL-2.1

commit 278b57d9f4a1aed4f0296b17a94bde2a36145a45
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-02-07 13:15:17 +0000

    Audit tp_dealloc callbacks to make sure they preserve the exception
    state.
    * Connection: use PyErr_Fetch and PyErr_Restore to preserve exception
    state
    * MainLoop: add a comment indicating that the "free" callback needs
    to do the
      same if it might alter the exception state

M	_dbus_bindings/conn.c
M	_dbus_bindings/mainloop.c

commit ffe3b55b4b293c5dfb36de8cf2dc2b91d09a9f0d
Merge: 5135a35 66fb274
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-02-07 13:00:33 +0000

    Merge
    git+ssh://people.freedesktop.org/home/smcv/public_html/git/dbus-python/

commit 5135a35677e25c473db0e8a463f97c15359c9e34
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-02-07 12:50:48 +0000

    Fix memory leak where Struct, _LongBase, _StrBase, String leaked
    their __dict__ on deallocation.
    * Use a fixed-size struct for String (unicode objects are in fact
    fixed-size)
      and store its variant_level that way.
    * Don't store Struct, _LongBase, _StrBase variant_level and Struct
    signature
      in a __dict__, but instead have a global dict mapping object IDs
      to variant
      levels, and a global dict mapping Struct IDs to signatures. This
      is a bit
      strange, but easier than correctly freeing the __dict__ (which
      is stored
      at the end of a variable-length struct, so somewhat hard to get at).
    * With this change, allocating objects in a loop no longer leaks
    memory, and
      neither does the test case supplied by Luka Renko.

M	_dbus_bindings/abstract.c
M	_dbus_bindings/containers.c
M	_dbus_bindings/message-append.c
M	_dbus_bindings/string.c
M	_dbus_bindings/types-internal.h

commit 870227fafd9c976a0354b02aff6052ba24234e91
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-02-05 16:21:13 +0000

    Close a couple of reference leaks in String (there's another
    somewhere, but I can't find it)

M	_dbus_bindings/string.c

commit c04456ff1b24de8695cda14f91e8886ca9c0bf0f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-02-05 15:18:39 +0000

    Don't leak memory in Struct repr()

M	_dbus_bindings/containers.c

commit 192bd48b8a17e4f62400b64e037df22c3b47de88
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-02-05 15:18:14 +0000

    Don't leak memory in _StringBase and _LongBase repr()

M	_dbus_bindings/abstract.c

commit 630f912b2155e6328a3fa48deb832f5c3d114b94
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-02-05 13:18:19 +0000

    Switch _IntBase back to using generic alloc/free implementation
    rather than half-participating in the int free list (which would
    result in _IntBase instances leaking)

M	_dbus_bindings/abstract.c

commit 95c0d3618041e8c8f9173a3eb8e8ddc93c456952
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-02-05 13:17:12 +0000

    Fix a couple of memory leaks - D-Bus signature strings, and decoded
    Unicode objects

M	_dbus_bindings/message-get-args.c

commit 99e0758b1d4f958e5753d51e843f1254e15b93b2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-31 13:47:49 +0000

    _dbus_bindings/pending-call.c: Fix memory leak of one Message per
    method call.
    Also fix a leak of references to Py_None (unlikely to be a practical
    problem,
    but best to be correct).

M	_dbus_bindings/pending-call.c

commit 66fb2745189037ba634cc3574f174f26e53a9be6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-31 13:27:16 +0000

    Fix a leak of references to Py_None in slightly pathological cases
    (should never be a problem in practice, but correctness is good)

M	_dbus_bindings/pending-call.c

commit 9285b0648419a6860ca274d381cdb2924f85fdd2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-31 13:07:49 +0000

    _pending_call_notify_function: stop leaking a Message per call

M	_dbus_bindings/pending-call.c

commit c0c48abc99e66998b4c81436a8f6eca58f93cef4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-25 12:59:39 +0000

    configure.ac: Only use -Werror if user passes --enable-Werror to
    configure.
    Also improve clarity of help message for --enable-html-docs.

M	configure.ac

commit d7c11cccfcdc3ef94f183d79203fac136e2c3494
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-25 12:49:57 +0000

    doc/tutorial.txt.in: Add copyright and license (GPL2/AFL2.1, like
    the code)

M	doc/tutorial.txt.in

commit dc6b66210bda929f92524ef10f5c3edbb3cb495c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-25 12:43:57 +0000

    COPYING: Remove information about files we no longer have

M	COPYING

commit 00ffd01f3186bf7eab88a5408daa59d162efdf70
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-25 12:43:13 +0000

    test/, include/: remove accidentally duplicated lines from license
    statement

M	include/dbus-python.h
M	test/cross-test-client.py
M	test/cross-test-server.py
M	test/crosstest.py
M	test/test-client.py
M	test/test-service.py
M	test/test-signals.py
M	test/test-standalone.py

commit 41694b4df5c1dbf745e5ddd443571d5cb67d74b3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-25 12:38:53 +0000

    dbus, _dbus_bindings, _dbus_glib_bindings: remove accidentally
    duplicated lines in license statement

M	_dbus_bindings/abstract.c
M	_dbus_bindings/bus.c
M	_dbus_bindings/bytes.c
M	_dbus_bindings/conn-internal.h
M	_dbus_bindings/conn-methods.c
M	_dbus_bindings/conn.c
M	_dbus_bindings/containers.c
M	_dbus_bindings/dbus_bindings-internal.h
M	_dbus_bindings/debug.c
M	_dbus_bindings/exceptions.c
M	_dbus_bindings/float.c
M	_dbus_bindings/generic.c
M	_dbus_bindings/int.c
M	_dbus_bindings/mainloop.c
M	_dbus_bindings/message-append.c
M	_dbus_bindings/message-get-args.c
M	_dbus_bindings/message-internal.h
M	_dbus_bindings/message.c
M	_dbus_bindings/module.c
M	_dbus_bindings/pending-call.c
M	_dbus_bindings/signature.c
M	_dbus_bindings/string.c
M	_dbus_bindings/types-internal.h
M	_dbus_bindings/validation.c
M	_dbus_glib_bindings/module.c
M	dbus/__init__.py
M	dbus/_dbus.py
M	dbus/_expat_introspect_parser.py
M	dbus/decorators.py
M	dbus/glib.py
M	dbus/lowlevel.py
M	dbus/mainloop/glib.py
M	dbus/proxies.py
M	dbus/service.py

commit 3706648c6ba07d2781fb9723eddc202a7e2b8a72
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-24 20:29:17 +0000

    Use AC_PREREQ(2.59c) to make sure we can use docdir, which is
    relatively new

M	configure.ac

commit 4c9b10a511f9465ee87e4f87065445c04a34d7e5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-24 16:37:03 +0000

    Reset released flag

M	configure.ac

commit 130d1a59220a921af7cc7738306804a6f8878062
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-24 16:17:43 +0000

    Version 0.80.1, the "oops" release. Install dbus/_version.py so
    dbus.__version__ exists again.

M	NEWS
M	configure.ac
M	dbus/Makefile.am
M	dbus/_version.py.in

commit 6e6b4cd1d7ade85612872d94374d722531f2e3f9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-24 16:03:37 +0000

    Clear "released" flag after release

M	configure.ac

commit 876f343d4eb39519ca155a4add1483d4f6ced641
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-24 16:01:09 +0000

    Relax dbus requirement to 0.93, to be nice to Ubuntu 6.10 and Fedora
    Core 6 users. Release version 0.80.0

M	configure.ac

commit 1ad24fa7b36a333a0a4e0ce1f0afd2b201f09245
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-24 14:55:43 +0000

    Remove unnecessary "..." in AC_MSG_CHECKING; correct quoting in
    AC_MSG_RESULT and tests

M	configure.ac

commit 3edafe1f009d0e228109368dcec3ba3da2d559a1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-24 14:37:32 +0000

    Clear "released" flag. Improve checking for rst2html and epydoc.

M	configure.ac

commit 057317ea759323f49133351e997ce7b892394889
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-24 14:31:54 +0000

    Update NEWS, README for 0.80.0

M	NEWS
M	README

commit bdf3c3a8ca30149b8d047ac0437858a47927f37e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-24 14:31:29 +0000

    Remove from EXTRA_DIST files we'd already be distributing

M	Makefile.am

commit 36deedcc043fb5abde7cbb432b3a3b24a5031da0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-24 14:13:50 +0000

    Add Makefile target maintainer-update-website to update
    d.fd.o/doc/dbus-python
    (to use this target, configure your fd.o username, if not the same as
    your local username, in ~/.ssh/config).
    Move API_CHANGES.txt, HACKING.txt to doc/ directory.
    Tweak documentation generation so deprecated stuff isn't documented.

M	Makefile.am
M	dbus/__init__.py
M	dbus/_dbus.py
R100	API_CHANGES.txt doc/API_CHANGES.txt
R088	HACKING.txt	doc/HACKING.txt

commit 0035c926fd188d9458a4b23275fcb277b26abfbd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-24 12:12:39 +0000

    Install dbus-python.h in $includedir/dbus-1.0/dbus rather than
    $includedir for consistency with libdbus-glib and libdbus

M	Makefile.am

commit 6708a7bb677ac91cb1190f5f6761e2136f6dc779
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-24 12:04:19 +0000

    Automatically detect whether various desirable rst2html options are
    actually supported, using a modified version of JH_ADD_CFLAG. Also
    allow HTML documentation building to be switched off.

M	Makefile.am
M	acinclude.m4
M	configure.ac

commit 5e31fb2bfc9ea3e39e13abc519fade6e0322c864
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-22 18:52:00 +0000

    Build pre-release version 0.79.94 (= 0.80rc4)

M	configure.ac

commit 7ab85ec3ad175ed8631409e2fb216162fda70d67
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-22 18:34:11 +0000

    Alter Makefile.am, configure.ac to recurse into subdirs for previous
    change to take effect

M	.gitignore
M	Makefile.am
M	configure.ac

commit 625bfaac68f6c7afd85d62752e34fc8e00405790
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-22 18:26:36 +0000

    Split up Makefile.am between subdirectories
    As well as being conventional, this seems to be necessary to avoid
    having
    dbus_py_test.so installed, while still having it be a Libtool
    shared library
    (noinst libraries are helpfully made static).

A	_dbus_bindings/Makefile.am
A	_dbus_glib_bindings/Makefile.am
A	dbus/Makefile.am
A	examples/Makefile.am
A	test/Makefile.am

commit 6edb71ddccce139f6c7de1e43f885fed37f58b1b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-22 16:50:19 +0000

    API_CHANGES.txt, NEWS: update for 0.79.94 (= 0.80rc4)

M	API_CHANGES.txt
M	NEWS

commit b693df256198cd58c71e97531aa4169999bfd2d8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-22 16:49:52 +0000

    configure.ac: When building a non-release version, compile with
    -Werror

M	configure.ac

commit 795927e72a9b5e0a14ea7125c31972d2fc3501dc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-19 12:31:56 +0000

    Add a "released" flag to configure.ac: if not 1, append the date to
    the version.
    When making official releases please do the following:
    * set dbus_python_released to 1 and set the new version
    * make the release tarball (make distcheck)
    * commit, tag
    * change dbus_python_released back to 0 and commit again

M	configure.ac

commit 43c48b9c7fdbb5741daa024df9e7a319d1993dac
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-17 13:06:33 +0000

    dbus/proxies.py: Finish implementing deferred methods so they can
    be async.

    * Queue up async methods and execute them when introspection finishes,
    instead
      of blocking on the introspection operation (heavily based on patch
      by J5)
    * Rename DeferedMethod (sic) to spell Deferred correctly, and
    rename to
      _DeferredMethod (also _ProxyMethod) since these classes are not
      public API
    * Make it safe to keep a reference to a DeferredMethod and call
    it with
      differing arguments:
	meth = proxy.DoStuff
	meth(1, reply_handler=on_reply, error_handler=on_error)
	meth(2, reply_handler=on_reply, error_handler=on_error)
    * Make it safe to keep references to DeferredMethod even after
    introspection
      has finished - if called after introspection finishes, silently
      do an
      immediate call
    * Add some locking to avoid subtle failures if one thread appends
      to the pending introspect queue at the same time another thread gets
      introspection results back - ProxyObject and friends should now be
      threadsafe (I think)

M	dbus/proxies.py

commit 4dbee87fbe9dd7abb56d8d150d8c8ae7bd01f261
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-17 12:28:38 +0000

    dbus/service.py: cope with exceptions with no __module__
    (thanks Phil Thompson, <phil riverbankcomputing co uk>)

M	dbus/service.py

commit cc4dfc18c7fe0843b5e118d35a94ca9cca563f98
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-17 12:27:51 +0000

    DBusGMainLoop: avoid reference leak on success
    (thanks Phil Thompson, <phil riverbankcomputing co uk>)

M	_dbus_glib_bindings/module.c

commit 47860b5c25c823587e4e06636acc926b252fe114
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-16 19:52:45 +0000

    Add regression test for main loop failure handling (a main loop that
    never works)

    Also run tests with DBUS_FATAL_WARNINGS and ulimit -c unlimited so
    they dump
    core at the slightest provocation.

M	Makefile.am
A	test/dbus_py_test.c
M	test/run-test.sh
A	test/test-unusable-main-loop.py

commit 916df7703d828afec95635d309ca83bc1c05fd98
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-16 19:51:28 +0000

    examples: Don't load a main loop when only making blocking calls

M	examples/example-client.py
M	examples/list-system-services.py

commit f0deb687acad02173c20a0dc644323774b24dc0e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-16 19:38:00 +0000

    When running without a main loop, don't make introspection fail.

    Also change send_message_with_reply() to not demand a main loop
    by default
    (since you can call block() on the returned object, like blocking
    introspection
    does).

M	_dbus_bindings/conn-methods.c
M	dbus/proxies.py

commit 7d70b07e62d579ce85572a3e1ebb92f42461a185
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-16 19:36:05 +0000

    conn.c: fix Connection setup in absence of main loop, and error
    handling

    * Only set up a main loop if we actually have one (not None)
    * Don't double-close the DBusConnection (causing an assertion in
    libdbus) if
      we somehow fail to set up the main loop. Thanks to tsuraan
      <tsuraan at gmail.com> for the bug report.

M	_dbus_bindings/conn.c

commit 6d7356140055082a30090161c586b4575f8f0fa7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-16 18:08:04 +0000

    Correctly don't build HTML docs if rst2html is not found

M	configure.ac

commit b33efe312c8d89ecc6e2ba9f075d2d0a9e28c3e1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-16 17:41:45 +0000

    Switch types from int to Py_ssize_t to be compatible with Python
    2.5 on 64-bit archs

M	_dbus_bindings/conn-methods.c
M	_dbus_bindings/dbus_bindings-internal.h
M	_dbus_bindings/message-append.c
M	_dbus_bindings/message-get-args.c

commit 4d7fac530ce82c3dc888248234b955c04c364ada
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-16 17:24:00 +0000

    Always install text documentation, even if we're not able to build
    the HTML

M	Makefile.am

commit 597d278a3973ad411e345ab8938adf6c582da42d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-16 17:23:25 +0000

    bytes.c, string.c: Don't mention get_object_by_unique_name in
    docstrings, it no longer exists

M	_dbus_bindings/bytes.c
M	_dbus_bindings/string.c

commit d723afa11282cc694342a0043cdc8303747c88a7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-16 17:19:03 +0000

    When running make clean, also get rid of the generated API docs
    (now passes make distcheck DISTCHECK_CONFIGURE_ARGS=--enable-api-docs)

M	Makefile.am

commit 0557d5bdcf90dc79ed3662144d8ecd1df28e5dcf
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-16 17:09:10 +0000

    Remove generated HTML documentation on distclean

M	Makefile.am

commit 3504ac8bc098b5872be747c151f304bbe80d2131
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-16 17:04:37 +0000

    Remove get_object_by_unique_name again, and replace with a
    better-thought-out version of get_object

    - Remove get_object_by_unique_name (introduced in 0.80rc1) - J5's
    right, the
      name is misleading
    - Make get_object *not* follow name changes by default (a return
    to pre-0.80
      behaviour, and the same as 0.80rc1's get_object_by_unique_name())
    - Add keyword argument follow_name_owner_changes (default is False):
    if True,
      it will follow name owner changes (like 0.80rc1's get_object()
      always did)
    - Implement with modifications to ProxyObject so it resolves the
    unique name
      on construction, if required (activating it if necessary)

M	dbus/_dbus.py
M	dbus/proxies.py

commit e8d766e1b2d5013e3f2c0a95d43b1dcb5eb00044
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-16 17:00:00 +0000

    Ensure we put the right number of items in a struct or message and
    add test cases.

    This avoids us getting kicked off the bus when trying to put the wrong
    number of things in a struct - this used to happen, but was masked
    by the fact
    that the tests ran with service activation, so the service was just
    killed and
    reactivated. Forthcoming changes to get_object make this automatic
    reactivation
    not happen (messages will be directed to the unique name by default,
    so
    stateful communication can work).

M	_dbus_bindings/message-append.c
M	test/test-standalone.py

commit bd2baf2aad6a7f5ecf0bf7e867e74077cf733cd6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-16 15:05:31 +0000

    test/run-test.sh: Re-order to run the simpler tests (standalone,
    examples, cross tests) first

M	test/run-test.sh

commit c7fa08a7a7cc6ae3811b1164b0fdd627a9377e43
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-16 14:44:01 +0000

    Write some more of the tutorial

M	doc/tutorial.txt.in

commit e018fa3f6a7e4e0da334453c81e3bde22da46fe1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-16 12:08:05 +0000

    Comment on why we're putting the client at path /Test

M	test/cross-test-client.py

commit c98c7742c13ff38998bbc6b6acca390a529e9c7f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-16 11:40:47 +0000

    Use autoconf's usual directory for docs

M	Makefile.am

commit 24d8be176996913853b01f0e3ed1d33082640dec
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-15 20:24:59 +0000

    Generate HTML docs from reStructuredText if rst2html is available

M	Makefile.am
M	configure.ac

commit a9575bf47b9ba5bc02ad5280fe35652758c0d00e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-15 20:23:48 +0000

    reStructuredText syntax corrections

M	API_CHANGES.txt
M	HACKING.txt
M	NEWS
M	README

commit cd5719adbf6cafb53fb3dd19c141ad312729c83c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-15 20:22:52 +0000

    Ignore generated documentation

M	.gitignore

commit 6053bac21757a0d87abd0c50135f6c783fdf63b9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-15 19:15:20 +0000

    configure.ac: don't divert autotools cruft into autotools/, it's
    probably more trouble than it's worth (fd.o#9630); .gitignore:
    adjust accordingly

M	.gitignore
M	configure.ac

commit 02f962921e831a710e7b1566ec5d4c0b84a15d91
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-15 19:09:04 +0000

    Makefile.am: ship example-async-client so it can be used as a test

M	Makefile.am

commit 618e13ee5bdce6dd129600a698910f5edb7ab4db
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-10 13:11:33 +0000

    Add half-written tutorial. Fix reStructuredText syntax in
    documentation, and build HTML if we have rst2html or rst2html.py.
    Distribution packagers may want to build-depend on docutils, and
    configure with --docdir=... if their distribution would usually use
    a location other than PREFIX/share/doc/dbus-python - for instance
    Debian/Ubuntu should use --docdir=/usr/share/doc/python-dbus.

A	doc/tutorial.txt.in

commit bde53f1cf59b743d5e38b6ac4fbdf348bdf773db
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-10 13:05:23 +0000

    Add special case to serialization: objects with a __dbus_object_path__
    attribute are serialized as that object path. Add that attribute to
    ProxyObject, dbus.Interface and dbus.service.Object.

M	_dbus_bindings/abstract.c
M	_dbus_bindings/message-append.c
M	_dbus_bindings/types-internal.h
M	dbus/_dbus.py
M	dbus/proxies.py
M	dbus/service.py
M	test/test-standalone.py

commit 92e8cc8ff3cb87af3e94bc455d3be057e98846d3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-10 12:45:06 +0000

    Remove old .cvsignore files

D	dbus/.cvsignore
D	examples/.cvsignore

commit 984b7fc404a89b61f5efefb2a82d203a6b4fd143
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-09 16:49:58 +0000

    Validate that the signature on an Array or Dict has the right number
    of complete types

M	_dbus_bindings/containers.c

commit 6e4a93545a40a13af7308b97e435921a0eee7805
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-09 15:30:22 +0000

    When putting a ByteArray into a variant array, serialise it as
    an array of variants containing byte, not an array of variants
    containing string

M	_dbus_bindings/message-append.c
M	test/test-standalone.py

commit 93faf8793f271d91fbc413f1c9374328605bcda8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-09 15:27:52 +0000

    Improve documentation of type conversion from D-Bus to Python

M	_dbus_bindings/message-get-args.c

commit e5cef62c8ed04f5842257653bc6ec70abbdd20bb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-09 15:27:02 +0000

    dbus.Interface, dbus.ProxyObject: add get_dbus_method(), which can
    be used to call awkwardly-named methods like __getattr__

M	dbus/_dbus.py
M	dbus/proxies.py
M	test/test-client.py

commit ee11236f45c9aa354136e6e5d2ec1c4490bc6657
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-09 14:53:55 +0000

    Improve docstrings for String and UTF8String explaining how to get
    UTF8String from the API.

M	_dbus_bindings/string.c

commit d75fec04ba79b46872801c6132afad7b9f192c94
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-09 14:53:16 +0000

    Subscripting a ByteArray now gives 1-character strings again (for
    least astonishment). Also document how to get a ByteArray from the API

M	_dbus_bindings/bytes.c

commit b68d891998983ab94e68555855d10f85a3dca019
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-09 14:29:46 +0000

    Correct usage in example-async-client: you need to use example-client
    (or kill(1) of course) to shut down the example service

M	examples/example-async-client.py

commit 26ce68b8de3f48187091d3686cb30b75375b84d0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-09 14:05:28 +0000

    Add an example of asynchronous calls. Run the examples during
    'make check'.

A	examples/example-async-client.py
M	examples/example-client.py
M	examples/example-service.py
M	examples/example-signal-recipient.py
M	test/run-test.sh

commit 9ede20248d690d9bb2cb9fba6b75955770930a94
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-09 14:04:49 +0000

    Don't require a main loop unless async calls, signal connections or
    exported objects are actually made. (Increases backwards compatibility
    with Pyrex-dbus-python)

M	_dbus_bindings/conn-internal.h
M	_dbus_bindings/conn-methods.c
M	_dbus_bindings/conn.c
M	_dbus_bindings/module.c
M	dbus/_dbus.py

commit 336cfd395976627b9c758a48f7ec7db275963bc9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-09 13:03:27 +0000

    Accept keyword argument introspect=False to Bus.get_object(),
    Bus.get_object_by_unique_name() to suppress introspection - off by
    default, but necessary to work around broken service implementations
    which fail to reply to introspection.
    Thanks to Ulisses Furquim <ulissesf at gmail.com> for the patch.

M	dbus/_dbus.py

commit 88011f8e449d92959f83e304d8b6b2db44ec02bc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-09 12:59:31 +0000

    Stop trying to get macros from the autotools directory (no longer
    needed)

M	configure.ac

commit adf16bd849e1ebf98f65e288bc42956810a3e2eb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-09 12:47:26 +0000

    Remove extra M4 macros (J5 added them to acinclude.m4 instead)

D	autotools/as-ac-expand.m4
D	autotools/jhflags.m4
D	autotools/python.m4

commit 2a100a94dc4db5174244b9dac89f4ca5c1083103
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2007-01-09 12:46:53 +0000

    Remove setup.py (no longer used in favour of autotools)

D	setup.py

commit d0004b6162a18c3d9f02dbc4404f8f452f1c3e79
Author: John (J5) Palmieri <quinticent@localhost.localdomain>
Date:	2007-01-03 17:35:57 -0500

    fix autogen.sh to run all the correct steps that jhbuild expects

    * copy autogen.sh from D-Bus core
    * add JH_ADD_CFLAG, AM_CHECK_PYTHON_HEADERS and AM_CHECK_PYMOD
    m4 macros
      to acinclude.m4

A	acinclude.m4
M	autogen.sh

commit 5b8c9eb452b78ed56b395193f6989ad87eae111b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-21 19:51:54 +0000

    Improve various type docstrings

M	_dbus_bindings/abstract.c
M	_dbus_bindings/bus.c
M	_dbus_bindings/bytes.c
M	_dbus_bindings/containers.c
M	_dbus_bindings/generic.c
M	_dbus_bindings/int.c
M	_dbus_bindings/message-get-args.c
M	_dbus_bindings/message.c
M	_dbus_bindings/module.c
M	_dbus_bindings/pending-call.c
M	_dbus_bindings/signature.c
M	_dbus_bindings/string.c
M	_dbus_bindings/validation.c

commit b2e5a27a119ca7b94cd8a343a163bc6639f7c8f9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-21 18:39:51 +0000

    Fix recommendation given by exception message bringing it into sync
    with current API (spotted by Phil Thompson)

M	_dbus_bindings/conn.c

commit 7f7262c8d6b1e3aa6cdc541ac0cdb275f9e68501
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-19 17:48:34 +0000

    Makefile.am: if in a git checkout, generate the ChangeLog (correctly)

M	Makefile.am

commit 06e9507ebca33369c106b616f948fe6af4fe71c9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-19 17:44:35 +0000

    NEWS, README: 0.80rc3, a.k.a. 0.79.93

M	NEWS
M	README

commit d62626c19c32348c28b90e269c47635a421247f3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-19 17:42:57 +0000

    .gitignore: ignore the generated Makefile

M	.gitignore

commit 75a897710ffafb1fc4df17460784829df844666f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-19 17:37:11 +0000

    Makefile.am: if in a git checkout, generate the ChangeLog

M	Makefile.am

commit 6020c7f6252833c2d5bf890c68335ee4cc6f777c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-19 15:57:11 +0000

    dbus-python.h: Alter header comment, use a better cpp define name
    for the multiple-inclusion guard

M	include/dbus-python.h

commit 75111a7da5f12f3f01d736694158ea266926139b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-19 15:43:57 +0000

    Remove old introspect_parser from Makefile.am too

M	Makefile.am

commit 550390810f9ee63a3f251e854f3e234c6a948436
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-19 15:17:12 +0000

    Remove old libxml2-based introspection parser

D	dbus/introspect_parser.py

commit d6bfbdd4a270a0b2421e8cba566805211b711c77
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-19 15:16:43 +0000

    Include the cross-test in 'make check'

M	test/run-test.sh

commit 432694be74b0a6bfb5336e4fa493958b1bf1ac4e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-19 15:16:22 +0000

    Add missing _expat_introspect_parser.py; fix cross-test to work for
    out-of-tree builds

M	Makefile.am

commit 0bccb0f1fd68b224e7aee6d21aef8e36cdc8d980
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-19 15:15:01 +0000

    Remove Makefile (auto-generated since switching to autotools)

D	Makefile

commit b3c9b4c65aaefc6c940793e00fcdb60831367d10
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-19 14:45:16 +0000

    Add an Expat-based introspect parser, and use it instead of libxml2.
    (Removes dependency on libxml2.)

A	dbus/_expat_introspect_parser.py
M	dbus/proxies.py

commit 164f38ea01187c1bbe9606dde81e09efd62362e5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-19 14:24:45 +0000

    Pass introspection XML around as UTF-8, rather than decoding it
    to Unicode
    during unmarshalling and re-encoding it for libxml2.

M	dbus/introspect_parser.py
M	dbus/proxies.py

commit 956a5c9e47e9504b67685a6bf582afd04c613fd3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-19 14:21:10 +0000

    Respect utf8_strings, byte_arrays options when calling methods
    asynchronously.

    Also make it possible to fail the async call tests in test-client,
    and add a test case for utf8_strings in async use.

M	dbus/proxies.py
M	test/test-client.py

commit b4845467ec4e381f07dadf48ce67a7b02ac46618
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-19 14:05:15 +0000

    Do cross-product of options in more obvious way

M	test/test-client.py

commit e6eb7b5307da2a446e1c8c6b0cb6b11fc6705b00
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-18 20:33:56 +0000

    Switch to autotools and test with Python 2.5 as well as 2.4.

    In the process:

    HACKING.txt: update
    include/dbus-python.h: add some typedefs to make it saner
    bus.c, conn.c, conn-methods.c: further alter docstrings to keep
    epydoc happy
    exceptions.c: create exceptions in a more longwinded way for Python
    2.5 compatibility
    message-get-args.c, bus/__init__.py: tweak docstrings
    dbus/introspect_parser.py: make docstring valid reStructuredText
    run-test.sh: simplify, since configure now does some of the work
    test/*.py: use paths from run-test.sh, cope with out-of-tree builds
    test-standalone.py: carry out additional sanity checks

M	.gitignore
M	HACKING.txt
D	MANIFEST.in
M	Makefile
A	Makefile.am
A	README
M	_dbus_bindings/bus.c
M	_dbus_bindings/conn-methods.c
M	_dbus_bindings/conn.c
M	_dbus_bindings/exceptions.c
M	_dbus_bindings/message-get-args.c
M	_dbus_bindings/module.c
A	autogen.sh
A	autotools/as-ac-expand.m4
A	autotools/jhflags.m4
A	autotools/python.m4
A	configure.ac
A	dbus-python.pc.in
M	dbus/__init__.py
A	dbus/_version.py.in
M	dbus/introspect_parser.py
M	include/dbus-python.h
A	test/TestSuitePythonService.service.in
M	test/run-test.sh
A	test/run-with-tmp-session-bus.sh
M	test/test-client.py
M	test/test-service.py
M	test/test-signals.py
M	test/test-standalone.py
R068	tools/session.conf	test/tmp-session-bus.conf.in
D	tools/run-with-tmp-session-bus.sh

commit 73457d0e435f4a9be9a9980fb06dd004b87c6647
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-18 12:05:00 +0000

    bus.c, conn-methods.c, conn.c: Alter format of signatures in
    docstrings to keep epydoc happy

M	_dbus_bindings/bus.c
M	_dbus_bindings/conn-methods.c
M	_dbus_bindings/conn.c

commit 358403cd0cba20ccda4961a39644c092a0f05b74
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-18 12:03:27 +0000

    include/dbus_bindings.h: Rename to include/dbus-python.h, improve
    namespacing.
    _dbus_bindings/conn-internal.h,
    _dbus_bindings/dbus_bindings-internal.h,
    _dbus_glib_bindings/module.c: Use dbus-python.h instead of
    dbus_bindings.h

M	_dbus_bindings/conn-internal.h
M	_dbus_bindings/dbus_bindings-internal.h
M	_dbus_glib_bindings/module.c
R096	include/dbus_bindings.h include/dbus-python.h

commit f4bb2ca522a39fbbf2cce536410c973a73b9059c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-15 12:56:36 +0000

    COMPAT.txt: cross off some to-do items, patches now sent upstream

M	COMPAT.txt

commit 6376c0c422063a48554719f9ec72162c1b63fdda
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-14 16:18:13 +0000

    _dbus_bindings/module.c: If Python is older than 2.4.2c1, initialize
    threads.
    In newer versions the PyGILState API is allowed even when threads
    haven't been
    initialized yet, but in 2.4.1 it causes a crash. It's desirable
    to avoid
    initializing threads until just before the second thread is created,
    since
    this creates locking overhead which isn't needed until the app
    actually goes
    multi-threaded.

M	_dbus_bindings/module.c

commit 274314c98304fdaa23bcc7b3940ab48e7afe0e8c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-13 15:02:36 +0000

    Bump version to 0.80rc2

M	NEWS
M	dbus/__init__.py
M	setup.py

commit 8989e8da843210e7d18c456cfaa12cabc1015ac0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-13 15:02:07 +0000

    MANIFEST.in: include Makefile (for the benefit of mjj29's interop
    test) and examples

M	MANIFEST.in

commit 717c5b4b3852c5e519bc4a1ccb9df8414d4c019c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-13 14:48:56 +0000

    list-system-services.py: Use the NULL_MAIN_LOOP

M	examples/list-system-services.py

commit b70364f2a37e64585c53a72e36481407e375808c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-13 14:40:32 +0000

    dbus/examples: Move to examples/ (it's not part of the library and
    isn't installed)

R100	dbus/examples/.cvsignore	examples/.cvsignore
R100	dbus/examples/example-client.py examples/example-client.py
R100	dbus/examples/example-service.py
examples/example-service.py
R100	dbus/examples/example-signal-emitter.py
examples/example-signal-emitter.py
R100	dbus/examples/example-signal-recipient.py
examples/example-signal-recipient.py
R100	dbus/examples/gconf-proxy-client.py
examples/gconf-proxy-client.py
R100	dbus/examples/gconf-proxy-service2.py
examples/gconf-proxy-service2.py
R100	dbus/examples/list-system-services.py
examples/list-system-services.py

commit c874bb37093c39e3dcc974c7bff39a36e4f7202a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-13 14:39:03 +0000

    dbus/_dbus.py: Strongly reference shared connections, so they stay
    alive and signal handlers etc. stick. On close, remove them from
    the table of shared connections first

M	dbus/_dbus.py

commit 4a7f442a322a8df6306f50ae22aaf049d3807c9f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-13 14:36:00 +0000

    dbus/__init__.py: Import exceptions too in case someone is relying
    on it

M	dbus/__init__.py

commit 1cd510ab8be262106e1a57359a06708236b9dd39
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-13 13:53:38 +0000

    test/test-client.py: Add test case for weak reference logic (which
    would segfault on 0.80rc1)

M	test/test-client.py

commit a3f966c49e6158a3382a2dce553b91ceb64376fe
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-13 13:50:38 +0000

    dbus/__init__.py: Import types submodule into dbus, because Sugar
    assumes it'll be available

M	dbus/__init__.py

commit a4b88e345e8ee03ddcf12ce323730d12d51193db
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-13 13:49:38 +0000

    dbus/_dbus.py: Use absolute import for proxies

M	dbus/_dbus.py

commit 8edf45a9dc51a70ce4897606f4cd2b08e3536332
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-13 13:48:40 +0000

    message-append.c, message-get-args.c: Turn off debug messages even
    when debugging other things, they're too verbose

M	_dbus_bindings/message-append.c
M	_dbus_bindings/message-get-args.c

commit 422855dd98922b8a3038f7315809462ed6a54ba6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-13 13:48:03 +0000

    _dbus_bindings/conn.c: Fix broken weak reference handling, which
    caused a segfault on OLPC.
    Also add debug related to this.

M	_dbus_bindings/conn.c

commit 6ff6bd99176b7b1d7931bb16c8a7c8a75e3755ee
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-13 13:46:29 +0000

    conn-methods.c: Add tracing

M	_dbus_bindings/conn-methods.c

commit 98f392d386ae89e3b7ebe397beee6a15869511df
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-13 13:45:55 +0000

    conn-internal.h: Comment weakref list

M	_dbus_bindings/conn-internal.h

commit d1bc9f29818e576b07946e0ea9a89e90e1d5ec42
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-13 13:45:28 +0000

    bus.c: Add tracing and a couple of missed assertions

M	_dbus_bindings/bus.c

commit 6afa6d2e76c83c921c799bec3a7b3259248eb57f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-13 13:45:01 +0000

    Add TRACE macro and allow debug to be turned off per file

M	_dbus_bindings/dbus_bindings-internal.h

commit 2ad0498ce6f253da333907ed87df11c6b5a8cf1e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-12 19:56:17 +0000

    conn.c: Correct number of varargs to debug message

M	_dbus_bindings/conn.c

commit 53c4f8628eac5c1ba62e9ccf3be6e1b4c0990b20
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-12 19:55:38 +0000

    conn.c: Use __func__ instead of incorrect __FUNC__

M	_dbus_bindings/conn.c

commit d8a2d78963cf76051a72bb18e7c9d9dd0afd27e8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-12 19:54:05 +0000

    _dbus_bindings/bus.c, _dbus_bindings/conn-methods.c,
    _dbus_bindings/conn.c: Add lifecycle debugging and assertions

M	_dbus_bindings/bus.c
M	_dbus_bindings/conn-methods.c
M	_dbus_bindings/conn.c

commit 88306feb544fac52c5ffe7de48ef0fd07a59a749
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-12 19:46:54 +0000

    _dbus_bindings/dbus_bindings-internal.h: Add wrapper macro
    "DBG_WHEREAMI;"

M	_dbus_bindings/dbus_bindings-internal.h

commit 883b24563b5f9bf406fcde5edb19caabbc812ac2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-12 19:44:41 +0000

    Add assertion macros and supporting functions

M	_dbus_bindings/dbus_bindings-internal.h
M	_dbus_bindings/debug.c

commit b7d21102b99e717e3b4f103d71ce96e8f056cfd4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-11 21:57:52 +0000

    Whitespace consistency: Don't put a space between function name and
    parentheses around arguments

M	_dbus_bindings/bus.c
M	_dbus_bindings/message-append.c
M	_dbus_bindings/message-get-args.c
M	_dbus_bindings/message.c

commit 830f94f31010d4783490217d4b02f6f87927ae4c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-11 21:45:29 +0000

    Convert generic glue, main loop integration, message append/get_args,
    validation into separate translation units - no *-impl.h remaining

M	_dbus_bindings/dbus_bindings-internal.h
R088	_dbus_bindings/generic-impl.h	_dbus_bindings/generic.c
R087	_dbus_bindings/mainloop-impl.h	_dbus_bindings/mainloop.c
R098	_dbus_bindings/message-append-impl.h
_dbus_bindings/message-append.c
R098	_dbus_bindings/message-get-args-impl.h
_dbus_bindings/message-get-args.c
A	_dbus_bindings/message-internal.h
M	_dbus_bindings/message.c
M	_dbus_bindings/module.c
R074	_dbus_bindings/validation-impl.h
_dbus_bindings/validation.c
M	setup.py

commit 8ab339978d34b8c14dcf53aa6fbf228efb9130c6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-11 20:30:19 +0000

    Separate out remaining types (abstract, bytes, containers, int,
    float, signature, string) into separate translation units

M	Makefile
R097	_dbus_bindings/abstract-impl.h	_dbus_bindings/abstract.c
R097	_dbus_bindings/bytes-impl.h	_dbus_bindings/bytes.c
R098	_dbus_bindings/containers-impl.h
_dbus_bindings/containers.c
M	_dbus_bindings/dbus_bindings-internal.h
R096	_dbus_bindings/floattypes-impl.h	_dbus_bindings/float.c
M	_dbus_bindings/generic-impl.h
R070	_dbus_bindings/types-impl.h	_dbus_bindings/int.c
M	_dbus_bindings/module.c
R097	_dbus_bindings/signature-impl.h _dbus_bindings/signature.c
A	_dbus_bindings/string.c
M	_dbus_bindings/types-internal.h
M	setup.py

commit 14df12b437c1d8e0ce79aa90c99d58c820a94048
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-11 20:06:09 +0000

    Split out exceptions, pending call, message into separate .c files

M	_dbus_bindings/abstract-impl.h
M	_dbus_bindings/bus.c
M	_dbus_bindings/bytes-impl.h
M	_dbus_bindings/conn.c
M	_dbus_bindings/containers-impl.h
M	_dbus_bindings/dbus_bindings-internal.h
R083	_dbus_bindings/exceptions-impl.h
_dbus_bindings/exceptions.c
M	_dbus_bindings/floattypes-impl.h
M	_dbus_bindings/generic-impl.h
M	_dbus_bindings/mainloop-impl.h
M	_dbus_bindings/message-append-impl.h
M	_dbus_bindings/message-get-args-impl.h
R097	_dbus_bindings/message-impl.h	_dbus_bindings/message.c
M	_dbus_bindings/module.c
R097	_dbus_bindings/pending-call-impl.h
_dbus_bindings/pending-call.c
M	_dbus_bindings/signature-impl.h
M	_dbus_bindings/types-impl.h
A	_dbus_bindings/types-internal.h
M	setup.py

commit 7ee3e9020ae67172b82b39fee05d25db3f43ea08
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-08 17:57:12 +0000

    _dbus_bindings: debug-impl.h -> debug.c

R100	_dbus_bindings/debug-impl.h	_dbus_bindings/debug.c
M	_dbus_bindings/module.c
M	setup.py

commit 3273a66c7b0d8a91ffe68732a482d17775627273
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-08 17:55:24 +0000

    _dbus_bindings: bus-impl.h -> bus.c

R099	_dbus_bindings/bus-impl.h	_dbus_bindings/bus.c
M	_dbus_bindings/dbus_bindings-internal.h
M	_dbus_bindings/module.c

commit f50c6643bf9fe153a7add75ca150a1470b7eb63a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-08 17:50:25 +0000

    _dbus_bindings: split out conn, conn-methods into separate translation
    units

M	_dbus_bindings/bus-impl.h
A	_dbus_bindings/conn-internal.h
R080	_dbus_bindings/conn-methods-impl.h
_dbus_bindings/conn-methods.c
R060	_dbus_bindings/conn-impl.h	_dbus_bindings/conn.c
A	_dbus_bindings/dbus_bindings-internal.h
M	_dbus_bindings/debug-impl.h
M	_dbus_bindings/exceptions-impl.h
M	_dbus_bindings/generic-impl.h
M	_dbus_bindings/mainloop-impl.h
M	_dbus_bindings/message-impl.h
M	_dbus_bindings/module.c
M	_dbus_bindings/pending-call-impl.h
M	_dbus_bindings/types-impl.h
M	_dbus_bindings/validation-impl.h
M	include/dbus_bindings.h
M	setup.py

commit 380b44d38d333092bc9fe2eae8b7a836cb2791c7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-08 16:10:12 +0000

    _dbus_bindings/conn-impl.h: Be more careful that referenced
    Connections always have a DBusConnection

M	_dbus_bindings/conn-impl.h

commit 93b846e642ea1830b40aee6dfc600b8cd18b51bf
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-08 16:08:56 +0000

    _dbus_bindings/bus-impl.h: Correctly construct Bus objects with
    non-default addresses

M	_dbus_bindings/bus-impl.h

commit 9c4374aba50a9de68e307b85dc0f4d0425ee0b1b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-07 18:43:07 +0000

    gconf-proxy-{client,service2}.py: Print a message warning that these
    might not work.
    gconf-proxy-service.py: Delete, it uses API which was obsoleted
    long ago.

M	dbus/examples/gconf-proxy-client.py
D	dbus/examples/gconf-proxy-service.py
M	dbus/examples/gconf-proxy-service2.py

commit 11757fcd9434e1e541c928ee34a6294a120bc0eb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-07 18:40:31 +0000

    dbus/examples/example-*.py: update to current API

M	dbus/examples/example-client.py
M	dbus/examples/example-service.py
M	dbus/examples/example-signal-emitter.py
M	dbus/examples/example-signal-recipient.py

commit ed1306b347fedce65a24bf525ad9d430bcfdf15d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-07 18:39:51 +0000

    dbus/_dbus.py, dbus/proxies.py: Add keyword arguments
    interface_keyword, member_keyword, destination_keyword (completing
    the set of useful message fields for signal handlers); also add
    message_keyword (for advanced use)

M	dbus/_dbus.py
M	dbus/proxies.py

commit 14bf5b0eb6dcd7da8b4f3e90d55480dfa0c4b9b7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-07 18:37:58 +0000

    dbus/decorators: Remove explicitly_pass_message

M	dbus/decorators.py

commit 090091828e1d616171601d68aed00991d93dfd49
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2006-12-07 16:53:42 +0000

    examples/list-system-services.py: Print services in a nicer form,
    once per line. Offer to connect to the session bus instead.

M	dbus/examples/list-system-services.py

commit 9802e3eb22d1ed464eec71153067593db7071764
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-06 12:56:59 +0000

    NEWS, setup.py, dbus/__init__.py: Bump version to 0.80rc1, aka 0.79.91

M	NEWS
M	dbus/__init__.py
M	setup.py

commit c5c7185c7638b650608a0854f28afbd94208ab02
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-05 18:46:45 +0000

    MANIFEST.in: add TODO (but not COMPAT.txt, which shouldn't go in
    the sdist)

M	MANIFEST.in

commit 49ea22f2a1be697437f7c232613c87920957bc86
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-05 18:38:36 +0000

    TODO, COMPAT.txt: add

A	COMPAT.txt
A	TODO

commit aa0710da718fb04079076b6b02c486a177323322
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-05 18:37:54 +0000

    dbus/__init__.py, dbus/_dbus.py, dbus/service.py: Improve docstrings,
    imports, __all__

M	dbus/__init__.py
M	dbus/_dbus.py
M	dbus/service.py

commit 31ecbdd6c42cd508ae6510e9655a805094f04b31
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-05 18:36:53 +0000

    _dbus_bindings/validation-impl.h: Mark new functions as :Since: 0.80

M	_dbus_bindings/validation-impl.h

commit e4a70180d3ab0eb77264dc1a9f22b2521e5d3607
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-05 18:36:21 +0000

    _dbus_bindings/types-impl.h: Always implement Int64 and UInt64 at
    least as a stub, raising NotImplementedError from the constructor
    on 64-bit-deficient platforms. Improve docstrings.

M	_dbus_bindings/types-impl.h

commit 34b237b3e1ed0c6665892f3a4765b09e29bdb3a5
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-05 18:34:58 +0000

    _dbus_bindings/signature-impl.h: Improve Signature class docstring

M	_dbus_bindings/signature-impl.h

commit 69d95e61f95c21708596d2f973f46cde61521e68
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-05 18:34:21 +0000

    _dbus_bindings/message-append-impl.h,
    _dbus_bindings/message-get-args.h: Use PY_LONG_LONG rather
    than long long to support deficient platforms; consistently use
    NotImplementedError for platforms with no PY_LONG_LONG type

M	_dbus_bindings/message-append-impl.h
M	_dbus_bindings/message-get-args-impl.h

commit 4ed5dcb72bcc41aa9327461a0cad325fa8d1afbd
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-05 18:32:25 +0000

    _dbus_bindings/containers-impl.h: Disallow empty structs. Improve
    docstrings

M	_dbus_bindings/containers-impl.h

commit 42ea333ddd2351b4dc87c12089efbda89165783b
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-05 18:31:54 +0000

    _dbus_bindings/module.c: Add Constructor, Supported usage field
    declarations for epydoc

M	_dbus_bindings/module.c

commit 4779424a806aecfce2754eb8fc4673f0ce35823e
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-05 11:36:50 +0000

    dbus/decorators.py: Say that explicitly_pass_message() is deprecated

M	dbus/decorators.py

commit c08743227d9e78da2d02d1e1f5a621d43d38efc4
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-05 11:36:17 +0000

    dbus/glib.py: mention that the new API only works in >= 0.80

M	dbus/glib.py

commit cb7538d514e968c19c3fea74bd5de89330112ed5
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-05 11:35:51 +0000

    dbus/introspect_parser.py: Add docstring for
    process_introspection_data()

M	dbus/introspect_parser.py

commit 3c606fda6ea70622ee234cc51d63644ab27e6e55
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-05 11:35:23 +0000

    dbus/mainloop/__init__.py, dbus/mainloop/glib.py: Add docstrings

M	dbus/mainloop/__init__.py
M	dbus/mainloop/glib.py

commit 0c7cc37a5ac8fe1a044cfcf6d615aa8341dcb30e
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-05 11:34:54 +0000

    dbus/proxies.py: trivial change to process_introspection_data()
    invocation: import and "." => from-import

M	dbus/proxies.py

commit 01a91b63644b7f1e8b23dea20f639a9b13bb36ef
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-05 11:33:51 +0000

    setup.py, dbus/matchrules.py: Remove obsolete dbus.matchrules (the
    new implementation is in _dbus)

D	dbus/matchrules.py
M	setup.py

commit 3655f865eb742eacc9f677c34757b0f115a7179b
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-05 11:33:10 +0000

    Stop asserting that dbus.Struct(()) works

M	test/test-standalone.py

commit 880a2a87e78355e546dc97f0661f500c1c42da73
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-04 14:13:24 +0000

    dbus/__init__.py: remove FIXME comment

M	dbus/__init__.py

commit 8339653949802cb296811fe488b53b721d63e0f7
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-04 14:11:40 +0000

    dbus/proxies.py: Ignore unused result from send_message. Pass on
    SignalMatch result from add_signal_receiver() so caller can disconnect
    the signal more easily.

M	dbus/proxies.py

commit 539faca6578f418da4bbbbd9d4a77c2f5fad682c
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-04 13:43:42 +0000

    dbus/introspect_parser.py: Import the right exceptions module,
    so we can raise the right exception

M	dbus/introspect_parser.py

commit f6284a1b6552652c84e76585fd208ea361ff288b
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-04 13:42:43 +0000

    test/test-signals.py: add test case for signal handling;
    test/run-test.sh: run test-signals.

M	test/run-test.sh
A	test/test-signals.py

commit 14ae543d77a0d6ec72d10ba33c5a50c801f1feab
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-04 13:41:48 +0000

    dbus/_dbus.py: Re-work signal matching so it does the right thing
    when name ownership changes

M	dbus/_dbus.py

commit 601a1a2b4bbabebb248310334a60413bffde9780
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-12-04 13:35:24 +0000

    _dbus_bindings/bus-impl.h: Correct docstring for
    Bus.remove_match_string

M	_dbus_bindings/bus-impl.h

commit a61bb622aa26d48de7cb1cb269d4b4cfc75dda3f
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-30 17:23:38 +0000

    dbus._dbus, dbus.decorators, dbus.service: Update names of newly
    public low-level methods

M	dbus/_dbus.py
M	dbus/decorators.py
M	dbus/service.py

commit 469c2586d661e16193c9d22772b37d2fe98ad5da
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-30 17:22:49 +0000

    _dbus_bindings/pending-call-impl.h: Fix reference counting

M	_dbus_bindings/pending-call-impl.h

commit 2c5f7716211f0157bf6a4fe93ea3df7f03c5f5e8
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-30 17:15:00 +0000

    _dbus_bindings/mainloop-impl.h: Fix compilation with debug enabled

M	_dbus_bindings/mainloop-impl.h

commit 114f98df9c1a6897b0030430550a23b3d5da0a83
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-30 17:02:02 +0000

    dbus.proxies: Alter calls to methods which have become public

M	dbus/proxies.py

commit 535e860b648798aae2644b2b222f19990484be88
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-30 17:00:07 +0000

    setup.py: Add dbus.lowlevel

M	setup.py

commit 4237e29b6f76e7dcfc1b34b984f9640e9a57fb7d
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-30 16:59:48 +0000

    dbus/__init__.py: Document existence of dbus.lowlevel

M	dbus/__init__.py

commit 0586633996ed3d529588b1c429f2dd02ecb9bf5a
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-30 16:59:22 +0000

    _dbus_bindings/pending-call-impl.h: Make block() public and work
    around dbus_pending_call_set_notify() race

M	_dbus_bindings/pending-call-impl.h

commit 181ff34cbd75fdb0cdfe71628f22d7b5f4b34d7b
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-30 16:58:18 +0000

    dbus.lowlevel: Add module exposing lower-level classes for advanced
    users
    _dbus_bindings/message-impl.h: Indicate that Message classes'
    "official"
	location is dbus.lowlevel

M	_dbus_bindings/message-impl.h
A	dbus/lowlevel.py

commit 79abbf3a2c3ddd67e8b655f597f74cca347c4a26
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-30 16:56:49 +0000

    Make send, etc. public, but rename to send_message etc.

M	_dbus_bindings/conn-methods-impl.h

commit 7db487a5e4efcdaf6c8ff59dfa6f26c5042ee1e9
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-30 13:48:26 +0000

    Document the absence of dbus.mainloop.MainLoop in this release.
    Add get_object_by_unique_name to Bus objects.

M	_dbus_bindings/mainloop-impl.h
M	dbus/_dbus.py
M	dbus/proxies.py

commit 69660ac1b650a2328f21dc2d9953700d1efe1e17
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-30 11:08:41 +0000

    API_CHANGES.txt: Document mainloop changes

M	API_CHANGES.txt

commit 77778920c41ddc3fe99771f4bd0f865e9550868c
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-30 11:08:08 +0000

    dbus/mainloop/__init__.py: Export glib submodule; improve docstrings

M	dbus/mainloop/__init__.py

commit c5e4c6f8d67ad4305ab7e2254de10a6320b9c305
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-30 11:07:16 +0000

    Emulate old bus_request_name, bus_release_name

M	dbus/dbus_bindings.py

commit e54d3f2c370ebcdb07269b49081519017981bcdb
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-30 11:06:53 +0000

    dbus/service.py: Allow a Connection as parameter to Object
    constructor, to avoid having to have a well-known bus name

M	dbus/service.py

commit 6120021f3563f2df73fc35b2ded4ae30958a47da
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-30 11:05:55 +0000

    dbus/__init__.py: Export get_default_main_loop, set_default_main_loop
    and submodules service and mainloop

M	dbus/__init__.py

commit 9c1b58183966ae8a622796ae3df4a5a699bfd5fc
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-30 11:05:17 +0000

    dbus/glib.py: Use new API to set main loop as default

M	dbus/glib.py

commit f3a23de9e022e708b9884d36f65ab9ccaf634bee
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-30 11:04:48 +0000

    dbus/_dbus.py: Import get_default_main_loop, set_default_main_loop

M	dbus/_dbus.py

commit 605a8ec83eba854b319d94c9fee3467e52999005
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-30 11:04:06 +0000

    _dbus_glib_bindings/module.c: Support set_as_default keyword argument

M	_dbus_glib_bindings/module.c

commit 3aff827e8fe14a9fb9b1846e00c32f01afee40b2
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-30 11:03:19 +0000

    _dbus_bindings: Change default-main-loop API to use global functions
    get_default_main_loop, set_default_main_loop. Improve docstrings

M	_dbus_bindings/bus-impl.h
M	_dbus_bindings/conn-impl.h
M	_dbus_bindings/conn-methods-impl.h
M	_dbus_bindings/mainloop-impl.h
M	_dbus_bindings/module.c

commit 919cd3aeac6676b19246091a6ff762bb6e154773
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-24 13:00:13 +0000

    include/dbus_bindings.h: Put _dbus_bindings in a static variable
    when imported
    into e.g. _dbus_glib_bindings. Re-indent for consistency.

M	include/dbus_bindings.h

commit 16d460e5c4987d67a4db248c5fd1a69ca8b0ab23
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-24 12:58:39 +0000

    setup.py: Don't remove ChangeLog on clean.
    Yes, it's generated, but that just means it shouldn't be in the git
    repo; it
    should still appear in tarballs.

M	setup.py

commit 894bafef2cae44d4b41845ed900cffe65dd63900
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-23 16:44:21 +0000

    _dbus_bindings/mainloop-impl.h: Add Watch and Timeout types
    _dbus_bindings/generic-impl.h: Add Glue_tp_hash_by_pointer and
    Glue_tp_richcompare_by_pointer to support the above

M	_dbus_bindings/generic-impl.h
M	_dbus_bindings/mainloop-impl.h

commit aabf7935466aee3c8cc82f9c08a39017fcb603f8
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-23 16:43:05 +0000

    _dbus_bindings/conn-methods-impl.h: Correct docstring: there is
    no dbus.mainloop.base

M	_dbus_bindings/conn-methods-impl.h

commit 4a51f14170ffa4750b459fa4250bd7ce89bfa801
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-22 18:27:27 +0000

    Bump version to 0.80pre2 (or internally 0.79.2)

M	dbus/__init__.py
M	setup.py

commit 49c03f8525e321467eca862b186fa58ff2621f18
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-22 18:25:47 +0000

    MANIFEST.in: include MANIFEST.in itself

M	MANIFEST.in

commit f064ecd77fb99506ea32c500e687a59ee68d9425
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-22 18:24:48 +0000

    Include top-level dbus_bindings.py (missed in previous commit)

A	dbus_bindings.py

commit 5bcdc1378cceb0885fc2138e55259f15a83fa1ce
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-22 18:18:13 +0000

    Add short-term backwards compatibility with dbus_bindings (various
    programs try to catch dbus_bindings.DBusException)

M	dbus/__init__.py
M	dbus/_dbus.py
R053	_dbus_bindings/dbus_bindings.py dbus/dbus_bindings.py
M	setup.py

commit 08971243466ab63ea19a20a1c1f1fd0d98714541
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-22 17:34:56 +0000

    Remove _dbus_bindings/test.py (duplicates bits of test-standalone)

D	_dbus_bindings/test.py

commit 4a0902b38a50d34f28ce022fe0684aec8ce91718
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-22 17:33:59 +0000

    MANIFEST.in: pass through LC_ALL=C sort -k2

M	MANIFEST.in

commit f2c08d18ac2645311e4c0d94da0b06b3754a6def
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-22 17:28:56 +0000

    Add improved main-loop integration.
    Currently only GLib (with the default main context) and a "null
    main loop"
    are supported, but a pure-Python main loop could be supported without
    incompatible API changes.

M	_dbus_bindings/bus-impl.h
M	_dbus_bindings/conn-impl.h
M	_dbus_bindings/conn-methods-impl.h
A	_dbus_bindings/mainloop-impl.h
M	_dbus_bindings/module.c
M	_dbus_glib_bindings/module.c
M	dbus/__init__.py
M	dbus/_dbus.py
M	dbus/glib.py
A	dbus/mainloop/__init__.py
C081	dbus/glib.py	dbus/mainloop/glib.py
M	dbus/proxies.py
M	include/dbus_bindings.h
M	setup.py

commit aad4ee9dfbe203e74bffb0ec93bdd180143e4cee
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-21 18:13:14 +0000

    _dbus_bindings/conn-impl.h: Check for errors, printing them if
    necessary, before releasing GIL

M	_dbus_bindings/conn-impl.h

commit df744af92832a69dbdbe97014bee38f6271ca30a
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-16 14:34:21 +0000

    Bump version to 0.80~pre1 (but in __init__.py, write it as 0.79.1)

M	dbus/__init__.py
M	setup.py

commit 9e682a1a6d60bc31b63552c240718a9b7583f1c7
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-16 14:25:27 +0000

    MANIFEST.in: remove README, which doesn't exist

M	MANIFEST.in

commit 280061c0e03fb59f1eabf950fa4ab0716b4b7a39
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-15 19:26:56 +0000

    dbus._dbus, dbus.proxies: Raise RuntimeError when user tries to do
    async calls or receive signals without a main loop
    This makes the Connection base class useless, but should let
    people know
    that they need to use dbus.glib for async functionality. I do
    intend to
    replace the mainloop integration so GLib isn't the only option.

M	dbus/_dbus.py
M	dbus/proxies.py

commit 48a87921075edbe3b94cdd1ddfef90b8f6e3a152
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-15 19:02:20 +0000

    HACKING.txt: fix typo

M	HACKING.txt

commit 192d203341d584a3f6502d0c3fb45d26870e7698
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-15 16:31:23 +0000

    dbus._dbus, cross-test-server: fix signal calling convention support,
    and test it in cross-test-server

M	dbus/_dbus.py
M	test/cross-test-server.py

commit 1974c56c89080df4d38eba8b5d251680b5c42131
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-15 16:04:38 +0000

    dbus._dbus, dbus.matchrules, dbus.proxies: Support utf8_strings and
    byte_arrays calling convention options to signal handlers. Handle
    arg matches containing "'" correctly

M	dbus/_dbus.py
M	dbus/matchrules.py
M	dbus/proxies.py

commit 069d09797e22cf6d70c82c9b39edb3a094dd1e83
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-15 15:51:28 +0000

    dbus._dbus: Whitespace

M	dbus/_dbus.py

commit b02991564418e2136ac305669afa8457595fd397
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-15 15:44:09 +0000

    _dbus_bindings/bus-impl.h: Remove duplicate registration of
    name_has_owner method

M	_dbus_bindings/bus-impl.h

commit d3aa18da0ee31f4c7c6e17b9d027237021402292
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-15 15:16:59 +0000

    Makefile: Produce warning about "development use only" for all
    targets. Set targets PHONY. Make docs depend on build, now the build
    is quicker

M	Makefile

commit 6008b37253f7a04b563b28a2aa9357de8cfd29d1
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-14 15:48:47 +0000

    - dbus.service.Object, dbus.decorators.method: Allow utf8_strings and
      byte_arrays parameters kwargs when exporting a
      method. These change the calling convention in the same way as
      Message.get_args_list().
    - dbus.proxies.ProxyMethod: allow the same kwargs to be passed to
    any proxy
      method; this time, they change the representation of the remote
      method's
      return value(s).
    - Test that the above work
    - Improve correctness of setting the NAME_FLAG_* flags
    - Whitespace tweaks (remove hard tabs)

M	dbus/decorators.py
M	dbus/proxies.py
M	dbus/service.py
M	test/cross-test-server.py
M	test/test-client.py
M	test/test-service.py

commit 21b10a103d91651d9ac55d2d22832a5df251f45e
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-14 14:31:43 +0000

    Test UTF8String as well as String

M	test/cross-test-client.py

commit 7416bf25886650aec413eea2ca2c42b69f5a3537
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-14 14:30:19 +0000

    Update tests for the new variant API

M	test/cross-test-client.py
M	test/cross-test-server.py
M	test/run-test.sh
M	test/test-client.py
M	test/test-service.py
M	test/test-standalone.py

commit 1761e5bd810ea45776e2d1c82193b73184ed3eda
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-14 14:29:13 +0000

    Update API_CHANGES.txt

M	API_CHANGES.txt

commit 9997fd83b55e16d1c50fe04ce57951483f867982
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-14 14:28:36 +0000

    Makefile:
    - Clarify that this is only for d-p developers, not for packagers or
      end users.
    - Build with lots of warnings, and -Werror, but disable warning
    about partially
      uninitialized structs since this is conventional in Python
      (for source
      backwards compatibility).

M	Makefile

commit 1a4b9502f1d06e94fd5f90bfd85cf4d47b88c1fd
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-14 14:26:14 +0000

    setup.py: Import CFLAGS from environment (used by development Makefile
    for warning control)

M	setup.py

commit 4ce650d5c4ca5807c8eb4bc6f8074ff6eddab359
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-14 14:25:39 +0000

    Remove Variant from API, add UTF8String

M	dbus/__init__.py

commit bf5550fdcbd02a55d18f17d2b79e692145dfad58
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-14 14:25:04 +0000

    Import the newly re-added types into dbus.types

M	dbus/types.py

commit 0bd42c7cce423ce04def63217675b730228294af
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-14 14:24:37 +0000

    - Convert Message.get_args_list and Message.append to the new way
    of handling variants
    - Remove most of the options for get_args_list and just do the
    right thing

M	_dbus_bindings/message-append-impl.h
M	_dbus_bindings/message-get-args-impl.h

commit b2ba98067873acdc8f7989b63384fc1d37da49d1
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-14 14:20:10 +0000

    - Add variant_level to Array, Dict, Struct
    - Remove Variant type

M	_dbus_bindings/containers-impl.h

commit 481428655794be4491cf7fd33f86b8e9e059a2d6
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-14 14:18:30 +0000

    - Remove special case for ObjectPaths when registering object paths -
    now that
      they have a __dict__, they can reference the Connection, which
      is bad
    - Accept Unicode object paths for deregistration
    - Correctly raise an exception on non-str, non-unicode arguments
    where an
      object-path is expected
    - Annotate unused arguments

M	_dbus_bindings/conn-methods-impl.h

commit 5c908374f838e7b88c6725c6b54308316d8ed798
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-14 14:15:51 +0000

    - Remove float types from types-impl.h.
    - Re-order.
    - Subclass DBusPythonInt, etc.
    - Add UTF8String and (unicode) String types

M	_dbus_bindings/types-impl.h

commit 5bed478bed959ad477efac7da01ced0d0a76d6ed
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-14 14:12:47 +0000

    Make Signature a subclass of DBusPythonString

M	_dbus_bindings/signature-impl.h

commit 23013477f373aae9569e05bf793dcb3ec92530fb
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-14 14:12:11 +0000

    - Add Double type (and Float type #if'd out, ready for Alp's 32-bit
    float type
      if/when it's added to libdbus)
    - Include "abstract" base classes and float types in module.c

A	_dbus_bindings/floattypes-impl.h
M	_dbus_bindings/module.c

commit 3c5d7904ea641f2b4adcf1edb1165e1381119120
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-14 14:10:16 +0000

    - Make Byte a subclass of DBusPythonInt
    - Make ByteArray a subclass of DBusPythonString
    - Remove Byte_as_uchar, Byte_from_uchar, ByteArray_as_ucharptr,
      ByteArray_from_uchars helpers
    - Don't try to do clever things for Byte memory allocation

M	_dbus_bindings/bytes-impl.h

commit 77c594008a1a4a655a94868c0028ef6fdec0b492
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-14 14:01:25 +0000

    Add abstract-impl.h: abstract base classes for D-Bus types that
    subclass int/float/long/str, with a variant_level attribute.

A	_dbus_bindings/abstract-impl.h

commit ec4382fc301ddd60c4abfa0175e912880980de68
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-14 14:00:33 +0000

    Annotate UNUSED arguments

M	_dbus_bindings/bus-impl.h
M	_dbus_bindings/message-impl.h
M	_dbus_bindings/pending-call-impl.h
M	_dbus_bindings/validation-impl.h
M	_dbus_glib_bindings/module.c

commit 7e742ca5b5543ea290175f9351053f9ad6cfd492
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-14 13:58:02 +0000

    Add Glue_immutable_setattro, DEFINE_CHECK, UNUSED attribute. Remove
    generic repr() functions

M	_dbus_bindings/generic-impl.h

commit 3ab7a818a7a7a92a15de50ef848318ca61a6d2df
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-11-02 13:24:03 +0000

    Revert switch from Byte being an int subclass to a str subclass
    following discussion with J5.
    Switching Byte to be a single-character string is arguably more
    Pythonic, but
    needlessly breaks API.

M	_dbus_bindings/bytes-impl.h
M	_dbus_bindings/generic-impl.h
M	_dbus_bindings/message-append-impl.h
M	_dbus_bindings/message-get-args-impl.h
M	_dbus_bindings/types-impl.h
M	test/cross-test-client.py
M	test/cross-test-server.py
M	test/test-standalone.py

commit 263e3ad1cf99e7cd115e7051ed1ea3f2cc35c587
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-10-05 17:37:07 +0100

    Seth was a Red Hat employee when contributing to dbus-python: alter
    copyright notices accordingly

M	dbus/__init__.py
M	dbus/_dbus.py
M	dbus/decorators.py
M	dbus/introspect_parser.py
M	dbus/matchrules.py
M	dbus/proxies.py
M	dbus/service.py
M	setup.py
M	test/test-client.py
M	test/test-service.py

commit da74c4cce7fee0dc4b5f0fa2144211f1bd0d9cdd
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-10-05 17:36:25 +0100

    test/test-standalone.py: Test API guarantee that integer types
    subclass int or long

M	test/test-standalone.py

commit 6a9cafc90a31cf1d396b8a492fc1d618ef03dc65
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-10-02 15:28:00 +0100

    test/cross-test-client.py: Add more workarounds for odd dbus-java
    behaviour. Compare InvertMapping results better.

M	test/cross-test-client.py

commit df50fee665eb68d27394123ca79475bd37a0c528
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-10-02 15:26:42 +0100

    Produce debug output

M	test/cross-test-server.py

commit 3ad6bd460e0addc46cb503984e6d9cf2868111f5
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-10-02 15:26:17 +0100

    Use a temp variable to make crash debugging easier (although I now
    can't reproduce the crash...)

M	_dbus_bindings/pending-call-impl.h

commit 8801e3159d5a5a048eb30bd030ecb5dbd16610f9
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-29 20:47:09 +0100

    Make cross-test stricter by including extreme values for integers,
    etc.

M	test/cross-test-client.py

commit 52336a79a623dc2674ce22965eb6f0b010078b5e
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-29 20:46:13 +0100

    When trying to validate an int64 it helps if you put it in a 64-bit
    variable.

M	_dbus_bindings/types-impl.h

commit 0590a83202f27a98b8bb898876339a9b02a60896
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-28 18:17:41 +0100

    test/cross-test-client.py, test/cross-test-server.py: Start to fix
    for interop with dbus-java:
    * Don't assume we have introspection data - only call methods with
    correctly
      typed parameters
    * Make InvertMapping check order-independent
    * Make signal test not fail if the Triggered signal is meant to come
    from /Test
    * Use logging rather than sys.stderr

M	test/cross-test-client.py
M	test/cross-test-server.py

commit dd48a45dec3704ee459a418734485985e5fba205
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-28 16:03:11 +0100

    test/cross-test-client.py, test/cross-test-server.py: Output in the
    same format dbus-java does (the <> in the specification were not
    meant to be literal, apparently)

M	test/cross-test-client.py
M	test/cross-test-server.py

commit 3d645c9743e630d5064566a3a35d1e2c35d76cc2
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-28 16:00:22 +0100

    dbus/_dbus.py, dbus/proxies.py: Amend docstrings for signal receiving

M	dbus/_dbus.py
M	dbus/proxies.py

commit f9d2961b45a085dc5d8febf8b1ed0f9caa9558ec
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-28 15:59:17 +0100

    setup.py: Remove "import extract" (no longer exists)

M	setup.py

commit fcd45af4aa4fd81454f1c8a8fa7b8b5790f44b54
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-27 14:26:44 +0100

    Add copyright, AFL2.1, GPL2 notices, which might even be correct...

    The lists of copyright holders are derived from the D-Bus CVS
    changelog: I've
    erred on the side of adding people to the list rather than not.

    For now I've assumed that J5's contributions are owned by Red Hat,
    Collabora
    people's contributions (Rob McQueen, Rob Taylor, Ole Andre Ravnaas,
    myself) are owned by Collabora and everything else is owned by
    the author.

M	dbus/__init__.py
M	dbus/_dbus.py
M	dbus/decorators.py
M	dbus/glib.py
M	dbus/introspect_parser.py
M	dbus/matchrules.py
M	dbus/proxies.py
M	dbus/service.py
M	setup.py
M	test/cross-test-client.py
M	test/cross-test-server.py
M	test/crosstest.py
M	test/test-client.py
M	test/test-service.py
M	test/test-standalone.py

commit 329dc1e985c5090bba889e8ac5543d47c6abb5e2
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-27 14:16:29 +0100

    Put AUTHORS in the right order

M	AUTHORS

commit 7aed1104ddafd10c708234189345c4696cc2759e
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-27 13:50:07 +0100

    dbus/extract.py: Remove (no longer used now we're not using Pyrex)

D	dbus/extract.py

commit b4d4ab76adabd4a8d0a14efa678c057f51d23431
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-27 13:30:49 +0100

    Extend and correct docstrings. Set epydoc to expect reStructuredText
    by default.

M	Makefile
M	_dbus_bindings/conn-methods-impl.h
M	_dbus_bindings/message-append-impl.h
M	_dbus_bindings/message-get-args-impl.h
M	_dbus_bindings/validation-impl.h

commit 78a7b67f03f9267fd47ab3686f971d1190cadf1a
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-27 13:03:26 +0100

    Cast to PyCFunction to avoid compiler warning for function with kwargs

M	_dbus_bindings/module.c

commit 274b4601130abb67b5b7f68de38c71ee7a64d3fb
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-27 13:02:53 +0100

    Correct argument parsing in validate_bus_name

M	_dbus_bindings/validation-impl.h

commit b235e382198fc7599a2183a5b4cba10f650659bc
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-27 13:00:58 +0100

    setup.py: Remove _util from modules to install

M	setup.py

commit cdc40aa20b52b4a8e9910e8fe48824205b4e7591
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-27 12:50:06 +0100

    _dbus_bindings: Expose name-validation functions to Python code.
    dbus: Remove _util module in favour of using the name-validation
    functions
    from _dbus_bindings.

M	_dbus_bindings/module.c
M	_dbus_bindings/validation-impl.h
D	dbus/_util.py
M	dbus/decorators.py

commit 9c7ee716288ffc80d1c931c84cc2b3242acf0b1e
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-27 12:47:55 +0100

    Minor docstring correction

M	_dbus_bindings/types-impl.h

commit 4c53d31fcc5b2f3a8e5578cae57e51db84a396fb
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-27 12:47:27 +0100

    _dbus_bindings/message-get-args-impl: Fix ByteArray unmarshalling.

M	_dbus_bindings/message-get-args-impl.h

commit aa5cb1a66951705540a51645eb8efd3cbcf6788e
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-27 12:45:58 +0100

    dbus/_dbus.py: Now that Bus subclasses Connection, simplify signature
    of signal filter

M	dbus/_dbus.py

commit 747b2b9d37329796c4bf0bdaa1ca99e1d82d420d
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-27 11:55:46 +0100

    Add a test case for the various options to get_args_list.
    Fix ByteArray unmarshalling.

M	test/test-standalone.py

commit de8aeda1687948230bb97fa4083744087356e738
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-27 11:01:18 +0100

    .gitignore: Ignore MANIFEST, dist/

M	.gitignore

commit a7bcad2d2239e28bb32ef7cfe74105c514a32ee5
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-27 11:00:35 +0100

    _dbus_bindings/module.c: PEP7-style whitespace

M	_dbus_bindings/module.c

commit 888110c46b864b613a3281e3d0bf76ed85b04b01
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-27 10:59:01 +0100

    _dbus_bindings/module.c: Add __docformat__, top-level docstring.
    Also don't abort() if adding constants to the module fails.

M	_dbus_bindings/module.c

commit 552b7b4c997ea44de86f68e79341ecf323b9ead5
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-27 10:44:25 +0100

    MANIFEST.in: Include added files, stop trying to include the Pyrex
    version

M	MANIFEST.in

commit 84be4d92f3f913f04941562ffb4cde5d21a63b37
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-27 10:43:21 +0100

    Makefile, setup.py: Stop forcing -O0 -g

M	Makefile
M	setup.py

commit 78ce34da2c1cea65372b96505e21529d3896634f
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-27 10:38:44 +0100

    Remove the Pyrex implementation of dbus_bindings and
    dbus_glib_bindings

D	dbus/_dbus_bindings-exceptions.pxi
D	dbus/_dbus_bindings-types.pxi
D	dbus/_dbus_bindings.pxd.in
D	dbus/_dbus_bindings.pyx
D	dbus/_dbus_glib_bindings.pyx
D	dbus/dbus_h_wrapper.h

commit 97d01a1d540e5ec31b752c31ad9f2b794eddf472
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-26 20:50:58 +0100

    Throughout dbus-python: Use the C implementation.
    Add document API_CHANGES.txt listing visible API changes.
    Add more test cases, for low-level Python <-> D-Bus type mappings.
    Amend existing test cases to cope with the API changes.

A	API_CHANGES.txt
M	dbus/_dbus.py
M	dbus/decorators.py
M	dbus/exceptions.py
M	dbus/proxies.py
M	dbus/service.py
M	dbus/types.py
M	setup.py
M	test/cross-test-client.py
M	test/cross-test-server.py
M	test/run-test.sh
M	test/test-client.py
M	test/test-service.py
A	test/test-standalone.py

commit e0552c3d9cfe22e9ea1b3c2874dc4f79d6948b21
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-26 20:48:55 +0100

    _dbus_bindings: Correct get_args -> get_args_list change

M	_dbus_bindings/message-get-args-impl.h
M	_dbus_bindings/message-impl.h

commit 030e4fe368e976cb20d223d45ae787c12686b3f4
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-26 19:30:58 +0100

    _dbus_bindings/message-get-args-impl.h: Revert gratuitous API change
    Message has a method get_args_list() returning a list again,
    rather than
    a method get_args() returning a tuple.

M	_dbus_bindings/message-get-args-impl.h

commit 24eb072bd8aabbc4d0f916b981e2283be0848e97
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-26 19:27:24 +0100

    dbus/matchrules.py: Use absolute import

M	dbus/matchrules.py

commit 97900c452754b832d0817edc03f3e00fe888d24a
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-26 18:53:55 +0100

    Add a C reimplementation of the formerly-Pyrex bits of dbus-python.

A	HACKING.txt
A	_dbus_bindings/bus-impl.h
A	_dbus_bindings/bytes-impl.h
A	_dbus_bindings/conn-impl.h
A	_dbus_bindings/conn-methods-impl.h
A	_dbus_bindings/containers-impl.h
A	_dbus_bindings/dbus_bindings.py
A	_dbus_bindings/debug-impl.h
A	_dbus_bindings/exceptions-impl.h
A	_dbus_bindings/generic-impl.h
A	_dbus_bindings/message-append-impl.h
A	_dbus_bindings/message-get-args-impl.h
A	_dbus_bindings/message-impl.h
A	_dbus_bindings/module.c
A	_dbus_bindings/pending-call-impl.h
A	_dbus_bindings/signature-impl.h
A	_dbus_bindings/test.py
A	_dbus_bindings/types-impl.h
A	_dbus_bindings/validation-impl.h
A	_dbus_glib_bindings/module.c
A	include/dbus_bindings.h

commit 0a189b73baa8e7b1d1d7743534b635fabe1aaf80
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-26 18:43:04 +0100

    Add Makefile rule to do a clean build (setup.py doesn't track .h
    dependencies properly) and make it the default

M	Makefile

commit d1e74259da30f732ebf58057188478367b492840
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-26 18:42:16 +0100

    Add self to AUTHORS

M	AUTHORS

commit 3b1b6ec26d55e08c4a9fbed12714913974f8e0c3
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-08 18:10:06 +0100

    dbus/service.py, dbus/_dbus_bindings-types.pxi: Move VariantSignature
    As it's only used in dbus.service, there is no reason for
    VariantSignature
    to be written in Pyrex.

M	dbus/_dbus_bindings-types.pxi
M	dbus/service.py

commit 6e0e797a2c354d1cdd2e940ec2ab25614ac49f6f
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-08 18:08:27 +0100

    dbus/_dbus_bindings.pyx: More docstrings

M	dbus/_dbus_bindings.pyx

commit 82c249159bbbfa1ad1d77d26b8e3a2f0615a80ee
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-08 18:08:04 +0100

    dbus/proxies.py: Set __docformat__ to 'restructuredtext' for epydoc

M	dbus/proxies.py

commit 3f77ab99f21400fbea5642affff2e8bc0c8faf28
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-08 18:07:23 +0100

    dbus/_dbus.py: More docstrings

M	dbus/_dbus.py

commit d65d0b6654b19522e250a6a4a361f06fa1ccd2d2
Author: Simon McVittie <smcv@celebrin.pseudorandom.co.uk>
Date:	2006-09-07 13:21:48 +0100

    _dbus_bindings: split out types, exceptions into separate source files

A	dbus/_dbus_bindings-exceptions.pxi
A	dbus/_dbus_bindings-types.pxi
M	dbus/_dbus_bindings.pyx

commit 346e0f0f332f5e112726536c434535a40072f356
Author: Simon McVittie <smcv@celebrin.(none)>
Date:	2006-09-06 13:42:13 +0100

    Add a fairly simplistic implementation of the D-Bus bindings test
    suite.
    Currently only tested with Python <-> Python, and some of the Byte
    tests fail
    until I get an opinion from the list on whether the API should be
    in terms
    of strings-of-length-1, ints, or both.

M	Makefile
A	test/cross-test-client.py
A	test/cross-test-server.py
A	test/crosstest.py

commit dc7cea8740b53c7a7061a2392cdc7ec775dd3734
Author: Simon McVittie <smcv@celebrin.(none)>
Date:	2006-09-06 13:30:13 +0100

    _dbus_bindings.pyx: Documentation
    * Add more docstrings and note methods which I don't think should
    be public.
    * When append_byte() fails, raise a more informative TypeError

M	dbus/_dbus_bindings.pyx

commit e37b430efed0dcfa5ff6196046e0b4302b79662a
Author: Simon McVittie <smcv@celebrin.(none)>
Date:	2006-09-06 13:26:58 +0100

    dbus/_dbus.py: Add exceptions to __all__ so they'll be imported
    into __init__

M	dbus/_dbus.py

commit 99bd2cf0aad0f26cc41459be2c89256f226832f0
Author: Simon McVittie <smcv@celebrin.(none)>
Date:	2006-09-06 13:26:24 +0100

    dbus/__init__.py: Annotate __all__ with where the objects come from

M	dbus/__init__.py

commit c0574acbc663094fbb722cd6bdc97b02e7111100
Author: Simon McVittie <smcv@celebrin.(none)>
Date:	2006-09-01 16:24:46 +0100

    _dbus_bindings.pyx: Spell "negative" correctly

M	dbus/_dbus_bindings.pyx

commit cf1599248d81b848016672cc129a714095f5f11e
Author: Simon McVittie <smcv@celebrin.(none)>
Date:	2006-09-01 16:22:57 +0100

    test/test-client.py: Rename dbus.dbus_bindings to _dbus_bindings in
    test too

M	test/test-client.py

commit 9c4ad587bb237921ff49ac78581eb66a863e6105
Author: Simon McVittie <smcv@celebrin.(none)>
Date:	2006-09-01 16:21:55 +0100

    .gitignore: Add files generated during test

M	.gitignore

commit fc2c0c457100003c4b2c85d6202d75e796b89454
Author: Simon McVittie <smcv@celebrin.(none)>
Date:	2006-09-01 16:14:21 +0100

    _dbus_bindings.pyx: Remove no-op constructor overrides which just
    use superclass

M	dbus/_dbus_bindings.pyx

commit 188e54fd97c48d9183a16cc2373de62a60f36a39
Author: Simon McVittie <smcv@celebrin.(none)>
Date:	2006-09-01 15:56:16 +0100

    .gitignore: Amend for renaming of dbus_bindings

M	.gitignore

commit 10186487194e31889f0a255f7986577b169220ac
Author: Simon McVittie <smcv@celebrin.(none)>
Date:	2006-09-01 15:54:47 +0100

    dbus._dbus, _dbus_bindings, dbus.proxies: Add docstrings

M	dbus/_dbus.py
M	dbus/_dbus_bindings.pyx
M	dbus/proxies.py

commit 867c2dd9318c8cbaf810d23d5f2a332d091007d9
Author: Simon McVittie <smcv@celebrin.(none)>
Date:	2006-08-31 18:14:40 +0100

    Makefile: add. Makefile for developer convenience, currently does
    API documentation using epydoc

A	Makefile

commit bb8600d38b16999d08950a03473f03d8705394bf
Author: Simon McVittie <smcv@celebrin.(none)>
Date:	2006-08-31 18:13:39 +0100

    dbus._dbus: add __all__

M	dbus/_dbus.py

commit 5098824725bc8984e4a84f2bede278648941960d
Author: Simon McVittie <smcv@celebrin.(none)>
Date:	2006-08-31 18:13:07 +0100

    dbus.types: add __all__

M	dbus/types.py

commit 656bb219b37ac18ad9bc953ac9a2fb2b5fa6234d
Author: Simon McVittie <smcv@celebrin.(none)>
Date:	2006-08-31 18:09:23 +0100

    dbus/__init__.py: Add __all__ (listing a sensible set of public API),
    __docformat__, __version__

M	dbus/__init__.py

commit aac6f58ae96faab86e6080702d2dac2bd3a69d66
Author: Simon McVittie <smcv@celebrin.(none)>
Date:	2006-08-31 18:05:57 +0100

    Rename dbus_bindings (sometimes a.k.a. dbus.dbus_bindings) to
    _dbus_bindings.
    Ditto for dbus_glib_bindings.
    Remove dbus.pth - should no longer be needed after this change.

M	dbus/_dbus.py
R100	dbus/dbus_bindings.pxd.in	dbus/_dbus_bindings.pxd.in
R100	dbus/dbus_bindings.pyx	dbus/_dbus_bindings.pyx
R068	dbus/dbus_glib_bindings.pyx	dbus/_dbus_glib_bindings.pyx
D	dbus/dbus.pth
M	dbus/decorators.py
M	dbus/exceptions.py
M	dbus/glib.py
M	dbus/matchrules.py
M	dbus/proxies.py
M	dbus/service.py
M	dbus/types.py
M	setup.py

commit c51b148077479381844a84989292719417c543b2
Author: Simon McVittie <smcv@celebrin.(none)>
Date:	2006-08-30 20:15:07 +0100

    Add some docstrings (reStructuredText with epydoc annotations)

M	dbus/__init__.py
M	dbus/_dbus.py
M	dbus/decorators.py
M	dbus/exceptions.py
M	dbus/service.py

commit 00435b5adc76a745e17b13386d15a2a1d6b2bb16
Author: Simon McVittie <smcv@celebrin.(none)>
Date:	2006-08-30 20:12:08 +0100

    .gitignore: Add. Ignore distutils build dir, Python bytecode, Vim
    swapfiles, and generated ChangeLog, .pxd and .c files.

A	.gitignore

commit 1b1d5b77a841e68043fd1f27900b7b97b4610b33
Author: John (J5) Palmieri <johnp@remedyz.boston.redhat.com>
Date:	2006-07-27 14:00:14 -0400

    * dbus/BusName.py (BusName::__new__): Modified patch from Alex Jones
      <alex at weej dot com> - Add flags when requesting a name

M	dbus/service.py

commit eae6cd4e466d9d6dd477cf0bb5ef2b183f4c69f9
Author: John (J5) Palmieri <johnp@remedyz.boston.redhat.com>
Date:	2006-07-27 13:57:56 -0400

    * setup.py: read the stdout pipe before stderr

M	setup.py

commit f5258f571de77b18354e17073d44f316d1e0af1b
Author: John (J5) Palmieri <johnp@remedyz.boston.redhat.com>
Date:	2006-07-27 12:40:36 -0400

    * setup.py: some distros have older gits which don't have the
    git-log --stat
      flag.  We check for an error and if so revert to just calling
      git-log

M	setup.py

commit 49948f1f9554b4431d668992b4953ff09962149f
Author: John (J5) Palmieri <johnp@remedyz.boston.redhat.com>
Date:	2006-07-24 14:34:51 -0400

    * Released 0.71

M	NEWS
M	setup.py

commit 29b7548ddf4400a20636ae558c1834ad523c33da
Author: John (J5) Palmieri <johnp@remedyz.boston.redhat.com>
Date:	2006-07-24 14:05:26 -0400

    * Patch from Joseph Sacco <joseph_sacco [at] comcast [dot] net>:
      Export the correct cflags in distutils

M	setup.py
M	test/run-test.sh

commit 5f76b5a3eec271192e9657213c6693121c3d8df9
Author: John (J5) Palmieri <johnp@redhat.com>
Date:	2006-07-21 17:17:46 -0400

    * fix import of dbus_bindings

M	test/test-client.py

commit 163206f228efad53051677a08d3813fcc5d0ab97
Author: John (J5) Palmieri <johnp@redhat.com>
Date:	2006-07-21 16:42:54 -0400

    * Automate building of ChangeLog

M	setup.py

commit f262d88279991faba06578dde48d0c607ce4b0b8
Author: John (J5) Palmieri <johnp@redhat.com>
Date:	2006-07-21 16:27:59 -0400

    * fixed where the binary modules are installed into

M	setup.py

commit 7d73bb0ea7631ce1191de1cd6fbbcb07fe215f31
Author: John (J5) Palmieri <johnp@redhat.com>
Date:	2006-07-17 16:58:42 -0400

    * Released 0.70
    * Added NEWS to the dist

M	MANIFEST.in
A	NEWS

commit 8728a13fa422955aa96bf2d8644af773407dbe65
Author: John (J5) Palmieri <johnp@redhat.com>
Date:	2006-07-17 16:43:42 -0400

    * remove ChangeLog as it will be generated by git-whatchanged

D	ChangeLog

commit caaabe86ac7a91c84d022c5806e67a42617fa566
Author: John (J5) Palmieri <quinticent@phuket.(none)>
Date:	2006-07-14 12:52:53 -0400

    * Add Osvaldo S. Neto to AUTHORS for his distutils patch

M	AUTHORS

commit 4b1d99c3fbf0d402cb7badbcb8e6ea682f7e54c6
Author: John (J5) Palmieri <quinticent@phuket.(none)>
Date:	2006-07-12 21:40:13 -0400

    * MANIFEST.in:
      added the tools directory

M	MANIFEST.in

commit 9c70ef78b9368b5fd090dd3aafb3f189cc88616d
Author: John (J5) Palmieri <quinticent@phuket.(none)>
Date:	2006-07-12 21:32:57 -0400

    * run-test.sh:
      create the .service file before we launch dbus

M	test/run-test.sh

commit 7a0389c01ac8c775b7b677bcc20cc0da716b1c19
Author: John (J5) Palmieri <quinticent@phuket.(none)>
Date:	2006-07-12 21:28:39 -0400

    * Add tests back
    * create a check command for distutils (python setup.py check)

M	MANIFEST.in
M	setup.py
A	test/dbus_python_check.py
A	test/run-test.sh
A	test/test-client.py
A	test/test-service.py
A	tools/run-with-tmp-session-bus.sh
A	tools/session.conf

commit 303a9d690767dd40e75940f9e3c4e1d1fa504554
Author: John (J5) Palmieri <quinticent@phuket.(none)>
Date:	2006-07-12 18:11:07 -0400

    * MANIFEST.in: Added
    * setup.py: change package name to dbus-python

A	MANIFEST.in
M	setup.py

commit c72e8df76cda925d0bac0e99af94a4d3760e74b1
Author: John (J5) Palmieri <quinticent@phuket.(none)>
Date:	2006-07-12 17:34:58 -0400

    * dbus/dbus_glib_bindings.pyx: Prepend includes dbus-glib.h and
      dbus-glib-lowlevel withd dbus/ since we are no longer building in
      tree and
      need to get the system's header files

M	dbus/dbus_glib_bindings.pyx

commit 98bdb18235a405339041596c571f213ea5fa3c24
Author: John (J5) Palmieri <quinticent@phuket.(none)>
Date:	2006-07-12 17:29:04 -0400

    - s/dbus/-Idbus\// in includedirs_flag

M	setup.py

commit 82a4e8afb8ca163416f602fdb1df96b11765ecb2
Author: Robert McQueen <robot101@thubuntu.(none)>
Date:	2006-07-12 21:53:57 +0100

    setup.py, dbus/extract.py: Patch from Osvaldo Santana Neto
    <osvaldo.santana@indt.org.br> to make the python bindings build
    and install
    with distutils. Not quite working yet because of path madness with the
    extract.py stuff.

M	dbus/extract.py
A	setup.py

commit 172f80244f21a681609e6918c1f043b3272949f3
Author: Robert McQueen <robot101@thubuntu.(none)>
Date:	2006-07-12 19:40:37 +0100

    dbus/__init__.py: Set version to 0.70.

M	dbus/__init__.py

commit fb63da94f9e207e807f7f0ae18425d3b73173d43
Author: Robert McQueen <robot101@thubuntu.(none)>
Date:	2006-07-12 19:28:30 +0100

    dbus/Makefile.am, dbus/examples/Makefile.am: removed

D	dbus/Makefile.am
D	dbus/examples/Makefile.am

commit cc9eb8989a5782f62f8ca786d76e1267e48ec8bf
Author: Robert McQueen <robot101@thubuntu.(none)>
Date:	2006-07-12 19:26:39 +0100

    Move python/ to dbus/, the name of the module.

R100	python/.cvsignore	dbus/.cvsignore
R100	python/Makefile.am	dbus/Makefile.am
R100	python/__init__.py	dbus/__init__.py
R100	python/_dbus.py dbus/_dbus.py
R100	python/_util.py dbus/_util.py
R100	python/dbus.pth dbus/dbus.pth
R100	python/dbus_bindings.pxd.in	dbus/dbus_bindings.pxd.in
R100	python/dbus_bindings.pyx	dbus/dbus_bindings.pyx
R100	python/dbus_glib_bindings.pyx	dbus/dbus_glib_bindings.pyx
R100	python/dbus_h_wrapper.h dbus/dbus_h_wrapper.h
R100	python/decorators.py	dbus/decorators.py
R100	python/examples/.cvsignore	dbus/examples/.cvsignore
R100	python/examples/Makefile.am	dbus/examples/Makefile.am
R100	python/examples/example-client.py
dbus/examples/example-client.py
R100	python/examples/example-service.py
dbus/examples/example-service.py
R100	python/examples/example-signal-emitter.py
dbus/examples/example-signal-emitter.py
R100	python/examples/example-signal-recipient.py
dbus/examples/example-signal-recipient.py
R100	python/examples/gconf-proxy-client.py
dbus/examples/gconf-proxy-client.py
R100	python/examples/gconf-proxy-service.py
dbus/examples/gconf-proxy-service.py
R100	python/examples/gconf-proxy-service2.py
dbus/examples/gconf-proxy-service2.py
R100	python/examples/list-system-services.py
dbus/examples/list-system-services.py
R100	python/exceptions.py	dbus/exceptions.py
R100	python/extract.py	dbus/extract.py
R100	python/glib.py	dbus/glib.py
R100	python/introspect_parser.py	dbus/introspect_parser.py
R100	python/matchrules.py	dbus/matchrules.py
R100	python/proxies.py	dbus/proxies.py
R100	python/service.py	dbus/service.py
R100	python/types.py dbus/types.py

commit 260a7da603a0449a117690a9cc46c7d171ec1112
Author: Robert McQueen <robot101@thubuntu.(none)>
Date:	2006-07-12 19:25:47 +0100

    COPYING: Have the file with its contents and not a file full of NULLs
    (thanks XFS)

M	COPYING

commit 85ef4b2f21a67fa6f8ebb7977fc62a69208d86fe
Author: Robert McQueen <robot101@thubuntu.(none)>
Date:	2006-07-12 19:24:09 +0100

    AUTHORS, COPYING: Copy from old tree.

A	AUTHORS
A	COPYING

commit 7d136b1b7749b9d52703f00f546524a8967aeebc
Author: John (J5) Palmieri <johnp@redhat.com>
Date:	2006-03-02 23:28:18 +0000

    2006-03-02 John (J5) Palmieri <johnp@redhat.com>

	    * python/dbus_bindings.pyx: Remove refrence to sys/cdefs.h
	(Patch from Artem Kachitchkine <Artem.Kachitchkin at Sun.COM>)

M	python/dbus_bindings.pyx

commit 6387ac0ee38cbc2c613f1ec6b481693451e6a1d6
Author: John (J5) Palmieri <johnp@redhat.com>
Date:	2006-02-24 18:18:41 +0000

    2006-02-24 John (J5) Palmieri <johnp@redhat.com>

	* Released 0.61

    2006-02-24	John (J5) Palmieri  <johnp@redhat.com>

	* proxies.py: Fix the callchain

M	python/proxies.py

commit 7ce7ad66afac2b35ddab72190d31c8470a2e4d2d
Author: Robert McQueen <robot101@debian.org>
Date:	2006-02-15 23:45:48 +0000

    2006-02-16 Robert McQueen <robot101@debian.org>

	* glib/dbus-gmain.c: Make the previous commit compile.

	* python/_dbus.py, python/matchrules.py: Patch from Ole Andre
	Ravnaas <ole.andre.ravnaas@collabora.co.uk> to allow you to
	specify sender_keyword="foo", path_keyword="bar" when adding
	a signal listener, so that you can bind to signals generically
	but still do something useful in your callback.

	* python/dbus_bindings.pyx: Demarshal the byte type as unsigned
	chars so that they're not cast to chars and made negative. Thanks
	to Jakub Stachowski for reporting this and testing the fix.

M	python/_dbus.py
M	python/dbus_bindings.pyx
M	python/matchrules.py

commit 62f127585556aeb828c0114225859bddc8d08aa3
Author: Robert McQueen <robot101@debian.org>
Date:	2005-12-06 12:38:07 +0000

    2005-12-06 Robert McQueen <robot101@debian.org>

	* python/service.py: s/sucessful/successful/ so we're allocating
	to
	and reading from the same variable. Oops.

M	python/service.py

commit e48f4d56533ef815d05e05b31128e53640bd7ded
Author: Robert McQueen <robot101@debian.org>
Date:	2005-11-27 17:44:19 +0000

    2005-11-27 Robert McQueen <robot101@debian.org>

	* python/dbus_bindings.pyx: Repair my previous commit which
	reverted
	part of the preceding one. Oops. Merge patch by Johan Hedberg
	<johan.hedberg@nokia.com> to fix marshalling of 16-bit integer
	values
	on big-endian platforms.

	* test/python/test-client.py: Add some 16-bit integers to the test
	values.

M	python/dbus_bindings.pyx

commit b5df8fdfae7b488156cef4ccc536523bfb892895
Author: Robert McQueen <robot101@debian.org>
Date:	2005-11-27 16:55:09 +0000

    2005-11-27 Carlos Garcia Campos <carlosgc@gnome.org>

	* glib/dbus-gobject.c: Append a GValue instead of a basic type in
	method return message for property getters

M	python/dbus_bindings.pyx

commit e9046cf6eabcc6e9f86e6dc8cb73a0b28ccc3347
Author: Robert McQueen <robot101@debian.org>
Date:	2005-11-27 16:40:57 +0000

    2005-11-27 Robert McQueen <robot101@debian.org>

	* python/dbus_bindings.pyx: Fix a bug where doing a strict append
	with type v of an instance of dbus.Variant(foo, type='x') caused
	it to be boxed twice before sending over the bus.

	* python/dbus_bindings.pyx, python/service.py,
	test/python/test-client.py: Update the constants for the new
	request_name flags, and update comments/test cases now that
	queueing
	is the default action.

M	python/dbus_bindings.pyx
M	python/service.py

commit c38a568a59493a798164c2449f7774586fd236f3
Author: Robert McQueen <robot101@debian.org>
Date:	2005-11-15 17:19:19 +0000

    2005-11-15 Robert McQueen <robot101@debian.org>

	* bus/driver.c, bus/services.c, bus/services.h: Add a ReleaseName
	method to org.freedesktop.DBus to release a bus name or give up
	waiting in the queue for it.

	* dbus/dbus-bus.c, dbus/dbus-bus.h, dbus/dbus-shared.h: Add a
	dbus_bus_release_name method to send the ReleaseName method calls.
	Add constants for the return values to dbus/dbus-shared.h.

	* doc/dbus-specification.xml: Document the new ReleaseName method
	in the specification.

	* python/dbus_bindings.pyx: Add a low-level python binding for the
	release name method.

	* python/exceptions.py, python/service.py: Make freeing BusName
	objects release the name. Add a NameExistsException, and fix a
	bug with creating UnknownMethodException.

	* test/python/test-client.py: Add tests for freeing BusName
	objects causing names to be released.

M	python/dbus_bindings.pyx
M	python/exceptions.py
M	python/service.py

commit e6351798aca627adba6e3dad43a605482b63a43e
Author: Robert McQueen <robot101@debian.org>
Date:	2005-11-14 20:59:32 +0000

    2005-11-15 Robert McQueen <robot101@debian.org>

	* python/service.py: Include the traceback in the error reply
	when we
	send an exception over the bus. _BEST_ _PATCH_ _EVER_

M	python/service.py

commit 321ace3a0cf031e638bba1d753818ac068672dee
Author: Robert McQueen <robot101@debian.org>
Date:	2005-11-14 02:53:29 +0000

    2005-11-14 Robert McQueen <robot101@debian.org>

	* python/decorators.py, python/service.py: Add a new argument
	to the
	dbus.service.method decorator called sender_keyword, which if set,
	specifies the name of an argument which will be provided the bus
	name of the method caller.

	* test/python/test-client.py, test/python/test-service.py: Add a
	method and test to check the sender_keyword functionality.

M	python/decorators.py
M	python/service.py

commit cb37041d6ffeab9e7623dd7c51acc64cbaa7534d
Author: Robert McQueen <robot101@debian.org>
Date:	2005-11-07 15:31:30 +0000

    2005-11-07 Robert McQueen <robot101@debian.org>

	* python/decorators.py: Change emit_signal function to use the
	signature annotation of the signal when marhsalling the arguments
	from
	the service. Fix a bug where the code checking signature length
	against argument length referenced the wrong variable.

	* python/introspect_parser.py: Avoid adding the type signature of
	signal arguments to any methods which occur after them in the
	introspection data (!) by making the parser a little more careful
	about its current state.

	* python/service.py: Remove debug prints from last commit
	(again :D).

	* test/python/test-client.py, test/python/test-service.py:
	Add test
	signals with signature decorators to test the strict marshalling
	code
	gives errors at the right time. Could do with checking the signals
	actually get emitted too, given that the test does nothing with
	signals at the moment...

M	python/decorators.py
M	python/introspect_parser.py
M	python/service.py

commit 792849028648dfc9fd0513c855b0ea9001a9ea04
Author: Robert McQueen <robot101@debian.org>
Date:	2005-11-07 12:14:52 +0000

    2005-11-07 Robert McQueen <robot101@debian.org>

	* python/_dbus.py: Add WeakReferenceDictionary cache of dbus.Bus
	instances to stop madness of creating new instances representing
	the same bus connection all the time, rendering any tracking of
	match rules and bus names quite meaningless. Caught a bug where
	the private argument to SessionBus() and friends was being passed
	in as use_default_mainloop by mistake. Still some problems with
	multiple dbus_binding.Connection instances representing the same
	low-level connection (eg when you use both SessionBus() and
	StarterBus() in same process), but it's a lot better now than it
	was.

	* python/dbus_bindings.pyx: Add constants with the return values
	for bus_request_name().

	* python/service.py: Store bus name instances in a per-dbus.Bus
	cache
	and retrieve the same instances for the same name, so deletion
	can be
	done with refcounting. Also now throws some kind of error if you
	don't actually get the name you requested, unlike previously...

	* test/python/test-client.py: Add tests for instance caching
	of buses
	and bus name objects.

M	python/_dbus.py
M	python/dbus_bindings.pyx
M	python/service.py

commit c6d4440b37c43681a4ecf11edfa5a4b0371734ea
Author: Robert McQueen <robot101@debian.org>
Date:	2005-11-04 12:17:54 +0000

    2005-11-04 Robert McQueen <robot101@debian.org>

	    * python/dbus_bindings.pyx, test/python/test-client.py: Fix
	    marshalling of boolean values. Add some booleans to the
	    values in
	    the test client.

	    * python/decorators.py, python/service.py: Add an
	    'async_callbacks'
	    argument to the dbus.service.method decorator, which allows
	    you to
	    name arguments to take two callback functions for replying
	    with
	    return values or an exception.

	    * test/python/test-client.py, test/python/test-service.py:
	    Add test
	    case using asynchronous method reply functions, both return
	    values and
	    errors, and from within both the function itself and from
	    a mainloop
	    callback.

	    * python/decorators.py, python/service.py: Perform checking
	    that the
	    number of method/signal arguments matches the number of
	    types in the
	    signature at class loading time, not when you first
	    introspect the
	    class.

	    * python/service.py: Remove debug print left by the last
	    commit.

M	python/dbus_bindings.pyx
M	python/decorators.py
M	python/service.py

commit fcbc5d45112bd16c9ff8f6ead36d89a6c6381dc8
Author: Robert McQueen <robot101@debian.org>
Date:	2005-11-03 21:47:31 +0000

    2005-11-03 Robert McQueen <robot101@debian.org>

	    * python/service.py: Heavy refactoring of method invocation,
	    with
	    hopefully no effect on functionality. Nuked
	    _dispatch_dbus_method_call
	    in favour of a new _message_cb that uses seperate functions
	    for
	    looking up the method to call, marshalling the return
	    values, and
	    sending exceptions as errors, and is easier to follow as a
	    consequence.  Fixes some corner cases about returning
	    things that
	    don't match your declared out_signature, allows exceptions
	    to define
	    _dbus_error_name and have it be sent over the bus as the
	    error name,
	    and paves the way for cool stuff like heeding the message
	    no reply
	    flag, asynchronous method implementations, informing the
	    method of the
	    sender, and including backtraces in the error messages.

	    * test/python/test-client.py: Catch and print exceptions
	    thrown in the
	    async callback tests, rather than passing them to the
	    low-level
	    bindings to be ignored in a noisy and frustrating manner.

M	python/service.py

commit b4a92c736cb37f2daba25283e830615dcf7137e8
Author: Robert McQueen <robot101@debian.org>
Date:	2005-11-03 16:13:52 +0000

    2005-11-03 Robert McQueen <robot101@debian.org>

	    * python/_dbus.py, python/proxies.py, python/service.py:
	    Add __repr__
	    functions to dbus.Bus, dbus.service.BusName and
	    dbus.service.Object,
	    tweak others to be consistent.

	    * test/python/test-client.py: Tweak output of testInheritance.

M	python/_dbus.py
M	python/proxies.py
M	python/service.py

commit cd40a2db923dc01ee80f4827dfd3e102a98a64ec
Author: Robert McQueen <robot101@debian.org>
Date:	2005-10-29 22:41:07 +0000

    2005-10-29 Robert McQueen <robot101@debian.org>

	    * python/service.py: Major changes to allow multiple
	    inheritance
	    from classes that define D-Bus interfaces:

	     1. Create a new Interface class which is the parent class of
		Object, and make the ObjectType metaclass into
		InterfaceType.

	     2. Patch written with Rob Taylor to replace use of
	     method_vtable
		with code that walks the class's __MRO__ (method
		resolution order)
		to behave like Python does when invoking methods and allow
		overriding as you'd expect. Code is quite tricky because
		we have to find two methods, the one to invoke which
		has the
		right name and isn't decorated with the /wrong/ interface,
		and the one to pick up the signatures from which is
		decorated
		with the right interface.

		The same caveats apply as to normal multiple inheritance -
		this has undefined behaviour if you try and inherit
		from two
		classes that define a method with the same name but are
		decorated with different interfaces. You should decorate
		your overriding method with the interface you want.

	     3. Replace grungy introspection XML generation code in
	     the metaclass
		with dictionaries that cope correctly with multiple
		inheritance
		and the overriding of methods. This also uses the
		signature
		decorations to provide correct introspection data,
		including
		the debut appearance of the types of your return
		values. :D

	    * test/python/test-client.py, test/python/test-service.py:
	    Add a test
	    case to try invoking an method that overrides one inherited
	    from a
	    D-Bus interface class.

M	python/service.py

commit f14661ee73a5efc92dfcbe22e4230dab153a4d69
Author: Robert McQueen <robot101@debian.org>
Date:	2005-10-29 22:04:01 +0000

    2005-10-29 Robert McQueen <robot101@debian.org>

	    * python/dbus_bindings.pyx: Tweak 'raise AssertionError'
	    to assert().
	    Add checking for the end of struct character when
	    marshalling a
	    struct in MessageIter.append_strict.

	    * python/examples/example-service.py,
	    python/examples/gconf-proxy-service.py,
	    python/examples/gconf-proxy-service2.py: Update to use gobject
	    mainloop directly rather than appearing to depend on gtk.

	    * python/test/test-client.py, python/test/test-server.py:
	    Remove
	    obsolete and broken test scripts for old bindings. We have
	    up to date
	    and working tests in test/python/.

M	python/dbus_bindings.pyx
M	python/examples/example-service.py
M	python/examples/gconf-proxy-service.py
M	python/examples/gconf-proxy-service2.py
D	python/tests/test-client.py
D	python/tests/test-server.py

commit a10facab362212f630b4fc3191a711523ed367b1
Author: Robert McQueen <robot101@debian.org>
Date:	2005-10-29 19:13:17 +0000

    2005-10-29 Robert McQueen <robot101@debian.org>

	    * python/decorators.py: Add optional arguments to the
	    method and
	    signal decorators to allow you to specify the signature
	    of arguments
	    and return values. Preserve the doc strings of signal
	    functions in the
	    decorated version, for pydoc and friends.

	    * python/dbus_bindings.pyx, python/proxies.py: Replace the
	    parse_signature_block function with an iterable
	    dbus.Signature()
	    type. Fix a bug in MessageIter.append_strict where you
	    could append
	    anything by claiming it was a string.

	    * python/service.py: Use the out_signature decoration on
	    methods to
	    marshal return values, meaning you no longer require
	    dbus.Array()
	    or dbus.Dictionary() to indicate the type when returning empty
	    arrays or dictionaries. Fix a bug where exceptions which
	    are defined
	    in __main__ are not turned into error replies.

	    * test/python/test-client.py, test/python/test-service.py:
	    Add test
	    for correct marshalling of return values according to
	    out_signature.
	    Fix a bug in the async call test where the error_handler is
	    missing a
	    self argument.

M	python/dbus_bindings.pyx
M	python/decorators.py
M	python/proxies.py
M	python/service.py

commit b07e4f860f8d9ff323558e8276dbda346a09b3b1
Author: Robert McQueen <robot101@debian.org>
Date:	2005-10-24 18:29:50 +0000

    2005-10-24 Robert McQueen <robot101@debian.org>

	* python/dbus_bindings.pyx (String, MessageIter): make D-Bus
	strings
	derive from unicode instead of str, and encode/decode UTF-8 when
	marshalling/unmarshalling bus messages

	* python/introspect_parser.py: encode introspection data as UTF-8
	before passing the buffer into libxml2

	* test/python/test-client.py: add unicode test strings

	* test/data/valid-service-files/.cvsignore,
	test/python/.cvsignore:
	ignore generated python test files

M	python/dbus_bindings.pyx
M	python/introspect_parser.py

commit 5b923c8dd10dc21e7f03aa8e27d1bb30652fb5da
Author: John (J5) Palmieri <johnp@redhat.com>
Date:	2005-10-18 04:38:04 +0000

    * glib/dbus-gvalue-utils.c (hash_free_from_gtype): handle gdouble

    and G_TYPE_VALUE_ARRAY (DBUS_TYPE_STRUCT)
    (gvalue_from_hash_value, hash_value_from_gvalue): handle gdouble

    * glib/dbus-gvalue.c (dbus_gvalue_to_signature): add missing
    DBUS_STRUCT_BEGIN_CHAR and DBUS_STRUCT_END_CHAR charaters
    when constructing struct signatures

    * python/_dbus.py (Bus): handle private connections using the
    private keyword in the constructor. defaults to private=False
    (Bus::close): new method to close a connection to the bus

    * python/dbus_bindings.pyx (Connection::close): renamed method
    was previously called disconnect
    (bus_get): now supports getting a private connection

    * python/proxies.py (ProxyMethod::__call__): check if ignore_reply
    keyword is set to True.  if it is, execute the method without waiting
    for a reply
    (ProxyObject::_introspect_execute_queue): new method for executing
    all the pending methods that were waiting for the introspect to
    finish.  this is called when introspect either succeeds or fails
    (ProxyObject::_introspect_error_handler): call queued methods

M	python/_dbus.py
M	python/dbus_bindings.pyx
M	python/proxies.py

commit cb8652321a7b3791f54a6fb1ebf1675aac9ac33d
Author: John (J5) Palmieri <johnp@redhat.com>
Date:	2005-10-14 21:44:00 +0000

    * python/dbus_bindings.pyx (MessageIter::append_strict): check for
    STRUCT_BEGIN not TYPE_STRUCT in indicate we are marshalling a struct

    * python/service.py (Object::_message_cb): handle exceptions correctly
      by sending them over the wire to the calling app.  This makes sure
      the client returns immediately instead of waiting the 15 seconds to
      timeout.

    * test/python/test-client.py
    (TestDBusBindings::testBenchmarkIntrospect):
      Add a test to benchmark how long it takes to introspect a service
      and
      call a method which returns a large element (pretty fast)

    * test/python/test-service.py (TestObject::GetComplexArray): new test
      method which pushes a lot of data

M	python/dbus_bindings.pyx
M	python/service.py

commit d468280ea6cf7be2c3729a182f3c252fd2a7b999
Author: John (J5) Palmieri <johnp@redhat.com>
Date:	2005-10-13 23:34:11 +0000

    * python/service.py(ObjectType::_reflect_on_signal,
    _reflect_on_method):

    reclaim memory outside of the loop and use del istead of just setting
    the key to None

M	python/service.py

commit fb3300cea133630f45d13776a66dcbbd71c46d97
Author: John (J5) Palmieri <johnp@redhat.com>
Date:	2005-10-13 23:26:00 +0000

    * python/service.py (ObjectType::_reflect_on_signal): Always close

    signal tag even when there are no arguments

M	python/service.py

commit 137d6a5121de6ae44a37ca99c5519c4300cc9dea
Author: John (J5) Palmieri <johnp@redhat.com>
Date:	2005-10-06 04:43:52 +0000

    * actualy add the introspection parser to CVS :-)

A	python/introspect_parser.py

commit 423589e748db1783cbce03452e5fe5685b83f750
Author: John (J5) Palmieri <johnp@redhat.com>
Date:	2005-10-05 20:43:46 +0000

    * glib/dbus-gvalue.c (marshal_variant): call _dbus_gvalue_marshal
    instead of marshal basic so we can handle recursive types in a variant

    * test/glib/test-dbus-glib.c: Add test for marshaling recurive types
      in variants

    * test/glib/test-service-glib.c, test-service-glib.xml
      (my_object_echo_variant [EchoVariant],
      my_object_process_variant_of_array_of_ints123
      [ProcessVariantOfArrayOfInts123]):
      Add two test methods

    * python/introspect_parser.py: New module for parsing introspect
      data.

    * python/dbus_bindings.pyx:
      (various places): when throwing errors fix to use errormsg instead
      of message local variable because Pyrex can get confused with other
      message variables (initial patch by Robert McQueen
      <robert.mcqueen at collabora.co.uk>)
      (MessageIter::parse_signature_block): new method for getting
      the next
      block in a signiture.
      (MessageIter::append_strict): new method for appending values
      strictly
      using the passed in signature instead of guessing at the type
      (MessageItter:: append_dict, append_struct, append_array): use
      signatures to marshal children if the signature is available

    * python/exceptions.py (IntrospectionParserException): new exception

    * python/proxies.py (ProxyMethod::__call__): Marshal args with
      introspected signatures if available, else we fall back to the
      old way of doing things.
      (ProxyObject::_introspect_reply_handler ): parse introspection data

    * python/service.py (ObjectType::_reflect_on_method): Properly
      terminate <method> if there are no args in the reflection data

    * test/python/test-client.py: add tests for talking with the GLib
      test server.  This gives us better coverage for introspection since
      python to python will always generate arguments as variants.
      It also
      allows us to test the robustness of the GLib bindings and
      interlanguage
      communications.

M	python/Makefile.am
M	python/dbus_bindings.pyx
M	python/exceptions.py
M	python/proxies.py
M	python/service.py

commit 747ebb525b3522cab2415fe55c6a8418a7528238
Author: John (J5) Palmieri <johnp@redhat.com>
Date:	2005-09-26 22:12:17 +0000

    * dbus/Python.pyx: Fixed memory leaks when throwing errors. We now
    copy the message from a DBusError and then free the error object
    befor throwing the error

M	python/dbus_bindings.pyx

commit 583a8acad47cf49f9e28d8f7360f8bb1a409e0d4
Author: John (J5) Palmieri <johnp@redhat.com>
Date:	2005-09-06 22:42:54 +0000

    - update to next release version

M	python/__init__.py

commit 8f6b65becb2183f68e5c923854c4b5946a40dbfd
Author: John (J5) Palmieri <johnp@redhat.com>
Date:	2005-09-06 22:38:54 +0000

    * Released 0.50

    * Patch from Steve Grubb:
    - bus/activation.c (bus_activation_service_reload_test): clean up
    some indentation
    - dbus/dbus-keyring.c (_dbus_keyring_reload): fix conditional
    - dbus/dbus-message-factory.c (generate_special): fix a couple of
    buffer overflows in the test suite.  This is non critical because
    it can not be exploited and this code is only run when doing a
    make check.

    * Patch from Yaakov Selkowitz: Build fixes for Cygwin
    - configure.in: Don't check and link against kdecore, only qt headers
    - dbus/Makefile.am: Add -no-undefined to libdbus_1_la_LDFLAGS
    - gcj/org/freedesktop/dbus/Makefile.am:
    add libdbus_gcj_1_la_LDFLAGS = -no-undefined
    - glib/Makefile.am: Add -no-undefined to libdbus_glib_1_la_LDFLAGS
    and $(DBUS_GLIB_LIBS) to dbus_binding_tool_LDADD
    - qt/Makefile.am: Add -no-undefined to libdbus_qt_1_la_LDFLAGS
    - tools/Makefile.am: Add platform extentions to binaries
    (i.e. .exe on windows)

    * configure.in:
    - Make it so if no suitable version of python is found we only
    disable building python instead of exiting the configure script
    - Require version 2.4 of glib for glib bindings
    - Up version to 0.50

    * python/__init__.py: Sync version with libdbus to (0,50,0)

M	python/__init__.py

commit c9ce6ac673fef6ca5189480d73b542e7f2c283f3
Author: John (J5) Palmieri <johnp@redhat.com>
Date:	2005-09-01 01:22:06 +0000

    * python/Makefile.am: Break on pyrexc errors instead of ignoring them

    * python/dbus_bindings.pyx: Memory management foo
    (global): remove hacky _user_data_references global list
    (GIL_safe_cunregister_function_handler): userdata now stuffed into
    tuples. Unref user_data
    (GIL_safe_cmessage_function_handler): userdata now stuffed into tuples
    (Connection::__del__): Remove and replace with __dealloc__ method
    (Connection::add_filter): Stuff user_data into a tuple.  Use Py_INCREF
    to keep tuple from being deallocated instead of the global var hack
    (Connection::register_object_path): Stuff user_data into a tuple.
    Use Py_INCREF to keep tuple from being deallocated instead of the
    global var hack
    (Connection::register_fallback): Stuff user_data into a tuple.
    Use Py_INCREF to keep tuple from being deallocated instead of the
    global var hack
    (GIL_safe_pending_call_notification): Don't unref the message
    because it gets unreffed when going out of scope.  Py_XDECREF
    the user_data
    (PendingCall::__del__): Remove and replace with __dealloc__ method
    (PendingCall::set_notify): ref the pending call because we will
    need it to stick around for when the notify callback gets called
    (Message::__del__): Remove and replace with __dealloc__ method

    * python/dbus_glib_bindings.pyx (init_gthreads): Changed to
    gthreads_init to match up with the dbus call

    * python/glib.py (init_threads): Changed to threads_init to match
    up with gobject.threads_init().  init_threads is kept for backwards
    compat but will most likely be deprecated in the future

    * test/python/test-client.py:
    - revamp to use Python's unittest functionality
    - add async call tests
    - setup threads in glib and dbus so we make sure locks are working

M	python/Makefile.am
M	python/dbus_bindings.pyx
M	python/dbus_glib_bindings.pyx
M	python/glib.py

commit c33b023b7a72b42129e202ad3a34d9ac6bc68090
Author: John (J5) Palmieri <johnp@redhat.com>
Date:	2005-08-31 02:18:43 +0000

    * python/dbus_bindings.pyx

    (_pending_call_notification, cunregister_function_handler,
    cmessage_function_handler): All callback functions have been
    rearranged
    to workaround a bug in Pyrex when working with the GIL which is
    Python's
    global lock when dealing with threads.  They have been split into
    a wrapper function (which assumes the name of the old function) and
    a _GIL_safe_<function name> function which contains the functionality
    of the old function.  This ensures that Pyrex does not write code
    the lock is released.

M	python/dbus_bindings.pyx

